<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");
require_once("include/dbcommon.php");
require_once('classes/searchclause.php');
require_once('include/xtempl.php');

if( @$_REQUEST["format"] != "excel" && @$_REQUEST["format"] != "word" ) 
	add_nocache_headers();

require_once("include/Outstanding_Checks_Report_variables.php");


if( !Security::processPageSecurity( $strTableName, 'P' ) )
	return;

	
require_once('classes/reportpage.php');
require_once('classes/reportprintpage.php');	
	



$layout = new TLayout("report_print", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["center"] = array();
$layout->containers["grid"] = array();
$layout->container_properties["grid"] = array(  );
$layout->containers["grid"][] = array("name"=>"report_print", 
	"block"=>"", "substyle"=>1  );

$layout->skins["grid"] = "empty";

$layout->blocks["center"][] = "grid";
$layout->blocks["top"] = array();
$layout->containers["pdf"] = array();
$layout->container_properties["pdf"] = array(  "print" => "none"  );
$layout->containers["pdf"][] = array("name"=>"printbuttons", 
	"block"=>"printbuttons", "substyle"=>1  );

$layout->skins["pdf"] = "empty";

$layout->blocks["top"][] = "pdf";
$layout->skins["master"] = "empty";

$layout->blocks["top"][] = "master";
$layout->containers["pageheader"] = array();
$layout->container_properties["pageheader"] = array(  "print" => "repeat"  );
$layout->containers["pageheader"][] = array("name"=>"report_style", 
	"block"=>"", "substyle"=>1  );

$layout->containers["pageheader"][] = array("name"=>"printheader", 
	"block"=>"printheader", "substyle"=>1  );

$layout->containers["pageheader"][] = array("name"=>"page_of_print", 
	"block"=>"page_number", "substyle"=>1  );

$layout->skins["pageheader"] = "empty";

$layout->blocks["top"][] = "pageheader";
$page_layouts["Outstanding_Checks_Report_rprint"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$xt = new Xtempl();
$id = postvalue("id");
$id = $id != "" ? $id : 1;

// an array of ReportPrintPage constructor params
$params = array();
$params["id"] = $id;
$params["xt"] = &$xt;
$params["mode"] = REPORT_SIMPLE;
$params["tName"] = $strTableName;
$params["pageType"] = PAGE_RPRINT;

$params["allPagesMode"] = postvalue("all");
$params["pdfMode"] = postvalue("pdf");
$params["pdfContent"] = postvalue("htmlPdfContent");
$params["pdfWidth"] = postvalue("width");
$params["format"] = postvalue("format");
$params["splitByGroups"] = postvalue("records");



$pageObject = new ReportPrintPage($params);
$pageObject->init();

$pageObject->assignPDFFormatSettings( @$_REQUEST["format"], postvalue("exportPdf") );


$forExport = false;
if (@$_REQUEST["format"] == "excel")
{
	$forExport = "excel";
	header("Content-Type: application/vnd.ms-excel");
	header("Content-Disposition: attachment;Filename=Outstanding_Checks_Report.xls");
	echo "<html xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:x=\"urn:schemas-microsoft-com:office:excel\" xmlns=\"http://www.w3.org/TR/REC-html40\">";
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$cCharset."\">";
}
else if (@$_REQUEST["format"] == "word")
{
	$forExport = "word";
	header("Content-Type: application/vnd.ms-word");
	header("Content-Disposition: attachment;Filename=Outstanding_Checks_Report.doc");
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$cCharset."\">";
}

if( @$_REQUEST["format"] )
	$xt->assign("stylesheetlink", false);
else
	$xt->assign("stylesheetlink", true);

	
// the table info params
$extraParams = $pageObject->getExtraReportParams();	
$extraParams['forExport'] = $forExport; 

$pageObject->setGoogleMapsParams( $extraParams['fieldsArr'] );
$pageObject->setReportData( $extraParams );


// add button events if exist
$pageObject->addButtonHandlers();
$pageObject->addCommonJs();

if( $pageObject->pSet->getReportPrintPartitionType() == 0 )
	$xt->assign("divideintopages_block", true);


$pageObject->body["begin"] .= GetBaseScriptsForPage(false);
$pageObject->body['end'] = XTempl::create_method_assignment( "assignBodyEnd", $pageObject);

$xt->assignbyref("body", $pageObject->body);
$xt->assign("grid_block", true);
$xt->assign("grid_header", true);

$xt->assign("Transadate_fieldheader", true);
$xt->assign("Transaction_fieldheader", true);
$xt->assign("Business_Partner_fieldheader", true);
$xt->assign("Cash_Account_fieldheader", true);
$xt->assign("Terms_fieldheader", true);
$xt->assign("Terms_Discount_percent_fieldheader", true);
$xt->assign("Terms_Discount_days_fieldheader", true);
$xt->assign("Terms_due_date_fieldheader", true);
$xt->assign("Due_Date_fieldheader", true);
$xt->assign("Cost_Center_fieldheader", true);
$xt->assign("Shipping_Terms_fieldheader", true);
$xt->assign("Gross_Sale_fieldheader", true);
$xt->assign("Discount_Amount_fieldheader", true);
$xt->assign("Discount_Account_fieldheader", true);
$xt->assign("Vat_Amount_fieldheader", true);
$xt->assign("VAT_Account_fieldheader", true);
$xt->assign("EWT_Amount_fieldheader", true);
$xt->assign("EWT_Account_fieldheader", true);
$xt->assign("Net_Amount_fieldheader", true);
$xt->assign("Taxable_fieldheader", true);
$xt->assign("iscancelled_fieldheader", true);
$xt->assign("Counter_Date_fieldheader", true);
$xt->assign("vatable_fieldheader", true);
$xt->assign("atc_fieldheader", true);
$xt->assign("ewt_rate_fieldheader", true);
$xt->assign("payable_payment_fieldheader", true);
$xt->assign("cash_collection_fieldheader", true);
$xt->assign("Net_pay_fieldheader", true);
$xt->assign("check_no_fieldheader", true);
$xt->assign("bank_fieldheader", true);
$xt->assign("temp_acct_fieldheader", true);
$xt->assign("temp_vatable_fieldheader", true);
$xt->assign("payable_discount_fieldheader", true);
$xt->assign("net_payment_fieldheader", true);
$xt->assign("applied_vat_fieldheader", true);
$xt->assign("payment_ewt_fieldheader", true);
$xt->assign("net_cash_payment_fieldheader", true);
$xt->assign("total_payment_fieldheader", true);
$xt->assign("cleared_fieldheader", true);
$xt->assign("ref_no_fieldheader", true);
$xt->assign("check_payee_fieldheader", true);
$xt->assign("release_date_fieldheader", true);
$xt->assign("country_of_origin_fieldheader", true);
$xt->assign("import_entry_no_fieldheader", true);
$xt->assign("or_number_fieldheader", true);
$xt->assign("dutiable_value_fieldheader", true);
$xt->assign("customs_charges_fieldheader", true);
$xt->assign("bir_tax_payment_type_fieldheader", true);
$xt->assign("location_fieldheader", true);
$xt->assign("discount_type_fieldheader", true);
$xt->assign("discount_rate_fieldheader", true);
$xt->assign("project_fieldheader", true);
$xt->assign("currecy_fieldheader", true);
$xt->assign("phase_fieldheader", true);
$xt->assign("checked_by_fieldheader", true);
$xt->assign("status_fieldheader", true);
$xt->assign("approved_by_fieldheader", true);
$xt->assign("exchange_rate_fieldheader", true);
$xt->assign("prepared_by_fieldheader", true);
$xt->assign("sales_rep_fieldheader", true);
$xt->assign("debit_memo_fieldheader", true);
$xt->assign("debit_memo_refs_fieldheader", true);
$xt->assign("vatable_purchase_fieldheader", true);
$xt->assign("non_vatable_purchased_fieldheader", true);
$xt->assign("amount_in_words_fieldheader", true);
$xt->assign("check_by_fieldheader", true);
$xt->assign("modified_by_fieldheader", true);
$xt->assign("so_no_fieldheader", true);
$xt->assign("deferred_input_vat_account_fieldheader", true);
$xt->assign("invoice_no_fieldheader", true);
$xt->assign("company_fieldheader", true);
$xt->assign("replenishment_fieldheader", true);
$xt->assign("replenishment_amount_fieldheader", true);
$xt->assign("project_no_fieldheader", true);
$xt->assign("account_no_fieldheader", true);
$xt->assign("amount_fieldheader", true);
$xt->assign("account_fieldheader", true);
$xt->assign("description2_fieldheader", true);
$xt->assign("representative_fieldheader", true);
$xt->assign("purpose_fieldheader", true);
$xt->assign("reviewed_by_fieldheader", true);
$xt->assign("managers_check_fieldheader", true);
$xt->assign("gift_check_fieldheader", true);
$xt->assign("demand_draft_fieldheader", true);
$xt->assign("foreign_fieldheader", true);
$xt->assign("domestic_fieldheader", true);
$xt->assign("outward_rfc_fieldheader", true);
$xt->assign("dtt_fieldheader", true);
$xt->assign("ftt_fieldheader", true);
$xt->assign("eodn_fieldheader", true);
$xt->assign("rtgs_fieldheader", true);
$xt->assign("purpose_check_fieldheader", true);
$xt->assign("debit_account_fieldheader", true);
$xt->assign("peso_fieldheader", true);
$xt->assign("fcdu_fieldheader", true);
$xt->assign("billable2_fieldheader", true);
$xt->assign("beneficiary_bank_fieldheader", true);
$xt->assign("intermediary_bank_fieldheader", true);
$xt->assign("address_of_beneficiary_bank_fieldheader", true);
$xt->assign("currency_amount_transfer_fieldheader", true);
$xt->assign("beneficiary_swift_code_fieldheader", true);
$xt->assign("intermediary_swift_code_fieldheader", true);
$xt->assign("rate_fieldheader", true);
$xt->assign("peso_fcdu_equivalent_fieldheader", true);
$xt->assign("check_retain_fieldheader", true);
$xt->assign("check_auto_convert_fieldheader", true);
$xt->assign("country_fieldheader", true);
$xt->assign("adv_fieldheader", true);
$xt->assign("check_date_fieldheader", true);
$xt->assign("date_canceled_fieldheader", true);
$xt->assign("sv_fieldheader", true);
$xt->assign("total_collection4_fieldheader", true);



if( @$_REQUEST["format"] && $_REQUEST["format"] != "pdf" )
{
	//$pages[0]["page_summary"] = false;
	//$xt->assign_loopsection("pages", $pages);
	$xt->assign("pdflink_block", false);
	$xt->assign("divideintopages_block", false);
	$pageObject->body["begin"] = "";
	$pageObject->body["end"] = "";
	$xt->assignbyref("body", $pageObject->body);
}

if (@$_REQUEST["format"] !== "pdf")
	$xt->assign("bodyattrs", 'style="margin:10px;"');

$usePage2pdf = postvalue("pdf");

if( !$usePage2pdf )
{
	if(@$_REQUEST["format"] == "excel" || @$_REQUEST["format"] == "word") 
	{
		$xt->load_template($pageObject->templatefile);
		$contents = $pageObject->prepareWordOrExcelTemplate($xt->template);
		$xt->template = $contents;
		xt_process_template($xt, $xt->template);
	}
	else
	{
		$pageObject->display($pageObject->templatefile);		
	}
}
else
{
}

?>