<?php
include_once(getabspath("classes/printpage.php"));

function DisplayMasterTableInfoForPrint_Prospect_customers($params)
{
	global $cman;
	
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	
	$xt = new Xtempl();
	
	$tName = "Prospect_customers";
	$xt->eventsObject = getEventObject($tName);
	
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["pageType"] = PAGE_PRINT;
	$mParams["tName"] = $tName;
	$masterPage = new PrintPage($mParams);
	
	$cipherer = new RunnerCipherer( $tName );
	$settings = new ProjectSettings($tName, PAGE_PRINT);
	$connection = $cman->byTable( $tName );
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT, $masterPage);
	
	$where = "";
	$keysAssoc = array();
	$showKeys = "";

	if( $detailtable == "Prospect_contacts" )
	{
		$keysAssoc["id"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("id", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("id", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("Prospect_customers","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "opportunity_details" )
	{
		$keysAssoc["id"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("id", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("id", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("Prospect_customers","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}
	
	if( !$where )
		return;
	
	$str = SecuritySQL("Export", $tName );
	if( strlen($str) )
		$where.= " and ".$str;
	
	$strWhere = whereAdd( $masterQuery->m_where->toSql($masterQuery), $where );
	if( strlen($strWhere) )
		$strWhere= " where ".$strWhere." ";
		
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();
	LogInfo($strSQL);
	
	$data = $cipherer->DecryptFetchedArray( $connection->query( $strSQL )->fetchAssoc() );
	if( !$data )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));	
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("id_mastervalue", $viewControls->showDBValue("id", $data, $keylink));
	$format = $settings->getViewFormat("id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("id")))
		$class = ' rnr-field-number';
		
	$xt->assign("id_class", $class); // add class for field header as field value
	$xt->assign("Name_mastervalue", $viewControls->showDBValue("Name", $data, $keylink));
	$format = $settings->getViewFormat("Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Name_class", $class); // add class for field header as field value
	$xt->assign("Contact_Number_mastervalue", $viewControls->showDBValue("Contact Number", $data, $keylink));
	$format = $settings->getViewFormat("Contact Number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Contact Number")))
		$class = ' rnr-field-number';
		
	$xt->assign("Contact_Number_class", $class); // add class for field header as field value
	$xt->assign("Adress_Line_mastervalue", $viewControls->showDBValue("Adress Line", $data, $keylink));
	$format = $settings->getViewFormat("Adress Line");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Adress Line")))
		$class = ' rnr-field-number';
		
	$xt->assign("Adress_Line_class", $class); // add class for field header as field value
	$xt->assign("Telephone_mastervalue", $viewControls->showDBValue("Telephone", $data, $keylink));
	$format = $settings->getViewFormat("Telephone");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Telephone")))
		$class = ' rnr-field-number';
		
	$xt->assign("Telephone_class", $class); // add class for field header as field value
	$xt->assign("Email_Account_mastervalue", $viewControls->showDBValue("Email Account", $data, $keylink));
	$format = $settings->getViewFormat("Email Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Email Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Email_Account_class", $class); // add class for field header as field value
	$xt->assign("Website_mastervalue", $viewControls->showDBValue("Website", $data, $keylink));
	$format = $settings->getViewFormat("Website");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Website")))
		$class = ' rnr-field-number';
		
	$xt->assign("Website_class", $class); // add class for field header as field value
	$xt->assign("type_mastervalue", $viewControls->showDBValue("type", $data, $keylink));
	$format = $settings->getViewFormat("type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("type")))
		$class = ' rnr-field-number';
		
	$xt->assign("type_class", $class); // add class for field header as field value
	$xt->assign("inactive_mastervalue", $viewControls->showDBValue("inactive", $data, $keylink));
	$format = $settings->getViewFormat("inactive");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("inactive")))
		$class = ' rnr-field-number';
		
	$xt->assign("inactive_class", $class); // add class for field header as field value
	$xt->assign("area_mastervalue", $viewControls->showDBValue("area", $data, $keylink));
	$format = $settings->getViewFormat("area");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("area")))
		$class = ' rnr-field-number';
		
	$xt->assign("area_class", $class); // add class for field header as field value
	$xt->assign("assigned_to_mastervalue", $viewControls->showDBValue("assigned_to", $data, $keylink));
	$format = $settings->getViewFormat("assigned_to");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("assigned_to")))
		$class = ' rnr-field-number';
		
	$xt->assign("assigned_to_class", $class); // add class for field header as field value
	$xt->assign("campaign_mastervalue", $viewControls->showDBValue("campaign", $data, $keylink));
	$format = $settings->getViewFormat("campaign");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("campaign")))
		$class = ' rnr-field-number';
		
	$xt->assign("campaign_class", $class); // add class for field header as field value
	$xt->assign("contact_person_mastervalue", $viewControls->showDBValue("contact_person", $data, $keylink));
	$format = $settings->getViewFormat("contact_person");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("contact_person")))
		$class = ' rnr-field-number';
		
	$xt->assign("contact_person_class", $class); // add class for field header as field value
	$xt->assign("position_mastervalue", $viewControls->showDBValue("position", $data, $keylink));
	$format = $settings->getViewFormat("position");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("position")))
		$class = ' rnr-field-number';
		
	$xt->assign("position_class", $class); // add class for field header as field value

	$layout = GetPageLayout("Prospect_customers", 'masterprint');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');

	$xt->displayPartial(GetTemplateName("Prospect_customers", "masterprint"));
}

?>