<?php
function DisplayMasterTableInfo_bank_recon($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "bank_recon";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "Recon_deposit")
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Recon_GV_dep")
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "recon_CR")
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Recon_CV")
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Recon_GV_CV")
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Recon_withdraw")
	{
		$keysAssoc["bank"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("bank", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","bank").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("bank_mastervalue", $viewControls->showDBValue("bank", $data, $keylink));
	$format = $settings->getViewFormat("bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("bank_class", $class); // add class for field header as field value
	$xt->assign("account_number_mastervalue", $viewControls->showDBValue("account_number", $data, $keylink));
	$format = $settings->getViewFormat("account_number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account_number")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_number_class", $class); // add class for field header as field value
	$xt->assign("default_chart_of_account_mastervalue", $viewControls->showDBValue("default_chart_of_account", $data, $keylink));
	$format = $settings->getViewFormat("default_chart_of_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("default_chart_of_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("default_chart_of_account_class", $class); // add class for field header as field value
	$xt->assign("account_name_mastervalue", $viewControls->showDBValue("account_name", $data, $keylink));
	$format = $settings->getViewFormat("account_name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account_name")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_name_class", $class); // add class for field header as field value
	$xt->assign("statement_balance_mastervalue", $viewControls->showDBValue("statement_balance", $data, $keylink));
	$format = $settings->getViewFormat("statement_balance");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("statement_balance")))
		$class = ' rnr-field-number';
		
	$xt->assign("statement_balance_class", $class); // add class for field header as field value
	$xt->assign("statement_balance_date_mastervalue", $viewControls->showDBValue("statement_balance_date", $data, $keylink));
	$format = $settings->getViewFormat("statement_balance_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("statement_balance_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("statement_balance_date_class", $class); // add class for field header as field value
	$xt->assign("total_deposit_mastervalue", $viewControls->showDBValue("total_deposit", $data, $keylink));
	$format = $settings->getViewFormat("total_deposit");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_deposit")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_deposit_class", $class); // add class for field header as field value
	$xt->assign("total_cash_receipt_mastervalue", $viewControls->showDBValue("total_cash_receipt", $data, $keylink));
	$format = $settings->getViewFormat("total_cash_receipt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_cash_receipt")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_cash_receipt_class", $class); // add class for field header as field value
	$xt->assign("total_cash_voucher_mastervalue", $viewControls->showDBValue("total_cash_voucher", $data, $keylink));
	$format = $settings->getViewFormat("total_cash_voucher");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_cash_voucher")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_cash_voucher_class", $class); // add class for field header as field value
	$xt->assign("total_withdrawal_mastervalue", $viewControls->showDBValue("total_withdrawal", $data, $keylink));
	$format = $settings->getViewFormat("total_withdrawal");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_withdrawal")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_withdrawal_class", $class); // add class for field header as field value
	$xt->assign("total_general_journal_receipt_mastervalue", $viewControls->showDBValue("total_general_journal_receipt", $data, $keylink));
	$format = $settings->getViewFormat("total_general_journal_receipt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_general_journal_receipt")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_general_journal_receipt_class", $class); // add class for field header as field value
	$xt->assign("total_general_journal_payment_mastervalue", $viewControls->showDBValue("total_general_journal_payment", $data, $keylink));
	$format = $settings->getViewFormat("total_general_journal_payment");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_general_journal_payment")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_general_journal_payment_class", $class); // add class for field header as field value
	$xt->assign("ending_balance_mastervalue", $viewControls->showDBValue("ending_balance", $data, $keylink));
	$format = $settings->getViewFormat("ending_balance");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ending_balance")))
		$class = ' rnr-field-number';
		
	$xt->assign("ending_balance_class", $class); // add class for field header as field value
	$xt->assign("unreconciled_amount_mastervalue", $viewControls->showDBValue("unreconciled_amount", $data, $keylink));
	$format = $settings->getViewFormat("unreconciled_amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("unreconciled_amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("unreconciled_amount_class", $class); // add class for field header as field value

	$layout = GetPageLayout("bank_recon", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("bank_recon", "masterlist"));
}

?>