<?php
function DisplayMasterTableInfo_budget($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "budget";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "budget_detail")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("budget","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("date_mastervalue", $viewControls->showDBValue("date", $data, $keylink));
	$format = $settings->getViewFormat("date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("date")))
		$class = ' rnr-field-number';
		
	$xt->assign("date_class", $class); // add class for field header as field value
	$xt->assign("remarks_mastervalue", $viewControls->showDBValue("remarks", $data, $keylink));
	$format = $settings->getViewFormat("remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("remarks_class", $class); // add class for field header as field value
	$xt->assign("checked_by_mastervalue", $viewControls->showDBValue("checked_by", $data, $keylink));
	$format = $settings->getViewFormat("checked_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_by_class", $class); // add class for field header as field value
	$xt->assign("approved_by_mastervalue", $viewControls->showDBValue("approved_by", $data, $keylink));
	$format = $settings->getViewFormat("approved_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_by_class", $class); // add class for field header as field value
	$xt->assign("1_mastervalue", $viewControls->showDBValue("1", $data, $keylink));
	$format = $settings->getViewFormat("1");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("1")))
		$class = ' rnr-field-number';
		
	$xt->assign("1_class", $class); // add class for field header as field value
	$xt->assign("2_mastervalue", $viewControls->showDBValue("2", $data, $keylink));
	$format = $settings->getViewFormat("2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("2")))
		$class = ' rnr-field-number';
		
	$xt->assign("2_class", $class); // add class for field header as field value
	$xt->assign("3_mastervalue", $viewControls->showDBValue("3", $data, $keylink));
	$format = $settings->getViewFormat("3");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("3")))
		$class = ' rnr-field-number';
		
	$xt->assign("3_class", $class); // add class for field header as field value
	$xt->assign("4_mastervalue", $viewControls->showDBValue("4", $data, $keylink));
	$format = $settings->getViewFormat("4");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("4")))
		$class = ' rnr-field-number';
		
	$xt->assign("4_class", $class); // add class for field header as field value
	$xt->assign("5_mastervalue", $viewControls->showDBValue("5", $data, $keylink));
	$format = $settings->getViewFormat("5");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("5")))
		$class = ' rnr-field-number';
		
	$xt->assign("5_class", $class); // add class for field header as field value
	$xt->assign("6_mastervalue", $viewControls->showDBValue("6", $data, $keylink));
	$format = $settings->getViewFormat("6");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("6")))
		$class = ' rnr-field-number';
		
	$xt->assign("6_class", $class); // add class for field header as field value
	$xt->assign("7_mastervalue", $viewControls->showDBValue("7", $data, $keylink));
	$format = $settings->getViewFormat("7");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("7")))
		$class = ' rnr-field-number';
		
	$xt->assign("7_class", $class); // add class for field header as field value
	$xt->assign("8_mastervalue", $viewControls->showDBValue("8", $data, $keylink));
	$format = $settings->getViewFormat("8");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("8")))
		$class = ' rnr-field-number';
		
	$xt->assign("8_class", $class); // add class for field header as field value
	$xt->assign("9_mastervalue", $viewControls->showDBValue("9", $data, $keylink));
	$format = $settings->getViewFormat("9");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("9")))
		$class = ' rnr-field-number';
		
	$xt->assign("9_class", $class); // add class for field header as field value
	$xt->assign("10_mastervalue", $viewControls->showDBValue("10", $data, $keylink));
	$format = $settings->getViewFormat("10");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("10")))
		$class = ' rnr-field-number';
		
	$xt->assign("10_class", $class); // add class for field header as field value
	$xt->assign("11_mastervalue", $viewControls->showDBValue("11", $data, $keylink));
	$format = $settings->getViewFormat("11");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("11")))
		$class = ' rnr-field-number';
		
	$xt->assign("11_class", $class); // add class for field header as field value
	$xt->assign("12_mastervalue", $viewControls->showDBValue("12", $data, $keylink));
	$format = $settings->getViewFormat("12");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("12")))
		$class = ' rnr-field-number';
		
	$xt->assign("12_class", $class); // add class for field header as field value
	$xt->assign("total_mastervalue", $viewControls->showDBValue("total", $data, $keylink));
	$format = $settings->getViewFormat("total");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_class", $class); // add class for field header as field value

	$layout = GetPageLayout("budget", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("budget", "masterlist"));
}

?>