<?php
function DisplayMasterTableInfo_cash_disbursment($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "cash_disbursment";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "cash_disbursement_detail2")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("cash_disbursment","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "cash_disbursment_detail")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("cash_disbursment","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Transadate_mastervalue", $viewControls->showDBValue("Transadate", $data, $keylink));
	$format = $settings->getViewFormat("Transadate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Transadate")))
		$class = ' rnr-field-number';
		
	$xt->assign("Transadate_class", $class); // add class for field header as field value
	$xt->assign("Business_Partner_mastervalue", $viewControls->showDBValue("Business_Partner", $data, $keylink));
	$format = $settings->getViewFormat("Business_Partner");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Business_Partner")))
		$class = ' rnr-field-number';
		
	$xt->assign("Business_Partner_class", $class); // add class for field header as field value
	$xt->assign("Cash_Account_mastervalue", $viewControls->showDBValue("Cash_Account", $data, $keylink));
	$format = $settings->getViewFormat("Cash_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cash_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cash_Account_class", $class); // add class for field header as field value
	$xt->assign("Cost_Center_mastervalue", $viewControls->showDBValue("Cost_Center", $data, $keylink));
	$format = $settings->getViewFormat("Cost_Center");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cost_Center")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cost_Center_class", $class); // add class for field header as field value
	$xt->assign("Gross_Sale_mastervalue", $viewControls->showDBValue("Gross_Sale", $data, $keylink));
	$format = $settings->getViewFormat("Gross_Sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Gross_Sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("Gross_Sale_class", $class); // add class for field header as field value
	$xt->assign("Discount_Amount_mastervalue", $viewControls->showDBValue("Discount_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Amount_class", $class); // add class for field header as field value
	$xt->assign("Discount_Account_mastervalue", $viewControls->showDBValue("Discount_Account", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Account_class", $class); // add class for field header as field value
	$xt->assign("Vat_Amount_mastervalue", $viewControls->showDBValue("Vat_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Vat_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Amount_class", $class); // add class for field header as field value
	$xt->assign("VAT_Account_mastervalue", $viewControls->showDBValue("VAT_Account", $data, $keylink));
	$format = $settings->getViewFormat("VAT_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("VAT_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("VAT_Account_class", $class); // add class for field header as field value
	$xt->assign("EWT_Amount_mastervalue", $viewControls->showDBValue("EWT_Amount", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Amount_class", $class); // add class for field header as field value
	$xt->assign("EWT_Account_mastervalue", $viewControls->showDBValue("EWT_Account", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Account_class", $class); // add class for field header as field value
	$xt->assign("Net_Amount_mastervalue", $viewControls->showDBValue("Net_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Net_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_Amount_class", $class); // add class for field header as field value
	$xt->assign("Taxable_mastervalue", $viewControls->showDBValue("Taxable", $data, $keylink));
	$format = $settings->getViewFormat("Taxable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Taxable")))
		$class = ' rnr-field-number';
		
	$xt->assign("Taxable_class", $class); // add class for field header as field value
	$xt->assign("Remarks_mastervalue", $viewControls->showDBValue("Remarks", $data, $keylink));
	$format = $settings->getViewFormat("Remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("Remarks_class", $class); // add class for field header as field value
	$xt->assign("vatable_mastervalue", $viewControls->showDBValue("vatable", $data, $keylink));
	$format = $settings->getViewFormat("vatable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_class", $class); // add class for field header as field value
	$xt->assign("atc_mastervalue", $viewControls->showDBValue("atc", $data, $keylink));
	$format = $settings->getViewFormat("atc");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("atc")))
		$class = ' rnr-field-number';
		
	$xt->assign("atc_class", $class); // add class for field header as field value
	$xt->assign("ewt_rate_mastervalue", $viewControls->showDBValue("ewt_rate", $data, $keylink));
	$format = $settings->getViewFormat("ewt_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ewt_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("ewt_rate_class", $class); // add class for field header as field value
	$xt->assign("cash_collection_mastervalue", $viewControls->showDBValue("cash_collection", $data, $keylink));
	$format = $settings->getViewFormat("cash_collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("cash_collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("cash_collection_class", $class); // add class for field header as field value
	$xt->assign("Net_pay_mastervalue", $viewControls->showDBValue("Net_pay", $data, $keylink));
	$format = $settings->getViewFormat("Net_pay");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_pay")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_pay_class", $class); // add class for field header as field value
	$xt->assign("check_no_mastervalue", $viewControls->showDBValue("check_no", $data, $keylink));
	$format = $settings->getViewFormat("check_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_no_class", $class); // add class for field header as field value
	$xt->assign("bank_mastervalue", $viewControls->showDBValue("bank", $data, $keylink));
	$format = $settings->getViewFormat("bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("bank_class", $class); // add class for field header as field value
	$xt->assign("payable_discount_mastervalue", $viewControls->showDBValue("payable_discount", $data, $keylink));
	$format = $settings->getViewFormat("payable_discount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("payable_discount")))
		$class = ' rnr-field-number';
		
	$xt->assign("payable_discount_class", $class); // add class for field header as field value
	$xt->assign("net_payment_mastervalue", $viewControls->showDBValue("net_payment", $data, $keylink));
	$format = $settings->getViewFormat("net_payment");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("net_payment")))
		$class = ' rnr-field-number';
		
	$xt->assign("net_payment_class", $class); // add class for field header as field value
	$xt->assign("applied_vat_mastervalue", $viewControls->showDBValue("applied_vat", $data, $keylink));
	$format = $settings->getViewFormat("applied_vat");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("applied_vat")))
		$class = ' rnr-field-number';
		
	$xt->assign("applied_vat_class", $class); // add class for field header as field value
	$xt->assign("net_cash_payment_mastervalue", $viewControls->showDBValue("net_cash_payment", $data, $keylink));
	$format = $settings->getViewFormat("net_cash_payment");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("net_cash_payment")))
		$class = ' rnr-field-number';
		
	$xt->assign("net_cash_payment_class", $class); // add class for field header as field value
	$xt->assign("payment_ewt_mastervalue", $viewControls->showDBValue("payment_ewt", $data, $keylink));
	$format = $settings->getViewFormat("payment_ewt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("payment_ewt")))
		$class = ' rnr-field-number';
		
	$xt->assign("payment_ewt_class", $class); // add class for field header as field value
	$xt->assign("ref_no_mastervalue", $viewControls->showDBValue("ref_no", $data, $keylink));
	$format = $settings->getViewFormat("ref_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ref_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("ref_no_class", $class); // add class for field header as field value
	$xt->assign("file_mastervalue", "<span class='rnr-field-file'>".$viewControls->showDBValue("file", $data, $keylink)."</span>");
	$format = $settings->getViewFormat("file");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("file")))
		$class = ' rnr-field-number';
		
	$xt->assign("file_class", $class); // add class for field header as field value
	$xt->assign("check_payee_mastervalue", $viewControls->showDBValue("check_payee", $data, $keylink));
	$format = $settings->getViewFormat("check_payee");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_payee")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_payee_class", $class); // add class for field header as field value
	$xt->assign("discount_type_mastervalue", $viewControls->showDBValue("discount_type", $data, $keylink));
	$format = $settings->getViewFormat("discount_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_type_class", $class); // add class for field header as field value
	$xt->assign("discount_rate_mastervalue", $viewControls->showDBValue("discount_rate", $data, $keylink));
	$format = $settings->getViewFormat("discount_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_rate_class", $class); // add class for field header as field value
	$xt->assign("currecy_mastervalue", $viewControls->showDBValue("currecy", $data, $keylink));
	$format = $settings->getViewFormat("currecy");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("currecy")))
		$class = ' rnr-field-number';
		
	$xt->assign("currecy_class", $class); // add class for field header as field value
	$xt->assign("checked_by_mastervalue", $viewControls->showDBValue("checked_by", $data, $keylink));
	$format = $settings->getViewFormat("checked_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_by_class", $class); // add class for field header as field value
	$xt->assign("approved_by_mastervalue", $viewControls->showDBValue("approved_by", $data, $keylink));
	$format = $settings->getViewFormat("approved_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_by_class", $class); // add class for field header as field value
	$xt->assign("exchange_rate_mastervalue", $viewControls->showDBValue("exchange_rate", $data, $keylink));
	$format = $settings->getViewFormat("exchange_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("exchange_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("exchange_rate_class", $class); // add class for field header as field value
	$xt->assign("vatable_purchase_mastervalue", $viewControls->showDBValue("vatable_purchase", $data, $keylink));
	$format = $settings->getViewFormat("vatable_purchase");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable_purchase")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_purchase_class", $class); // add class for field header as field value
	$xt->assign("non_vatable_purchased_mastervalue", $viewControls->showDBValue("non_vatable_purchased", $data, $keylink));
	$format = $settings->getViewFormat("non_vatable_purchased");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("non_vatable_purchased")))
		$class = ' rnr-field-number';
		
	$xt->assign("non_vatable_purchased_class", $class); // add class for field header as field value
	$xt->assign("payment_method_mastervalue", $viewControls->showDBValue("payment_method", $data, $keylink));
	$format = $settings->getViewFormat("payment_method");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("payment_method")))
		$class = ' rnr-field-number';
		
	$xt->assign("payment_method_class", $class); // add class for field header as field value
	$xt->assign("deferred_input_vat_account_mastervalue", $viewControls->showDBValue("deferred_input_vat_account", $data, $keylink));
	$format = $settings->getViewFormat("deferred_input_vat_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("deferred_input_vat_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("deferred_input_vat_account_class", $class); // add class for field header as field value
	$xt->assign("invoice_no_mastervalue", $viewControls->showDBValue("invoice_no", $data, $keylink));
	$format = $settings->getViewFormat("invoice_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("invoice_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("invoice_no_class", $class); // add class for field header as field value
	$xt->assign("company_mastervalue", $viewControls->showDBValue("company", $data, $keylink));
	$format = $settings->getViewFormat("company");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("company")))
		$class = ' rnr-field-number';
		
	$xt->assign("company_class", $class); // add class for field header as field value
	$xt->assign("replenishment_mastervalue", $viewControls->showDBValue("replenishment", $data, $keylink));
	$format = $settings->getViewFormat("replenishment");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("replenishment")))
		$class = ' rnr-field-number';
		
	$xt->assign("replenishment_class", $class); // add class for field header as field value
	$xt->assign("replenishment_amount_mastervalue", $viewControls->showDBValue("replenishment_amount", $data, $keylink));
	$format = $settings->getViewFormat("replenishment_amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("replenishment_amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("replenishment_amount_class", $class); // add class for field header as field value
	$xt->assign("project_no_mastervalue", $viewControls->showDBValue("project_no", $data, $keylink));
	$format = $settings->getViewFormat("project_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("project_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("project_no_class", $class); // add class for field header as field value
	$xt->assign("account_no_mastervalue", $viewControls->showDBValue("account_no", $data, $keylink));
	$format = $settings->getViewFormat("account_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_no_class", $class); // add class for field header as field value
	$xt->assign("amount_mastervalue", $viewControls->showDBValue("amount", $data, $keylink));
	$format = $settings->getViewFormat("amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("amount_class", $class); // add class for field header as field value
	$xt->assign("account_mastervalue", $viewControls->showDBValue("account", $data, $keylink));
	$format = $settings->getViewFormat("account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_class", $class); // add class for field header as field value
	$xt->assign("wslipt_mastervalue", $viewControls->showDBValue("wslipt", $data, $keylink));
	$format = $settings->getViewFormat("wslipt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("wslipt")))
		$class = ' rnr-field-number';
		
	$xt->assign("wslipt_class", $class); // add class for field header as field value
	$xt->assign("papplication_mastervalue", $viewControls->showDBValue("papplication", $data, $keylink));
	$format = $settings->getViewFormat("papplication");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("papplication")))
		$class = ' rnr-field-number';
		
	$xt->assign("papplication_class", $class); // add class for field header as field value
	$xt->assign("description2_mastervalue", $viewControls->showDBValue("description2", $data, $keylink));
	$format = $settings->getViewFormat("description2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("description2")))
		$class = ' rnr-field-number';
		
	$xt->assign("description2_class", $class); // add class for field header as field value
	$xt->assign("representative_mastervalue", $viewControls->showDBValue("representative", $data, $keylink));
	$format = $settings->getViewFormat("representative");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("representative")))
		$class = ' rnr-field-number';
		
	$xt->assign("representative_class", $class); // add class for field header as field value
	$xt->assign("reviewed_by_mastervalue", $viewControls->showDBValue("reviewed_by", $data, $keylink));
	$format = $settings->getViewFormat("reviewed_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("reviewed_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("reviewed_by_class", $class); // add class for field header as field value
	$xt->assign("managers_check_mastervalue", $viewControls->showDBValue("managers_check", $data, $keylink));
	$format = $settings->getViewFormat("managers_check");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("managers_check")))
		$class = ' rnr-field-number';
		
	$xt->assign("managers_check_class", $class); // add class for field header as field value
	$xt->assign("gift_check_mastervalue", $viewControls->showDBValue("gift_check", $data, $keylink));
	$format = $settings->getViewFormat("gift_check");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("gift_check")))
		$class = ' rnr-field-number';
		
	$xt->assign("gift_check_class", $class); // add class for field header as field value
	$xt->assign("demand_draft_mastervalue", $viewControls->showDBValue("demand_draft", $data, $keylink));
	$format = $settings->getViewFormat("demand_draft");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("demand_draft")))
		$class = ' rnr-field-number';
		
	$xt->assign("demand_draft_class", $class); // add class for field header as field value
	$xt->assign("foreign_mastervalue", $viewControls->showDBValue("foreign", $data, $keylink));
	$format = $settings->getViewFormat("foreign");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("foreign")))
		$class = ' rnr-field-number';
		
	$xt->assign("foreign_class", $class); // add class for field header as field value
	$xt->assign("domestic_mastervalue", $viewControls->showDBValue("domestic", $data, $keylink));
	$format = $settings->getViewFormat("domestic");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("domestic")))
		$class = ' rnr-field-number';
		
	$xt->assign("domestic_class", $class); // add class for field header as field value
	$xt->assign("outward_rfc_mastervalue", $viewControls->showDBValue("outward_rfc", $data, $keylink));
	$format = $settings->getViewFormat("outward_rfc");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("outward_rfc")))
		$class = ' rnr-field-number';
		
	$xt->assign("outward_rfc_class", $class); // add class for field header as field value
	$xt->assign("dtt_mastervalue", $viewControls->showDBValue("dtt", $data, $keylink));
	$format = $settings->getViewFormat("dtt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("dtt")))
		$class = ' rnr-field-number';
		
	$xt->assign("dtt_class", $class); // add class for field header as field value
	$xt->assign("ftt_mastervalue", $viewControls->showDBValue("ftt", $data, $keylink));
	$format = $settings->getViewFormat("ftt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ftt")))
		$class = ' rnr-field-number';
		
	$xt->assign("ftt_class", $class); // add class for field header as field value
	$xt->assign("eodn_mastervalue", $viewControls->showDBValue("eodn", $data, $keylink));
	$format = $settings->getViewFormat("eodn");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("eodn")))
		$class = ' rnr-field-number';
		
	$xt->assign("eodn_class", $class); // add class for field header as field value
	$xt->assign("rtgs_mastervalue", $viewControls->showDBValue("rtgs", $data, $keylink));
	$format = $settings->getViewFormat("rtgs");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("rtgs")))
		$class = ' rnr-field-number';
		
	$xt->assign("rtgs_class", $class); // add class for field header as field value
	$xt->assign("purpose_check_mastervalue", $viewControls->showDBValue("purpose_check", $data, $keylink));
	$format = $settings->getViewFormat("purpose_check");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("purpose_check")))
		$class = ' rnr-field-number';
		
	$xt->assign("purpose_check_class", $class); // add class for field header as field value
	$xt->assign("debit_account_mastervalue", $viewControls->showDBValue("debit_account", $data, $keylink));
	$format = $settings->getViewFormat("debit_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("debit_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("debit_account_class", $class); // add class for field header as field value
	$xt->assign("peso_mastervalue", $viewControls->showDBValue("peso", $data, $keylink));
	$format = $settings->getViewFormat("peso");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("peso")))
		$class = ' rnr-field-number';
		
	$xt->assign("peso_class", $class); // add class for field header as field value
	$xt->assign("fcdu_mastervalue", $viewControls->showDBValue("fcdu", $data, $keylink));
	$format = $settings->getViewFormat("fcdu");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("fcdu")))
		$class = ' rnr-field-number';
		
	$xt->assign("fcdu_class", $class); // add class for field header as field value
	$xt->assign("billable2_mastervalue", $viewControls->showDBValue("billable2", $data, $keylink));
	$format = $settings->getViewFormat("billable2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("billable2")))
		$class = ' rnr-field-number';
		
	$xt->assign("billable2_class", $class); // add class for field header as field value
	$xt->assign("beneficiary_bank_mastervalue", $viewControls->showDBValue("beneficiary_bank", $data, $keylink));
	$format = $settings->getViewFormat("beneficiary_bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("beneficiary_bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("beneficiary_bank_class", $class); // add class for field header as field value
	$xt->assign("intermediary_bank_mastervalue", $viewControls->showDBValue("intermediary_bank", $data, $keylink));
	$format = $settings->getViewFormat("intermediary_bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("intermediary_bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("intermediary_bank_class", $class); // add class for field header as field value
	$xt->assign("address_of_beneficiary_bank_mastervalue", $viewControls->showDBValue("address_of_beneficiary_bank", $data, $keylink));
	$format = $settings->getViewFormat("address_of_beneficiary_bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("address_of_beneficiary_bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("address_of_beneficiary_bank_class", $class); // add class for field header as field value
	$xt->assign("currency_amount_transfer_mastervalue", $viewControls->showDBValue("currency_amount_transfer", $data, $keylink));
	$format = $settings->getViewFormat("currency_amount_transfer");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("currency_amount_transfer")))
		$class = ' rnr-field-number';
		
	$xt->assign("currency_amount_transfer_class", $class); // add class for field header as field value
	$xt->assign("beneficiary_swift_code_mastervalue", $viewControls->showDBValue("beneficiary_swift_code", $data, $keylink));
	$format = $settings->getViewFormat("beneficiary_swift_code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("beneficiary_swift_code")))
		$class = ' rnr-field-number';
		
	$xt->assign("beneficiary_swift_code_class", $class); // add class for field header as field value
	$xt->assign("intermediary_swift_code_mastervalue", $viewControls->showDBValue("intermediary_swift_code", $data, $keylink));
	$format = $settings->getViewFormat("intermediary_swift_code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("intermediary_swift_code")))
		$class = ' rnr-field-number';
		
	$xt->assign("intermediary_swift_code_class", $class); // add class for field header as field value
	$xt->assign("rate_mastervalue", $viewControls->showDBValue("rate", $data, $keylink));
	$format = $settings->getViewFormat("rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("rate_class", $class); // add class for field header as field value
	$xt->assign("peso_fcdu_equivalent_mastervalue", $viewControls->showDBValue("peso_fcdu_equivalent", $data, $keylink));
	$format = $settings->getViewFormat("peso_fcdu_equivalent");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("peso_fcdu_equivalent")))
		$class = ' rnr-field-number';
		
	$xt->assign("peso_fcdu_equivalent_class", $class); // add class for field header as field value
	$xt->assign("check_retain_mastervalue", $viewControls->showDBValue("check_retain", $data, $keylink));
	$format = $settings->getViewFormat("check_retain");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_retain")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_retain_class", $class); // add class for field header as field value
	$xt->assign("check_auto_convert_mastervalue", $viewControls->showDBValue("check_auto_convert", $data, $keylink));
	$format = $settings->getViewFormat("check_auto_convert");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_auto_convert")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_auto_convert_class", $class); // add class for field header as field value
	$xt->assign("country_mastervalue", $viewControls->showDBValue("country", $data, $keylink));
	$format = $settings->getViewFormat("country");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("country")))
		$class = ' rnr-field-number';
		
	$xt->assign("country_class", $class); // add class for field header as field value
	$xt->assign("print_journal_mastervalue", $viewControls->showDBValue("print_journal", $data, $keylink));
	$format = $settings->getViewFormat("print_journal");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("print_journal")))
		$class = ' rnr-field-number';
		
	$xt->assign("print_journal_class", $class); // add class for field header as field value
	$xt->assign("check_date_mastervalue", $viewControls->showDBValue("check_date", $data, $keylink));
	$format = $settings->getViewFormat("check_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_date_class", $class); // add class for field header as field value
	$xt->assign("date_canceled_mastervalue", $viewControls->showDBValue("date_canceled", $data, $keylink));
	$format = $settings->getViewFormat("date_canceled");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("date_canceled")))
		$class = ' rnr-field-number';
		
	$xt->assign("date_canceled_class", $class); // add class for field header as field value
	$xt->assign("sv_mastervalue", $viewControls->showDBValue("sv", $data, $keylink));
	$format = $settings->getViewFormat("sv");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sv")))
		$class = ' rnr-field-number';
		
	$xt->assign("sv_class", $class); // add class for field header as field value

	$layout = GetPageLayout("cash_disbursment", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("cash_disbursment", "masterlist"));
}

?>