<?php
require_once(getabspath("classes/cipherer.php"));




$tdatainco_terms = array();	
	$tdatainco_terms[".truncateText"] = true;
	$tdatainco_terms[".NumberOfChars"] = 80; 
	$tdatainco_terms[".ShortName"] = "inco_terms";
	$tdatainco_terms[".OwnerID"] = "";
	$tdatainco_terms[".OriginalTable"] = "inco_terms";

//	field labels
$fieldLabelsinco_terms = array();
$fieldToolTipsinco_terms = array();
$pageTitlesinco_terms = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsinco_terms["English"] = array();
	$fieldToolTipsinco_terms["English"] = array();
	$pageTitlesinco_terms["English"] = array();
	$fieldLabelsinco_terms["English"]["id"] = "Id";
	$fieldToolTipsinco_terms["English"]["id"] = "";
	$fieldLabelsinco_terms["English"]["inco"] = "INCO";
	$fieldToolTipsinco_terms["English"]["inco"] = "";
	if (count($fieldToolTipsinco_terms["English"]))
		$tdatainco_terms[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="")
{
	$fieldLabelsinco_terms[""] = array();
	$fieldToolTipsinco_terms[""] = array();
	$pageTitlesinco_terms[""] = array();
	$fieldLabelsinco_terms[""]["id"] = "Id";
	$fieldToolTipsinco_terms[""]["id"] = "";
	$fieldLabelsinco_terms[""]["inco"] = "Inco";
	$fieldToolTipsinco_terms[""]["inco"] = "";
	if (count($fieldToolTipsinco_terms[""]))
		$tdatainco_terms[".isUseToolTips"] = true;
}
	
	
	$tdatainco_terms[".NCSearch"] = true;



$tdatainco_terms[".shortTableName"] = "inco_terms";
$tdatainco_terms[".nSecOptions"] = 0;
$tdatainco_terms[".recsPerRowList"] = 1;
$tdatainco_terms[".recsPerRowPrint"] = 1;
$tdatainco_terms[".mainTableOwnerID"] = "";
$tdatainco_terms[".moveNext"] = 1;
$tdatainco_terms[".entityType"] = 0;

$tdatainco_terms[".strOriginalTableName"] = "inco_terms";




$tdatainco_terms[".showAddInPopup"] = false;

$tdatainco_terms[".showEditInPopup"] = false;

$tdatainco_terms[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatainco_terms[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatainco_terms[".fieldsForRegister"] = array();

$tdatainco_terms[".listAjax"] = false;

	$tdatainco_terms[".audit"] = false;

	$tdatainco_terms[".locking"] = false;

$tdatainco_terms[".edit"] = true;
$tdatainco_terms[".afterEditAction"] = 1;
$tdatainco_terms[".closePopupAfterEdit"] = 1;
$tdatainco_terms[".afterEditActionDetTable"] = "";

$tdatainco_terms[".add"] = true;
$tdatainco_terms[".afterAddAction"] = 1;
$tdatainco_terms[".closePopupAfterAdd"] = 1;
$tdatainco_terms[".afterAddActionDetTable"] = "";

$tdatainco_terms[".list"] = true;

$tdatainco_terms[".view"] = true;

$tdatainco_terms[".import"] = true;

$tdatainco_terms[".exportTo"] = true;

$tdatainco_terms[".printFriendly"] = true;

$tdatainco_terms[".delete"] = true;

$tdatainco_terms[".showSimpleSearchOptions"] = false;

// search Saving settings
$tdatainco_terms[".searchSaving"] = false;
//

$tdatainco_terms[".showSearchPanel"] = true;
		$tdatainco_terms[".flexibleSearch"] = true;		

if (isMobile())
	$tdatainco_terms[".isUseAjaxSuggest"] = false;
else 
	$tdatainco_terms[".isUseAjaxSuggest"] = true;

$tdatainco_terms[".rowHighlite"] = true;


																																																																																																																																																																																																																																																																		
$tdatainco_terms[".addPageEvents"] = false;

// use timepicker for search panel
$tdatainco_terms[".isUseTimeForSearch"] = false;





$tdatainco_terms[".allSearchFields"] = array();
$tdatainco_terms[".filterFields"] = array();
$tdatainco_terms[".requiredSearchFields"] = array();

$tdatainco_terms[".allSearchFields"][] = "inco";
	

$tdatainco_terms[".googleLikeFields"] = array();
$tdatainco_terms[".googleLikeFields"][] = "id";
$tdatainco_terms[".googleLikeFields"][] = "inco";


$tdatainco_terms[".advSearchFields"] = array();
$tdatainco_terms[".advSearchFields"][] = "inco";

$tdatainco_terms[".tableType"] = "list";

$tdatainco_terms[".printerPageOrientation"] = 0;
$tdatainco_terms[".nPrinterPageScale"] = 100;

$tdatainco_terms[".nPrinterSplitRecords"] = 40;

$tdatainco_terms[".nPrinterPDFSplitRecords"] = 40;



$tdatainco_terms[".geocodingEnabled"] = false;




	





// view page pdf

// print page pdf


$tdatainco_terms[".pageSize"] = 20;

$tdatainco_terms[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatainco_terms[".strOrderBy"] = $tstrOrderBy;

$tdatainco_terms[".orderindexes"] = array();

$tdatainco_terms[".sqlHead"] = "SELECT id,  	inco";
$tdatainco_terms[".sqlFrom"] = "FROM inco_terms";
$tdatainco_terms[".sqlWhereExpr"] = "";
$tdatainco_terms[".sqlTail"] = "";









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatainco_terms[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatainco_terms[".arrGroupsPerPage"] = $arrGPP;

$tdatainco_terms[".highlightSearchResults"] = true;

$tableKeysinco_terms = array();
$tableKeysinco_terms[] = "id";
$tdatainco_terms[".Keys"] = $tableKeysinco_terms;

$tdatainco_terms[".listFields"] = array();
$tdatainco_terms[".listFields"][] = "inco";

$tdatainco_terms[".hideMobileList"] = array();


$tdatainco_terms[".viewFields"] = array();
$tdatainco_terms[".viewFields"][] = "inco";

$tdatainco_terms[".addFields"] = array();
$tdatainco_terms[".addFields"][] = "inco";

$tdatainco_terms[".masterListFields"] = array();
$tdatainco_terms[".masterListFields"][] = "id";
$tdatainco_terms[".masterListFields"][] = "inco";

$tdatainco_terms[".inlineAddFields"] = array();

$tdatainco_terms[".editFields"] = array();
$tdatainco_terms[".editFields"][] = "inco";

$tdatainco_terms[".inlineEditFields"] = array();

$tdatainco_terms[".exportFields"] = array();
$tdatainco_terms[".exportFields"][] = "inco";

$tdatainco_terms[".importFields"] = array();
$tdatainco_terms[".importFields"][] = "inco";

$tdatainco_terms[".printFields"] = array();
$tdatainco_terms[".printFields"][] = "inco";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "inco_terms";
	$fdata["Label"] = GetFieldLabel("inco_terms","id"); 
	$fdata["FieldType"] = 3;
	
		
		$fdata["AutoInc"] = true;
	
		
				
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
		
		
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
			
	
	


		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
			$edata["HTML5InuptType"] = "number";
	
		$edata["EditParams"] = "";
			
		$edata["controlWidth"] = 200;
	
//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			
		
	//	End validation
	
		
				
		
	
		
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
	
	$fdata["isSeparate"] = false;
	
	
	
	

	

	
	$tdatainco_terms["id"] = $fdata;
//	inco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "inco";
	$fdata["GoodName"] = "inco";
	$fdata["ownerTable"] = "inco_terms";
	$fdata["Label"] = GetFieldLabel("inco_terms","inco"); 
	$fdata["FieldType"] = 200;
	
		
		
		
				
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "inco"; 
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "inco";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
		
		
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
			
	
	


		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
			$edata["HTML5InuptType"] = "text";
	
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";
	
		$edata["controlWidth"] = 200;
	
//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
		
		
	//	End validation
	
		
				
		
	
		
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
	
	$fdata["isSeparate"] = false;
	
	
	
	
// the field's search options settings
		
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Empty");
// the end of search options settings	

	

	
	$tdatainco_terms["inco"] = $fdata;

	
$tables_data["inco_terms"]=&$tdatainco_terms;
$field_labels["inco_terms"] = &$fieldLabelsinco_terms;
$fieldToolTips["inco_terms"] = &$fieldToolTipsinco_terms;
$page_titles["inco_terms"] = &$pageTitlesinco_terms;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["inco_terms"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["inco_terms"] = array();


// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_inco_terms()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	inco";
$proto0["m_strFrom"] = "FROM inco_terms";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
			$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = false;
$proto1["m_inBrackets"] = false;
$proto1["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "inco_terms",
	"m_srcTableName" => "inco_terms"
));

$proto5["m_sql"] = "id";
$proto5["m_srcTableName"] = "inco_terms";
$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "inco",
	"m_strTable" => "inco_terms",
	"m_srcTableName" => "inco_terms"
));

$proto7["m_sql"] = "inco";
$proto7["m_srcTableName"] = "inco_terms";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "inco_terms";
$proto10["m_srcTableName"] = "inco_terms";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "id";
$proto10["m_columns"][] = "inco";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_sql"] = "inco_terms";
$proto9["m_alias"] = "";
$proto9["m_srcTableName"] = "inco_terms";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = false;
$proto11["m_inBrackets"] = false;
$proto11["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="inco_terms";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_inco_terms = createSqlQuery_inco_terms();


	
		
	
$tdatainco_terms[".sqlquery"] = $queryData_inco_terms;

$tableEvents["inco_terms"] = new eventsBase;
$tdatainco_terms[".hasEvents"] = false;

?>