<?php
function DisplayMasterTableInfo_trip_ticket($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "trip_ticket";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "trip_detail")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("trip_ticket","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("date_added_mastervalue", $viewControls->showDBValue("date_added", $data, $keylink));
	$format = $settings->getViewFormat("date_added");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("date_added")))
		$class = ' rnr-field-number';
		
	$xt->assign("date_added_class", $class); // add class for field header as field value
	$xt->assign("vehicle_no_mastervalue", $viewControls->showDBValue("vehicle_no", $data, $keylink));
	$format = $settings->getViewFormat("vehicle_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vehicle_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("vehicle_no_class", $class); // add class for field header as field value
	$xt->assign("cargo_mastervalue", $viewControls->showDBValue("cargo", $data, $keylink));
	$format = $settings->getViewFormat("cargo");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("cargo")))
		$class = ' rnr-field-number';
		
	$xt->assign("cargo_class", $class); // add class for field header as field value
	$xt->assign("gas_mastervalue", $viewControls->showDBValue("gas", $data, $keylink));
	$format = $settings->getViewFormat("gas");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("gas")))
		$class = ' rnr-field-number';
		
	$xt->assign("gas_class", $class); // add class for field header as field value
	$xt->assign("driver_mastervalue", $viewControls->showDBValue("driver", $data, $keylink));
	$format = $settings->getViewFormat("driver");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("driver")))
		$class = ' rnr-field-number';
		
	$xt->assign("driver_class", $class); // add class for field header as field value
	$xt->assign("helper_mastervalue", $viewControls->showDBValue("helper", $data, $keylink));
	$format = $settings->getViewFormat("helper");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("helper")))
		$class = ' rnr-field-number';
		
	$xt->assign("helper_class", $class); // add class for field header as field value
	$xt->assign("loaded_mastervalue", $viewControls->showDBValue("loaded", $data, $keylink));
	$format = $settings->getViewFormat("loaded");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("loaded")))
		$class = ' rnr-field-number';
		
	$xt->assign("loaded_class", $class); // add class for field header as field value
	$xt->assign("odometer_start_mastervalue", $viewControls->showDBValue("odometer_start", $data, $keylink));
	$format = $settings->getViewFormat("odometer_start");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("odometer_start")))
		$class = ' rnr-field-number';
		
	$xt->assign("odometer_start_class", $class); // add class for field header as field value
	$xt->assign("odometer_end_mastervalue", $viewControls->showDBValue("odometer_end", $data, $keylink));
	$format = $settings->getViewFormat("odometer_end");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("odometer_end")))
		$class = ' rnr-field-number';
		
	$xt->assign("odometer_end_class", $class); // add class for field header as field value
	$xt->assign("remarks_mastervalue", $viewControls->showDBValue("remarks", $data, $keylink));
	$format = $settings->getViewFormat("remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("remarks_class", $class); // add class for field header as field value
	$xt->assign("document_type_mastervalue", $viewControls->showDBValue("document_type", $data, $keylink));
	$format = $settings->getViewFormat("document_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("document_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("document_type_class", $class); // add class for field header as field value
	$xt->assign("document_number_mastervalue", $viewControls->showDBValue("document_number", $data, $keylink));
	$format = $settings->getViewFormat("document_number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("document_number")))
		$class = ' rnr-field-number';
		
	$xt->assign("document_number_class", $class); // add class for field header as field value
	$xt->assign("business_partner_mastervalue", $viewControls->showDBValue("business_partner", $data, $keylink));
	$format = $settings->getViewFormat("business_partner");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("business_partner")))
		$class = ' rnr-field-number';
		
	$xt->assign("business_partner_class", $class); // add class for field header as field value
	$xt->assign("approved_by_mastervalue", $viewControls->showDBValue("approved_by", $data, $keylink));
	$format = $settings->getViewFormat("approved_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_by_class", $class); // add class for field header as field value
	$xt->assign("checked_by_mastervalue", $viewControls->showDBValue("checked_by", $data, $keylink));
	$format = $settings->getViewFormat("checked_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_by_class", $class); // add class for field header as field value

	$layout = GetPageLayout("trip_ticket", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("trip_ticket", "masterlist"));
}

?>