<?php
$dDebug = false;
$dSQL = "";

$bUseMobileStyleOnly = false;

$tables_data = array();
$page_layouts = array();
$field_labels = array();
$fieldToolTips = array();
$page_titles = array();
$lookupTableLinks = array();

$_gmdays = array(0=>31,1=>31,2=>28,3=>31,4=>30,5=>31,6=>30,7=>31,8=>31,9=>30,10=>31,11=>30,12=>31);

include(getabspath('classes/layout.php'));


//	custom labels
$custom_labels = array();
$custom_labels["English"] = array();
	$custom_labels["English"]['inlineAdd2'] = "New Item";
	$custom_labels["English"]['saveButton1'] = "Save and New";
	$custom_labels["English"]['Logged_on'] = "Logged in";
	$custom_labels["English"]['backButton'] = "Cancel";

define('NOT_TABLE_BASED_TNAME', ".global");

/**
 *  Define constants of page name 
 */
define('PAGE_LIST',"list");
define('PAGE_ADD',"add");
define('PAGE_EDIT',"edit");
define('PAGE_VIEW',"view");
define('PAGE_MENU',"menu");
define('PAGE_LOGIN',"login");
define('PAGE_REGISTER',"register");
define('PAGE_REMIND',"remind");
define('PAGE_CHANGEPASS',"changepwd");
define('PAGE_SEARCH',"search");
define('PAGE_REPORT',"report");
define('PAGE_CHART',"chart");
define('PAGE_PRINT',"print");
define('PAGE_RPRINT',"rprint");
define('PAGE_EXPORT',"export");
define('PAGE_IMPORT',"import");
define('PAGE_ADMIN_MEMBERS',"admin_members");
define('PAGE_ADMIN_RIGHTS',"admin_rights");
define('PAGE_INLINEADD',"inlineadd");
define('PAGE_INLINEEDIT',"inlineedit");
define('PAGE_DASHBOARD',"dashboard");
define('PAGE_DASHMAP', "map");

define('ADMIN_USERS',"admin_users");


define('FORMAT_VIEW',"ViewFormats");
define('FORMAT_EDIT',"EditFormats");
/**
 *  Define constants of view format
 */
define("FORMAT_NONE","");
define("FORMAT_DATE_SHORT","Short Date");
define("FORMAT_DATE_LONG","Long Date");
define("FORMAT_DATE_TIME","Datetime");
define("FORMAT_TIME","Time");
define("FORMAT_CURRENCY","Currency");
define("FORMAT_PERCENT","Percent");
define("FORMAT_HYPERLINK","Hyperlink");
define("FORMAT_EMAILHYPERLINK","Email Hyperlink");
define("FORMAT_FILE_IMAGE","File-based Image");
define("FORMAT_FILE_IMAGE_OLD","Old file-based Image");
define("FORMAT_DATABASE_IMAGE","Database Image");
define("FORMAT_DATABASE_FILE","Database File");
define("FORMAT_FILE","Document Download");
define("FORMAT_LOOKUP_WIZARD","Lookup wizard");
define("FORMAT_PHONE_NUMBER","Phone Number");
define("FORMAT_NUMBER","Number");
define("FORMAT_HTML","HTML");
define("FORMAT_CHECKBOX","Checkbox");
define("FORMAT_MAP","Map");
define("FORMAT_CUSTOM","Custom");
define("FORMAT_AUDIO", "Audio file");
define("FORMAT_DATABASE_AUDIO", "Database audio");
define("FORMAT_VIDEO", "Video file");
define("FORMAT_VIDEO_HTML5", "Video file HTML5");
define("FORMAT_DATABASE_VIDEO", "Database video");
/**
 *  Define constants of edit format
 */
define("EDIT_FORMAT_NONE","");
define("EDIT_FORMAT_TEXT_FIELD","Text field");
define("EDIT_FORMAT_TEXT_AREA","Text area");
define("EDIT_FORMAT_PASSWORD","Password");
define("EDIT_FORMAT_DATE","Date");
define("EDIT_FORMAT_TIME","Time");
define("EDIT_FORMAT_RADIO","Radio button");
define("EDIT_FORMAT_CHECKBOX","Checkbox");
define("EDIT_FORMAT_DATABASE_IMAGE","Database image");
define("EDIT_FORMAT_DATABASE_FILE","Database file");
define("EDIT_FORMAT_FILE","Document upload");
define("EDIT_FORMAT_LOOKUP_WIZARD","Lookup wizard");
define("EDIT_FORMAT_HIDDEN","Hidden field");
define("EDIT_FORMAT_READONLY","Readonly");

define("EDIT_DATE_SIMPLE",0);
define("EDIT_DATE_SIMPLE_INLINE",2);
define("EDIT_DATE_SIMPLE_DP",11);
define("EDIT_DATE_DD",12);
define("EDIT_DATE_DD_INLINE",5);
define("EDIT_DATE_DD_DP",13);

define("MODE_ADD",0);
define("MODE_EDIT",1);
define("MODE_SEARCH",2);
define("MODE_LIST",3);
define("MODE_PRINT",4);
define("MODE_VIEW",5);
define("MODE_INLINE_ADD",6);
define("MODE_INLINE_EDIT",7);
define("MODE_EXPORT",8);

define("LOGIN_HARDCODED",0);
define("LOGIN_TABLE",1);

define("SECURITY_NONE",-1);
define("SECURITY_HARDCODED", 0);
define("SECURITY_TABLE", 1);
define("SECURITY_AD", 2);

define("ADVSECURITY_ALL",0);
define("ADVSECURITY_VIEW_OWN",1);
define("ADVSECURITY_EDIT_OWN",2);
define("ADVSECURITY_NONE",3);

define("ACCESS_LEVEL_ADMIN","Admin");
define("ACCESS_LEVEL_ADMINGROUP","AdminGroup");
define("ACCESS_LEVEL_USER","User");
define("ACCESS_LEVEL_GUEST","Guest");

define("nDATABASE_MySQL",0);
define("nDATABASE_Oracle",1);
define("nDATABASE_MSSQLServer",2);
define("nDATABASE_Access",3);
define("nDATABASE_PostgreSQL",4);
define("nDATABASE_Informix",5);
define("nDATABASE_SQLite3",6);
define("nDATABASE_DB2",7);
define("nDATABASE_Interbase", 16);

define("ADD_SIMPLE",0);
define("ADD_INLINE",1);
define("ADD_ONTHEFLY",2);
define("ADD_MASTER",3);
define("ADD_POPUP",4);
define("ADD_DASHBOARD",5);
define("ADD_MASTER_POPUP",6);

//	Edit page modes
define("EDIT_SIMPLE",0); 	//	standalone Edit page
define("EDIT_INLINE",1);	//	inlineEdit
define("EDIT_POPUP",3);		//	edit page in popup
define("EDIT_DASHBOARD",4);	//	edit page in dashboard

//	View page modes
define("VIEW_SIMPLE",0); 	//	standalone View page
define("VIEW_POPUP",1); 	//	View page in popup
define("VIEW_DASHBOARD",2); 	//	View page in dashboard


define("titTABLE",0);
define("titVIEW",1);
define("titREPORT",2);
define("titCHART",3);
define("titDASHBOARD",4);

define("TAB_TYPE_TAB", 0);
define("TAB_TYPE_SECTION", 1);
define("TAB_TYPE_STEP", 2);

// for report lib
define("REPORT_STEPPED", 0);
define("REPORT_BLOCK", 1);
define("REPORT_OUTLINE", 2);
define("REPORT_ALIGN", 3);
define("REPORT_TABULAR", 6);

define("TOTAL_NONE", -1);
define("TOTAL_MAX", 0);
define("TOTAL_AVG", 1);
define("TOTAL_SUM", 3);
define("TOTAL_MIN", 4);

define("LIST_SIMPLE",0);
define("LIST_LOOKUP",1);
define("LIST_DETAILS",3);
define("LIST_AJAX",4);
define("RIGHTS_PAGE", 5);
define("MEMBERS_PAGE", 6);
define("LIST_DASHBOARD", 7);
define("LIST_DASHDETAILS", 8);
define("MAP_DASHBOARD", 9);
define("LIST_MASTER",10);

define("REPORT_SIMPLE", 0);
define("REPORT_POPUPDETAILS", 1);
define("REPORT_DASHBOARD", 2);
define("REPORT_DETAILS", 3);
define("REPORT_DASHDETAILS", 4);

define("CHART_SIMPLE", 0);
define("CHART_POPUPDETAILS", 1);
define("CHART_DASHBOARD", 2);
define("CHART_DETAILS", 3);
define("CHART_DASHDETAILS", 4);

define("DP_POPUP",0);
define("DP_INLINE",1);
define("DP_NONE",2);

define("DL_SINGLE",0);
define("DL_INDIVIDUAL",1);
define("DL_NONE",2);

define("SEARCH_SIMPLE", 0);
define("SEARCH_LOAD_CONTROL", 1);
define("SEARCH_DASHBOARD", 2);

define("LCT_DROPDOWN",0);
define("LCT_AJAX",1);
define("LCT_LIST",2);
define("LCT_CBLIST",3);
define("LCT_RADIO",4);

define("LT_LISTOFVALUES",0);
// lookup table is not added to the project
define("LT_LOOKUPTABLE",1);
define("LT_QUERY", 2);

define("ENCRYPTION_NONE", 0);
define("ENCRYPTION_DB", 1);
define("ENCRYPTION_PHP", 2);

define("SETTING_TYPE_GLOBAL", "global");
define("SETTING_TYPE_VIEW", "view");
define("SETTING_TYPE_EDIT", "edit");

define('otNone',0);
define('otUseMobile',1);
define('otUseDesktop',2);


define("CONTAINS", "Contains");
define("EQUALS", "Equals");
define("STARTS_WITH", "Starts with");
define("MORE_THAN", "More than");
define("LESS_THAN", "Less than");
define("BETWEEN", "Between");
define("EMPTY_SEARCH", "Empty");
define("NOT_CONTAINS", "NOT Contains");
define("NOT_EQUALS", "NOT Equals");
define("NOT_STARTS_WITH", "NOT Starts with");
define("NOT_MORE_THAN", "NOT More than");
define("NOT_LESS_THAN", "NOT Less than");
define("NOT_BETWEEN", "NOT Between");
define("NOT_EMPTY", "NOT Empty");

define("SEARCHID_SIMPLE", 1);
define("SEARCHID_PANEL", 10);
define("SEARCHID_ALL", 10000);


/* Define constants for the filters settings */
//fiter totals
define("FT_NONE", 0);
define("FT_COUNT", 1);
define("FT_MIN", 2);
define("FT_MAX", 3);
//filter multiselect
define("FM_NONE", 0);
define("FM_ON_DEMAND", 1);
define("FM_ALWAYS", 2);
//filter format
define("FF_VALUE_LIST", "Values list");
define("FF_BOOLEAN", "Options list");
define("FF_INTERVAL_LIST", "Interval list");
define("FF_INTERVAL_SLIDER", "Interval slider");
//define filter interval limits' constants
define("FIL_NONE", 0);
define("FIL_MORE_THAN", 1);
define("FIL_LESS_THAN", 1);
define("FIL_LESS_THAN_OR_EQUAL", 2);
define("FIL_MORE_THAN_OR_EQUAL", 2);
define("FIL_REMAINDER", 3);
//define slider filter constants
define("FS_BOTH", 0);
define("FS_MIN_ONLY", 1);
define("FS_MAX_ONLY", 2);
//define slider step types
define("FSST_SECONDS", 0);
define("FSST_MINUTES", 1);
define("FSST_HOURS", 2);
define("FSST_DAYS", 3);
define("FSST_MONTHS", 4);
define("FSST_YEARS", 5);
//sorting constants 
define('SORT_BY_DISP_VALUE', 0);
define('SORT_BY_DB_VALUE', 1);
define('SORT_BY_GR_VALUE', 2);
/**/


define("gltHORIZONTAL", 0);
define("gltVERTICAL", 1);
define("gltCOLUMNS", 2);

/* Define comstamts for hidden columns devices*/
define("DESKTOP", 1);
define("TABLET_10_IN", 2);
define("TABLET_7_IN", 3);
define("SMARTPHONE_LANDSCAPE", 4);
define("SMARTPHONE_PORTRAIT", 5);
/**/

/* Dashboard types */
define("DASHBOARD_LIST", 0);
define("DASHBOARD_CHART", 1);
define("DASHBOARD_REPORT", 2);
define("DASHBOARD_RECORD", 3);
define("DASHBOARD_SEARCH", 4);
define("DASHBOARD_DETAILS", 5);
define("DASHBOARD_MAP", 6);
/**/

/* Define message type constants */
define("MESSAGE_INFO", 1);
define("MESSAGE_ERROR", 2);

/* Define print page and pdf page constants */
define("PRINT_PAGE_WIDTH", 700);
define("PRINT_PAGE_HEIGHT", 900);
define("PDF_PAGE_WIDTH", 750);
define("PDF_PAGE_HEIGHT", 1060);

/* Defined maps type */
define("GOOGLE_MAPS", 0);
define("OPEN_STREET_MAPS", 1);
define("BING_MAPS", 2);

/* Defined captcha type */
define("FLASH_CAPTCHA", 0);
define("RE_CAPTCHA", 1);

/* Define 'after record added/edited actions' constants*/
define("AA_TO_LIST", 0);
define("AA_TO_ADD", 1);
define("AA_TO_VIEW", 2);
define("AA_TO_EDIT", 3);
define("AA_TO_DETAIL_ADD", 4);
define("AA_TO_DETAIL_LIST", 5);

define("AE_TO_LIST", 0);
define("AE_TO_EDIT", 1);
define("AE_TO_VIEW", 2);
define("AE_TO_NEXT_EDIT", 3);
define("AE_TO_PREV_EDIT", 4);
define("AE_TO_DETAIL_LIST", 5);
/**/

$globalSettings = array();
$globalSettings["nLoginForm"] = 0;
$globalSettings["nLoginMethod"] = 1;

$globalSettings["popupPagesLayoutNames"] = array();
if(!isMobile())
{
						
	;
$globalSettings["popupPagesLayoutNames"]["login"] = "login";
}


$globalSettings["isDynamicPerm"] = true;



$globalSettings["createLoginPage"] = true;
$globalSettings["isSection508"] = true;
$globalSettings["isUseEncryption"] = 0;
$globalSettings["encryptionKey"] = "";

$globalSettings["apiGoogleMapsCode"] = "";


$globalSettings["useBuiltInMailer"] = false;


/**
 * If true then detail table name will be printed before detail table on the view page 
 * @var {bool}
 */
$globalSettings["printDetailTableName"] = true;

/**
 * Alias for custom expression in display field in ListPage_Lookup  
 * @var {string}
 */
$globalSettings["dispFieldAlias"] = "rrdf1";

/**
 * If true then search suggest result will be handled in Lookup control
 * @var {bool}
 */
$globalSettings["handleSearchSuggestInLookup"] = true;

/**
 * Maximum size of search suggest result string
 * @var {int}
 */
$globalSettings["suggestStringSize"] = 40;

/**
 * The number of seach suggests displayed 
 */
$globalSettings["searchSuggestsNumber"] = 10;

$globalSettings["override"] = array();


$globalSettings["mapProvider"]=0;

$globalSettings["CaptchaSettings"] = array();
$globalSettings["CaptchaSettings"]["type"] = 0;
$globalSettings["CaptchaSettings"]["siteKey"] = "";
$globalSettings["CaptchaSettings"]["secretKey"] = "";
$globalSettings["CaptchaSettings"]["captchaPassesCount"] = "5";

$globalSettings["CaptchaSettings"]["isEnabledOnLogin"] = false;
$globalSettings["CaptchaSettings"]["isEnabledOnRegister"] = false;
$globalSettings["CaptchaSettings"]["isEnabledOnRemind"] = false;

$wr_pagestylepath = "BreezeDeliciousGray";
$wr_is_standalone = false;
$WRAdminPagePassword = "";

$cLoginTable = "system_user";
$cDisplayNameField = "Fullname";
$cUserNameField	= "Username";
$cPasswordField	= "password";
$cUserGroupField = "role";
$cEmailField = "email_address";

if ($cDisplayNameField == ''){
	$cDisplayNameField = $cUserNameField;
}

$cDisplayNameFieldType	= 200;
$cUserNameFieldType	= 200;
$cPasswordFieldType	= 200;
$cEmailFieldType = 200;
$useFlashChartLibrary = true;

												$cUserNameFieldType	= 200;
												$cPasswordFieldType	= 200;
																																							$cEmailFieldType = 200;
																																				
$gPermissionsRefreshTime = 0;
$gPermissionsRead = false;

$useAJAX = true;
$suggestAllContent = true;

$strLastSQL = "";
$showCustomMarkerOnPrint = false;

$mlang_messages = array();
$mlang_charsets = array();


$menuAssignments = array();

$menuStyles = array();

// table captions
$tableCaptions = array();
$tableCaptions["English"] = array();
$tableCaptions["English"]["business_partner"] = "Business Partne";
$tableCaptions["English"]["item"] = "Items";
$tableCaptions["English"]["credit_terms"] = "Credit Terms";
$tableCaptions["English"]["shipping_terms"] = "Shipping Terms";
$tableCaptions["English"]["cash_receipt"] = "Cash Sales and Collections";
$tableCaptions["English"]["purchase"] = "Purchase";
$tableCaptions["English"]["cash_disbursment"] = "Cash Voucher";
$tableCaptions["English"]["general_journal"] = "General Journal";
$tableCaptions["English"]["report_center"] = "Report Center";
$tableCaptions["English"]["Sales_Report"] = "Sales Report";
$tableCaptions["English"]["Disbursement_Reports"] = "Disbursement Reports";
$tableCaptions["English"]["Financial_Reports"] = "Financial Reports";
$tableCaptions["English"]["Purchase_Reports"] = "Purchase Reports";
$tableCaptions["English"]["Receivable_Reports"] = "Receivable Reports";
$tableCaptions["English"]["Taxation_Reports"] = "Taxation Reports";
$tableCaptions["English"]["system_user"] = "System Users";
$tableCaptions["English"]["fiscal_year"] = "Fiscal Year";
$tableCaptions["English"]["beg_bal"] = "Beginning balance";
$tableCaptions["English"]["ewt"] = "EWT";
$tableCaptions["English"]["bank"] = "Banks / Credit Card";
$tableCaptions["English"]["cost_center"] = "Center";
$tableCaptions["English"]["General_Journal_Reports"] = "General Journal Reports";
$tableCaptions["English"]["Inventory_Reports"] = "Inventory Reports";
$tableCaptions["English"]["accounting_period"] = "Accounting Period";
$tableCaptions["English"]["bank_recon"] = "Bank Reconciliation";
$tableCaptions["English"]["deposit"] = "Deposit";
$tableCaptions["English"]["account_classification"] = "Account Classification";
$tableCaptions["English"]["chart_of_accounts"] = "Chart Of Accounts";
$tableCaptions["English"]["recon_CR"] = "Cash Receipt";
$tableCaptions["English"]["Recon_deposit"] = "Deposits";
$tableCaptions["English"]["Recon_CV"] = "Check Vouchers";
$tableCaptions["English"]["Recon_GV_dep"] = "General Journal Receipts";
$tableCaptions["English"]["Recon_GV_CV"] = "General Journal Payments";
$tableCaptions["English"]["vat_atc"] = "Vat Atc";
$tableCaptions["English"]["rdo"] = "RDO";
$tableCaptions["English"]["2550q"] = "2550q";
$tableCaptions["English"]["2550m"] = "2550m";
$tableCaptions["English"]["dr"] = "Delivery Receipt";
$tableCaptions["English"]["purchase_order"] = "Purchase Order";
$tableCaptions["English"]["purchase_order_receiving"] = "Purchase Order Receiving";
$tableCaptions["English"]["System_preference"] = "System Preference";
$tableCaptions["English"][""] = "";
$tableCaptions["English"][""] = "";
$tableCaptions["English"]["ppe_list"] = "PPE Listings";
$tableCaptions["English"]["discounts"] = "Discounts";
$tableCaptions["English"]["item_group"] = "Item Group";
$tableCaptions["English"]["location"] = "Location";
$tableCaptions["English"]["meetings"] = "Meetings";
$tableCaptions["English"]["calls"] = "Calls";
$tableCaptions["English"]["campaign"] = "Campaign";
$tableCaptions["English"]["reimbursement"] = "Employee Advance";
$tableCaptions["English"]["reimbursement_detail"] = "Employee Advance Detail";
$tableCaptions["English"]["Target_customers"] = "Leads";
$tableCaptions["English"]["quotation"] = "Quotation";
$tableCaptions["English"]["case"] = "Case";
$tableCaptions["English"]["projects"] = "Master Projects";
$tableCaptions["English"]["production"] = "Production";
$tableCaptions["English"]["issue"] = "Issue";
$tableCaptions["English"]["issue_detail"] = "Issue Detail";
$tableCaptions["English"]["disposed"] = "Disposed";
$tableCaptions["English"]["disposed_detail"] = "Disposed Detail";
$tableCaptions["English"]["backload"] = "Backload";
$tableCaptions["English"]["backload_detail"] = "Backload Detail";
$tableCaptions["English"]["vehicle"] = "Vehicle";
$tableCaptions["English"]["payroll_item"] = "Payroll Item";
$tableCaptions["English"]["uom"] = "UOM";
$tableCaptions["English"]["trip_ticket"] = "Trip Ticket";
$tableCaptions["English"]["accident"] = "Accident";
$tableCaptions["English"]["approver_list"] = "Approver List";
$tableCaptions["English"]["area"] = "Area";
$tableCaptions["English"]["attendance"] = "Attendance";
$tableCaptions["English"]["currency"] = "Currency";
$tableCaptions["English"]["medical"] = "Medical";
$tableCaptions["English"]["position"] = "Position";
$tableCaptions["English"]["service_center"] = "Service Center";
$tableCaptions["English"]["seminar"] = "Seminar";
$tableCaptions["English"]["service_report"] = "Service Report";
$tableCaptions["English"]["service_report_detail"] = "Service Report Detail";
$tableCaptions["English"]["tax_status"] = "Tax Status";
$tableCaptions["English"]["training"] = "Training";
$tableCaptions["English"]["competitor"] = "Competitor";
$tableCaptions["English"]["campaign_type"] = "Campaign Type";
$tableCaptions["English"]["fixed_asset_return_detail"] = "Fixed Asset Return Detail";
$tableCaptions["English"]["fixed_assets_return"] = "Fixed Assets Return";
$tableCaptions["English"]["Prospect_customers"] = "Opportunity";
$tableCaptions["English"]["trip_detail"] = "Trip Detail";
$tableCaptions["English"]["beg_baldetail"] = "Beg Baldetail";
$tableCaptions["English"]["cash_disbursement_detail2"] = "Cash Purchases";
$tableCaptions["English"]["case_solutions"] = "Case Solutions";
$tableCaptions["English"]["cash_disbursment_detail"] = "Payments";
$tableCaptions["English"]["cash_receipt_detail"] = "Collections";
$tableCaptions["English"]["cash_receipt_detail2"] = "Cash Sales";
$tableCaptions["English"]["general_journal_detail"] = "General Journal Detail";
$tableCaptions["English"]["employee_list"] = "Employee List";
$tableCaptions["English"]["petty_cash"] = "Petty Cash";
$tableCaptions["English"]["petty_cash_detail"] = "Petty Cash Detail";
$tableCaptions["English"]["center_replenishment"] = "Center Replenishment";
$tableCaptions["English"]["center_replenishment_detail"] = "Center Replenishment Detail";
$tableCaptions["English"]["credit_memo"] = "Credit Memo";
$tableCaptions["English"]["credit_memo_detail"] = "Credit Memo Detail";
$tableCaptions["English"]["debit_memo"] = "Debit Memo";
$tableCaptions["English"]["debit_memo_detail"] = "Debit Memo Detail";
$tableCaptions["English"]["project_replenishment"] = "Project Liquidation";
$tableCaptions["English"]["project_replenishment_detail"] = "Project Replenishment Detail";
$tableCaptions["English"]["business_partner_group"] = "Business Partner Group";
$tableCaptions["English"]["Sales_Representatives"] = "Sales Representatives";
$tableCaptions["English"]["Types_of_leaves"] = "Types Of Leaves";
$tableCaptions["English"]["payroll_mode"] = "Payroll Mode";
$tableCaptions["English"]["payroll_account_type"] = "Payroll Account Type";
$tableCaptions["English"]["Types_of_Overtime"] = "Types Of Overtime";
$tableCaptions["English"]["Types_of_Loan"] = "Types Of Loan";
$tableCaptions["English"]["sales"] = "Credit Sales";
$tableCaptions["English"]["sales_detail"] = "Sales Detail";
$tableCaptions["English"]["Payroll_Company_Setup"] = "Payroll Company Setup";
$tableCaptions["English"]["item_bill_of_materials"] = "Item Bill Of Materials";
$tableCaptions["English"]["item_uom_conversion"] = "Item UOM Conversion";
$tableCaptions["English"]["tranasactions_for_approval"] = "Transaction Settings";
$tableCaptions["English"]["deposit_detail"] = "Deposit Detail";
$tableCaptions["English"]["purchase_detail"] = "Purchase Detail";
$tableCaptions["English"]["dr_detail"] = "Delivery Receipt Detail";
$tableCaptions["English"]["purchase_order_detail"] = "Purchase Order Detail";
$tableCaptions["English"]["Sales_Order_for_checking"] = "Sales Ordering For Checking";
$tableCaptions["English"]["sales_order_detail_for_checking"] = "Details";
$tableCaptions["English"]["Sales_Order_for_approval"] = "Sales Order For Approval";
$tableCaptions["English"]["sales_order_detail_for_approval"] = "Details";
$tableCaptions["English"]["Quotation_for_approval"] = "Quotation For Approval";
$tableCaptions["English"]["Quotation_for_checking"] = "Quotation For Checking";
$tableCaptions["English"]["quotation_detail_for_checking"] = "Details";
$tableCaptions["English"]["quotation_detail_for_approval"] = "Details";
$tableCaptions["English"]["Reimbursement_for_checking"] = "Reimbursement For Checking";
$tableCaptions["English"]["reimbursement_detail_for_checking"] = "Details";
$tableCaptions["English"]["Reimbursement_for_approval"] = "Reimbursement For Approval";
$tableCaptions["English"]["reimbursement_detail_for_approval"] = "Details";
$tableCaptions["English"]["Project_Replenishment_for_checking"] = "Project Replenishment For Checking";
$tableCaptions["English"]["project_replenishment_detail_for_checking"] = "Details";
$tableCaptions["English"]["Project_Replenishment_for_approval"] = "Project Replenishment For Approval";
$tableCaptions["English"]["project_replenishment_detail_for_approval"] = "Details";
$tableCaptions["English"]["center_replenishment_detail_for_checking"] = "Details";
$tableCaptions["English"]["center_replenishment_detail_for_approval"] = "Details";
$tableCaptions["English"]["Purchases_Order_for_checking2"] = "Purchases Order For Checking2";
$tableCaptions["English"]["purchase_order_detail_for_checking"] = "Details";
$tableCaptions["English"]["Purchases_Order_for_approval2"] = "Purchases Order For Approval2";
$tableCaptions["English"]["purchase_order_detail_for_approval"] = "Details";
$tableCaptions["English"]["Receiving_for_checking2"] = "Receiving For Checking2";
$tableCaptions["English"]["purchase_order_receiving_detail_for_checking"] = "Details";
$tableCaptions["English"]["Receiving_for_approval2"] = "Receiving For Approval2";
$tableCaptions["English"]["purchase_order_receiving_detail_for_approval"] = "Details";
$tableCaptions["English"]["Delivery_Receipt_for_checking"] = "Delivery Receipt For Checking";
$tableCaptions["English"]["dr_detail_for_checking"] = "Details";
$tableCaptions["English"]["Delivery_Receipt_for_approval"] = "Delivery Receipt For Approval";
$tableCaptions["English"]["dr_detail_for_approval"] = "Details";
$tableCaptions["English"]["Production_for_checking"] = "Production For Checking";
$tableCaptions["English"]["production_detail_for_checking"] = "Details";
$tableCaptions["English"]["Production_for_approval"] = "Production For Approval";
$tableCaptions["English"]["production_detail_for_approval"] = "Details";
$tableCaptions["English"]["Issue_for_checking"] = "Issue For Checking";
$tableCaptions["English"]["supply_issue_detail_for_checking"] = "Details";
$tableCaptions["English"]["Issue_for_approval"] = "Issue For Approval";
$tableCaptions["English"]["supply_issue_detail_for_approval"] = "Details";
$tableCaptions["English"]["Return_for_checking"] = "Return For Checking";
$tableCaptions["English"]["supply_return_detail_for_checking"] = "Details";
$tableCaptions["English"]["Return_for_approval"] = "Return For Approval";
$tableCaptions["English"]["supply_return_detail_approval"] = "Supply Return Detail Approval";
$tableCaptions["English"]["supply_disposed_detail_for_checking"] = "Details";
$tableCaptions["English"]["Disposal_for_approval"] = "Disposal For Approval";
$tableCaptions["English"]["supply_disposed_detail_for_approval"] = "Details";
$tableCaptions["English"]["Fixed_Asset_Issue_for_checking"] = "Fixed Asset Issue For Checking";
$tableCaptions["English"]["Fixed_Asset_Issue_for_approval"] = "Fixed Asset Issue For Approval";
$tableCaptions["English"]["fixed_asset_issue_detail_for_approval"] = "Details";
$tableCaptions["English"]["fixed_asset_issue_detail_for_checking"] = "Details";
$tableCaptions["English"]["Fixed_Asset_Return_for_checking"] = "Fixed Asset Return For Checking";
$tableCaptions["English"]["fixed_asset_return_detail_for_checking"] = "Details";
$tableCaptions["English"]["Fixed_Asset_Return_for_approval"] = "Fixed Asset Return For Approval";
$tableCaptions["English"]["fixed_asset_return_detail_for_approval"] = "Details";
$tableCaptions["English"]["Petty_Cash_for_checking"] = "Petty Cash For Checking";
$tableCaptions["English"]["petty_cash_detail_for_checking"] = "Details";
$tableCaptions["English"]["Petty_Cash_for_approval"] = "Petty Cash For Approval";
$tableCaptions["English"]["petty_cash_detail_for_approval"] = "Details";
$tableCaptions["English"]["Deposit_for_checking"] = "Deposit For Checking";
$tableCaptions["English"]["deposit_detail_for_checking"] = "Details";
$tableCaptions["English"]["Deposit_for_approval"] = "Deposit For Approval";
$tableCaptions["English"]["deposit_detail_for_approval"] = "Details";
$tableCaptions["English"]["Credit_Memo_for_checking"] = "Credit Memo For Checking";
$tableCaptions["English"]["credit_memo_detail_for_checking"] = "Details";
$tableCaptions["English"]["Credit_Memo_for_approval"] = "Credit Memo For Approval";
$tableCaptions["English"]["credit_memo_detail_for_approval"] = "Details";
$tableCaptions["English"]["Debit_Memo_for_checking"] = "Debit Memo For Checking";
$tableCaptions["English"]["debit_memo_detail_for_checking"] = "Details";
$tableCaptions["English"]["debit_memo_for_approval"] = "Debit Memo For Approval";
$tableCaptions["English"]["debit_memo_detail_for_approval"] = "Details";
$tableCaptions["English"]["Purchases_for_checking"] = "Purchases For Checking";
$tableCaptions["English"]["credit_purchase_detail_for_checking"] = "Details";
$tableCaptions["English"]["Purchases_for_approval"] = "Purchases For Approval";
$tableCaptions["English"]["credit_purchase_detail_for_approval"] = "Details";
$tableCaptions["English"]["Sales_for_checking"] = "Sales For Checking";
$tableCaptions["English"]["Sales_for_approval"] = "Sales For Approval";
$tableCaptions["English"]["credit_sales_detail_for_checking"] = "Details";
$tableCaptions["English"]["credit_sales_detail_for_approval"] = "Details";
$tableCaptions["English"]["Cash_Disbursement_for_checking"] = "Cash Disbursement For Checking";
$tableCaptions["English"]["check_voucher_detail_for_checking"] = "Details";
$tableCaptions["English"]["check_voucher_detail2_for_checking"] = "Details";
$tableCaptions["English"]["Cash_Disbursement_for_approval"] = "Cash Disbursement For Approval";
$tableCaptions["English"]["check_voucher_detail_for_approval"] = "Details";
$tableCaptions["English"]["check_voucher_detail2_for_approval"] = "Details";
$tableCaptions["English"]["document"] = "Document";
$tableCaptions["English"]["General_Journal_for_checking"] = "General Journal For Checking";
$tableCaptions["English"]["general_journal_detail_for_checking"] = "Details";
$tableCaptions["English"]["General_Journal_for_approval"] = "General Journal For Approval";
$tableCaptions["English"]["general_journal_detail_for_approval"] = "Details";
$tableCaptions["English"]["for_submissions"] = "For Submissions";
$tableCaptions["English"]["submission_details"] = "Submission Details";
$tableCaptions["English"]["sales_order_detail_billing_dates"] = "Sales Order Detail Billing Dates";
$tableCaptions["English"]["Submission_Search"] = "Submission Search";
$tableCaptions["English"]["Submission_Reminders"] = "Submission Reminders";
$tableCaptions["English"]["years"] = "Years";
$tableCaptions["English"]["document_type"] = "Document Type";
$tableCaptions["English"]["estimate"] = "Estimate";
$tableCaptions["English"]["estimate_detail"] = "Estimate Detail";
$tableCaptions["English"]["purchase_request"] = "Purchase Request";
$tableCaptions["English"]["purchase_request_detail"] = "Purchase Request Detail";
$tableCaptions["English"]["inv_adj_detail"] = "Inv Adj Detail";
$tableCaptions["English"]["inventory_adj"] = "Inventory Adjustment";
$tableCaptions["English"]["inventory_tranfer"] = "Inventory Transfer";
$tableCaptions["English"]["inventory_transfer_detail"] = "Inventory Transfer Detail";
$tableCaptions["English"]["Customers"] = "Customers";
$tableCaptions["English"]["Suppliers"] = "Suppliers";
$tableCaptions["English"]["Target_contacts"] = "Leads Contacts";
$tableCaptions["English"]["Prospect_contacts"] = "Opportunity Contacts";
$tableCaptions["English"]["Customer_Contacts"] = "Customer Contacts";
$tableCaptions["English"]["Supplier_Contacts"] = "Supplier Contacts";
$tableCaptions["English"]["Statement_of_Account"] = "Statement Of Account";
$tableCaptions["English"]["Change_Time_Schedule_for_approval"] = "Change Time Schedule For Approval";
$tableCaptions["English"]["Change_Time_Schedule_for_checking"] = "Change Time Schedule For Checking";
$tableCaptions["English"]["Inventory_Adjustment_for_checking"] = "Inventory Adjustment For Checking";
$tableCaptions["English"]["inv_adj_detail_for_checking"] = "Details";
$tableCaptions["English"]["Inventory_Adjustment_for_approval"] = "Inventory Adjustment For Approval";
$tableCaptions["English"]["inv_adj_detail_for_approval"] = "Details";
$tableCaptions["English"]["for_checking"] = "For Checking";
$tableCaptions["English"]["for_approval"] = "For Approval";
$tableCaptions["English"]["Estimate_for_approval"] = "Estimate For Approval";
$tableCaptions["English"]["Estimate_for_checking"] = "Estimate For Checking";
$tableCaptions["English"]["estimate_detail_for_checking"] = "Details";
$tableCaptions["English"]["estimate_detail_for_approval"] = "Details";
$tableCaptions["English"]["Follow_up"] = "Follow Up";
$tableCaptions["English"]["coming_meetings"] = "Coming Meetings";
$tableCaptions["English"]["tasks"] = "Tasks";
$tableCaptions["English"]["Project_phases"] = "Project Phases";
$tableCaptions["English"]["origin_fa"] = "Origin Fa";
$tableCaptions["English"]["origin_serialized_supply"] = "Origin Serialized Supply";
$tableCaptions["English"]["2301"] = "201";
$tableCaptions["English"]["Prospect_customers_to_Customer"] = "Prospect Customers To Customer";
$tableCaptions["English"]["lyl_estimate"] = "Estimate";
$tableCaptions["English"]["lyl_estimate_detail"] = "Estimate Detail";
$tableCaptions["English"]["lyl_estimate_detail_accessories"] = "Estimate Detail Accessories";
$tableCaptions["English"]["lyl_estimate_detail_aluminum"] = "Estimate Detail Aluminum";
$tableCaptions["English"]["lyl_estimate_detail_e_accessories"] = "Estimate Detail E Accessories";
$tableCaptions["English"]["lyl_estimate_detail_glass"] = "Estimate Detail Glass";
$tableCaptions["English"]["recuring_benefits"] = "Recuring Benefits";
$tableCaptions["English"]["recuring_deductions"] = "Recuring Deductions";
$tableCaptions["English"]["recurring_benefits_detail"] = "Recurring Benefits Detail";
$tableCaptions["English"]["recurring_deductions_detail"] = "Recurring Deductions Detail";
$tableCaptions["English"]["production_request"] = "Production Request";
$tableCaptions["English"]["production_request_detail"] = "Production Request Detail";
$tableCaptions["English"]["attendance_summary"] = "Attendance Summary";
$tableCaptions["English"]["Other_Incentives"] = "Other Incentives";
$tableCaptions["English"]["Other_Deductions"] = "Other Deductions";
$tableCaptions["English"]["department"] = "Department";
$tableCaptions["English"]["journal_entry_cash_disbursement"] = "Journal Entry Cash Disbursement";
$tableCaptions["English"]["journal_entry_cash_receipt"] = "Journal Entry Cash Receipt";
$tableCaptions["English"]["journal_entry_center_replenishment"] = "Journal Entry Center Replenishment";
$tableCaptions["English"]["journal_entry_credit_memo"] = "Journal Entry Credit Memo";
$tableCaptions["English"]["journal_entry_debit_memo"] = "Journal Entry Debit Memo";
$tableCaptions["English"]["journal_entry_depreciation"] = "Journal Entry Depreciation";
$tableCaptions["English"]["journal_entry_general_journal"] = "Journal Entry General Journal";
$tableCaptions["English"]["journal_entry_inventory_adjustment"] = "Journal Entry Inventory Adjustment";
$tableCaptions["English"]["journal_entry_petty_cash"] = "Journal Entry Petty Cash";
$tableCaptions["English"]["journal_entry_project_replenishment"] = "Journal Entry Project Replenishment";
$tableCaptions["English"]["journal_entry_purchases"] = "Journal Entry Purchases";
$tableCaptions["English"]["journal_entry_replenishment"] = "Journal Entry Replenishment";
$tableCaptions["English"]["journal_entry_service_revenue"] = "Journal Entry Service Revenue";
$tableCaptions["English"]["Credit_Card_monitoring"] = "Credit Card Monitoring";
$tableCaptions["English"]["sales_report_per_item_Chart"] = "Sales Report Per Item";
$tableCaptions["English"]["Leave_for_approval"] = "Leave For Approval";
$tableCaptions["English"]["loan_for_approval"] = "Loan For Approval";
$tableCaptions["English"]["loan_detail_for_approval"] = "Details";
$tableCaptions["English"]["Overtime_for_approval"] = "Overtime For Approval";
$tableCaptions["English"]["Purchase_Request_for_approval"] = "Purchase Request For Approval";
$tableCaptions["English"]["purchase_request_detail_approval"] = "Purchase Request Detail Approval";
$tableCaptions["English"]["Production_Request_for_approval"] = "Production Request For Approval";
$tableCaptions["English"]["production_request_detail_for_approval"] = "Details";
$tableCaptions["English"]["Inventory_Transfer_for_approval"] = "Inventory Transfer For Approval";
$tableCaptions["English"]["inventory_transfer_detail_for_approval"] = "Details";
$tableCaptions["English"]["Leave_for_checking"] = "Lave For Checking";
$tableCaptions["English"]["Loan_for_checking"] = "Loan For Checking";
$tableCaptions["English"]["loan_detail_for_checking"] = "Details";
$tableCaptions["English"]["Overtime_for_checking"] = "Overtime For Checking";
$tableCaptions["English"]["Purchase_Request_for_checking"] = "Purchase Request For Checking";
$tableCaptions["English"]["Production_Request_for_checking"] = "Production Request For Checking";
$tableCaptions["English"]["Inventory_Transfer_for_checking"] = "Inventory Transfer For Checking";
$tableCaptions["English"]["inventory_transfer_detail_for_checking"] = "Details";
$tableCaptions["English"]["attendance_type"] = "Attendance Type";
$tableCaptions["English"]["Backload_for_approval"] = "Backload For Approval";
$tableCaptions["English"]["backload_detail_for_approval"] = "Details";
$tableCaptions["English"]["Backload_for_checking"] = "Backload For Checking";
$tableCaptions["English"]["backload_detail_for_checking"] = "Details";
$tableCaptions["English"]["Cash_Receipt_for_approval"] = "Cash Receipt For Approval";
$tableCaptions["English"]["Cash_Receipt_for_checking"] = "Cash Receipt For Checking";
$tableCaptions["English"]["cash_receipt_detail_for_checking"] = "Details";
$tableCaptions["English"]["cash_receipt_detail_for_approval"] = "Details";
$tableCaptions["English"]["Payroll_Entry_for_approval"] = "Payroll Entry For Approval";
$tableCaptions["English"]["Payroll_Entry_for_checking"] = "Payroll Entry For Checking";
$tableCaptions["English"]["payroll_entry_detail_for_approval"] = "Details";
$tableCaptions["English"]["payroll_entry_detail_for_checking"] = "Details";
$tableCaptions["English"]["Process_Payroll_for_approval"] = "Process Payroll For Approval";
$tableCaptions["English"]["Process_Payroll_for_checking"] = "Details";
$tableCaptions["English"]["process_payroll_detail_for_approval"] = "Details";
$tableCaptions["English"]["process_payroll_detail_for_checking"] = "Details";
$tableCaptions["English"]["Service_Report_for_approval"] = "Service Report For Approval";
$tableCaptions["English"]["Service_Report_for_checking"] = "Service Report For Checking";
$tableCaptions["English"]["service_report_detail_for_approval"] = "Details";
$tableCaptions["English"]["service_report_detail_for_checking"] = "Details";
$tableCaptions["English"]["Banch_Reports"] = "Banch Reports";
$tableCaptions["English"]["journal_entry_production"] = "Journal Entry Production";
$tableCaptions["English"]["journal_entry_deposit"] = "Journal Entry Deposit";
$tableCaptions["English"]["production_request_bom"] = "Production Request Bom";
$tableCaptions["English"]["production_bom"] = "Production Bom";
$tableCaptions["English"]["company_info"] = "Company Info";
$tableCaptions["English"]["return"] = "Return";
$tableCaptions["English"]["return_detail"] = "Return Detail";
$tableCaptions["English"]["fixed_asset_issue"] = "Fixed Asset Issue";
$tableCaptions["English"]["fixed_asset_issue_detail"] = "Fixed Asset Issue Detail";
$tableCaptions["English"]["production_request_detail_for_checking"] = "Details";
$tableCaptions["English"]["cash_disbursment_detail_for_approval"] = "Details";
$tableCaptions["English"]["cash_disbursment_detail_for_checking"] = "Details";
$tableCaptions["English"]["purchase_request_detail_for_checking"] = "Details";
$tableCaptions["English"]["trip_ticket_for_approval"] = "Trip Ticket For Approval";
$tableCaptions["English"]["trip_ticket_for_checking"] = "Trip Ticket For Checking";
$tableCaptions["English"]["trip_detail_for_approval"] = "Details";
$tableCaptions["English"]["trip_detail_for_checking"] = "Details";
$tableCaptions["English"]["sales_report"] = "Sales Report";
$tableCaptions["English"]["Customer_Balance_Report"] = "Customer Balance Report";
$tableCaptions["English"]["Customer_Balance_Report_detail"] = "Customer Balance Report Detail";
$tableCaptions["English"]["Collection_Report_per_Customer"] = "Collection Report Per Customer";
$tableCaptions["English"]["Aging_of_AR_Report"] = "Aging Of AR Report";
$tableCaptions["English"]["Aging_of_AR_Report_detail"] = "Aging Of AR Report Detail";
$tableCaptions["English"]["Payment_per_Supplier_Report"] = "Payment Per Supplier Report";
$tableCaptions["English"]["Aging_of_AP_Report"] = "Aging Of AP Report";
$tableCaptions["English"]["Aging_of_AP_Report_detail"] = "Aging Of AP Report Detail";
$tableCaptions["English"]["Inventory_Balance_Report"] = "Inventory Balance Report";
$tableCaptions["English"]["Inventory_Valuation_Report"] = "Inventory Valuation Report";
$tableCaptions["English"]["Inventory_Below_Reorder_Point_Report"] = "Inventory Below Reorder Point Report";
$tableCaptions["English"]["Sales_Report_per_BP"] = "Sales Report Per BP";
$tableCaptions["English"]["Sales_Report_per_Item"] = "Sales Report Per Item";
$tableCaptions["English"]["Sales_Report_per_Cost_Center"] = "Sales Report Per Cost Center";
$tableCaptions["English"]["Sales_Report_per_BP_detail"] = "Sales Report Per BP Detail";
$tableCaptions["English"]["Sales_Report_per_Item_detail"] = "Sales Report Per Item Detail";
$tableCaptions["English"]["Sales_Report_per_Cost_Center_detail"] = "Sales Report Per Cost Center Detail";
$tableCaptions["English"]["Purchase_Report"] = "Purchase Report";
$tableCaptions["English"]["Purchase_Report_per_BP"] = "Purchase Report Per BP";
$tableCaptions["English"]["Purchase_Report_per_Item"] = "Purchase Report Per Item";
$tableCaptions["English"]["Purchase_Report_per_Cost_Center"] = "Purchase Report Per Cost Center";
$tableCaptions["English"]["Purchase_Report_per_BP_detail"] = "Purchase Report Per BP Detail";
$tableCaptions["English"]["Purchase_Report_per_Item_detail"] = "Purchase Report Per Item Detail";
$tableCaptions["English"]["Purchase_Report_per_Cost_Center_detail"] = "Purchase Report Per Cost Center Detail";
$tableCaptions["English"]["Transaction_Registry"] = "Transaction Registry";
$tableCaptions["English"]["Sales_Report_per_sales_rep"] = "Sales Report Per Sales Rep";
$tableCaptions["English"]["PDC_Registry_Report"] = "PDC Registry Report";
$tableCaptions["English"]["Available_Vehicles"] = "Available Vehicles";
$tableCaptions["English"]["Trip_Ticket_Report"] = "Trip Ticket Report";
$tableCaptions["English"]["Purchase_Request_Report"] = "Purchase Request Report";
$tableCaptions["English"]["Purchase_Import_Costing"] = "Purchase Import Costing";
$tableCaptions["English"]["Production_Costing_Report"] = "Production Costing Report";
$tableCaptions["English"]["Production_Report"] = "Production Report";
$tableCaptions["English"]["Closed_Opportunities"] = "Closed Opportunities";
$tableCaptions["English"]["Cases_with_Sotutions"] = "Cases With Sotutions";
$tableCaptions["English"]["Totals_Cases_Created"] = "Totals Cases Created";
$tableCaptions["English"]["Totals_Open_Cases_by_Agent"] = "Totals Open Cases By Agent";
$tableCaptions["English"]["Campaign_Contacts"] = "Campaign Contacts";
$tableCaptions["English"]["Campaign_leads"] = "Campaign Leads";
$tableCaptions["English"]["Campaign_ROI_Analysis"] = "Campaign ROI Analysis";
$tableCaptions["English"]["Campaign_Revenue"] = "Campaign Revenue";
$tableCaptions["English"]["Opportunity_Schedule"] = "Opportunity Schedule";
$tableCaptions["English"]["Sales_by_Account"] = "Sales By Account";
$tableCaptions["English"]["Sales_by_Lead_Source"] = "Sales By Lead Source";
$tableCaptions["English"]["Sales_by_Partner"] = "Sales By Partner";
$tableCaptions["English"]["Sales_by_Rep"] = "Sales By Rep";
$tableCaptions["English"]["Leave_Ledger_Report"] = "Leave Ledger Report";
$tableCaptions["English"]["Leave_Summary"] = "Leave Summary";
$tableCaptions["English"]["Payroll_Register"] = "Payroll Register";
$tableCaptions["English"]["Employee_Leave_History"] = "Employee Leave History";
$tableCaptions["English"]["Employee_Register"] = "Employee Register";
$tableCaptions["English"]["DR_Reports"] = "DR Reports";
$tableCaptions["English"]["Sales_Order_Report"] = "Sales Order Report";
$tableCaptions["English"]["Case_History"] = "Case History";
$tableCaptions["English"]["quality_control"] = "Quality Control";
$tableCaptions["English"]["quality_control_detail"] = "Quality Control Detail";
$tableCaptions["English"]["budget"] = "Budget";
$tableCaptions["English"]["budget_detail"] = "Budget Detail";
$tableCaptions["English"]["repairs_and_maintenance"] = "Repairs And Maintenance";
$tableCaptions["English"]["production_form"] = "Production Form";
$tableCaptions["English"]["bluewave_employees"] = "Bluewave Employees";
$tableCaptions["English"]["bluewave_employees_detail"] = "Bluewave Employees Detail";
$tableCaptions["English"]["bluewave_employees_detail2"] = "Bluewave Employees Detail2";
$tableCaptions["English"]["bluewave_employees_detail3"] = "Bluewave Employees Detail3";
$tableCaptions["English"]["bluewave_employees_detail4"] = "Bluewave Employees Detail4";
$tableCaptions["English"]["bluewave_employees_detail5"] = "Bluewave Employees Detail5";
$tableCaptions["English"]["bluewave_employees_detail6"] = "Bluewave Employees Detail6";
$tableCaptions["English"]["rfp"] = "Rfp";
$tableCaptions["English"]["telex"] = "Telex";
$tableCaptions["English"]["repairs_and_maintenance_detail"] = "Repairs And Maintenance Detail";
$tableCaptions["English"]["repair_list"] = "Repair List";
$tableCaptions["English"]["marketing_colateral"] = "Marketing Colateral";
$tableCaptions["English"]["email"] = "Email";
$tableCaptions["English"]["accessories"] = "Accessories";
$tableCaptions["English"]["sales_order_materials_detail"] = "Sales Order Materials Detail";
$tableCaptions["English"]["sales_order_progress_billing_detail"] = "Sales Order Progress Billing Detail";
$tableCaptions["English"]["sub_contract"] = "Sub Contract";
$tableCaptions["English"]["sub_contract_billing_detail"] = "Sub Contract Billing Detail";
$tableCaptions["English"]["sub_contract_detail"] = "Sub Contract Detail";
$tableCaptions["English"]["Monthly_Pag_ibig_Summary_Report"] = "Monthly Pag-ibig Summary Report";
$tableCaptions["English"]["Monthly_Philhealth_Report"] = "Monthly Philhealth Report";
$tableCaptions["English"]["Monthly_Philhealth_Summary_Report"] = "Monthly Philhealth Summary Report";
$tableCaptions["English"]["Monthly_SSS_Report"] = "Monthly SSS Report";
$tableCaptions["English"]["Monthly_SSS_Report_by_Department_Report"] = "Monthly SSS Report By Department Report";
$tableCaptions["English"]["Monthly_Withholding_Tax_Prooflist_Report"] = "Monthly Withholding Tax Prooflist Report";
$tableCaptions["English"]["Monthly_Witholding_Tax_Collection_List_by_Department_Report"] = "Monthly Witholding Tax Collection List By Department Report";
$tableCaptions["English"]["Overtime_Summary_Report"] = "Overtime Summary Report";
$tableCaptions["English"]["Monthly_Pag_ibig_Report"] = "Monthly Pag-ibig Report";
$tableCaptions["English"]["sales_order"] = "Sales Order";
$tableCaptions["English"]["sales_order_detail"] = "Sales Order Detail";
$tableCaptions["English"]["vat_relief_importation"] = "Vat Relief Importation";
$tableCaptions["English"]["vat_relief_purchases"] = "Vat Relief Purchases";
$tableCaptions["English"]["vat_relief_sales"] = "Vat Relief Sales";
$tableCaptions["English"]["journal_ppe_disposal"] = "Journal Ppe Disposal";
$tableCaptions["English"]["credit_memo_detail_cgs"] = "Credit Memo Detail Cgs";
$tableCaptions["English"]["marketing_request_form"] = "Marketing Request Form";
$tableCaptions["English"]["Quotation_Dashboard_Customer"] = "Quotation Dashboard Customer";
$tableCaptions["English"]["Sales_Order_Dashboard_Customer"] = "Sales Order Dashboard Customer";
$tableCaptions["English"]["Delivery_Receipt_Dashboard_Customer"] = "Delivery Receipt Dashboard Customer";
$tableCaptions["English"]["Sales_Dashboard_Customer"] = "Sales Dashboard Customer";
$tableCaptions["English"]["Backload_Dashboard_Customer"] = "Backload Dashboard Customer";
$tableCaptions["English"]["Purchase_Request_Dashboard_Supplier"] = "Purchase Request Dashboard Supplier";
$tableCaptions["English"]["Purchase_Order_Dashboard_Supplier"] = "Purchase Order Dashboard Supplier";
$tableCaptions["English"]["Purchase_Dashboard_Supplier"] = "Purchase Dashboard Supplier";
$tableCaptions["English"]["Cash_Disbursement_Dashboard_Supplier"] = "Cash Disbursement Dashboard Supplier";
$tableCaptions["English"]["Debit_Memo_Dashboard_Supplier"] = "Debit Memo Dashboard Supplier";
$tableCaptions["English"]["Purchase_Request_Dashboard_Item"] = "Purchase Request Dashboard Item";
$tableCaptions["English"]["Purchase_Order_Dashboard_Item"] = "Purchase Order Dashboard Item";
$tableCaptions["English"]["Purchase_Order_Receiving_Dashboard_Item"] = "Purchase Order Receiving Dashboard Item";
$tableCaptions["English"]["Production_Dashboard_Item"] = "Production Dashboard Item";
$tableCaptions["English"]["sub_contract_for_approval"] = "Sub Contract For Approval";
$tableCaptions["English"]["sub_contract_for_checking"] = "Sub Contract For Checking";
$tableCaptions["English"]["sub_contract_detail_for_approval"] = "Details";
$tableCaptions["English"]["sub_contract_detail_for_checking"] = "Details";
$tableCaptions["English"]["budget_for_approval"] = "Budget For Approval";
$tableCaptions["English"]["budget_for_checking"] = "Budget For Checking";
$tableCaptions["English"]["budget_detail_for_checking"] = "Details";
$tableCaptions["English"]["budget_detail_for_approval"] = "Details";
$tableCaptions["English"]["undertime_for_approval"] = "Undertime For Approval";
$tableCaptions["English"]["undertime_for_checking"] = "Undertime For Checking";
$tableCaptions["English"]["request_for_payment_for_approval"] = "Details";
$tableCaptions["English"]["request_for_payment_for_checking"] = "Request For Payment For Checking";
$tableCaptions["English"]["repairs_and_maintenance_detail_for_approval"] = "Details";
$tableCaptions["English"]["request_for_payment_detail_for_approval"] = "Details";
$tableCaptions["English"]["request_for_payment_detail_for_checking"] = "Details";
$tableCaptions["English"]["repairs_and_maintenance_for_approval"] = "Repairs And Maintenance For Approval";
$tableCaptions["English"]["repairs_and_maintenance_for_checking"] = "Repairs And Maintenance For Checking";
$tableCaptions["English"]["repairs_and_maintenance_detail_for_checking"] = "Details";
$tableCaptions["English"]["Disposal_for_checking"] = "Disposal For Checking";
$tableCaptions["English"]["Active_campaign_report"] = "Active Campaign Report";
$tableCaptions["English"]["For_Billing_report"] = "For Billing Report";
$tableCaptions["English"]["sales_order_for_project_mngmt"] = "Sales Order For Project Mngmt";
$tableCaptions["English"]["inventory_transfer_cost_detail"] = "Inventory Transfer Cost Detail";
$tableCaptions["English"]["Supplier_Balance_Report_Details"] = "Supplier Balance Report Details";
$tableCaptions["English"]["Supplier_Balance_Report"] = "Supplier Balance Report";
$tableCaptions["English"]["Inventory_per_Cost_center_Report"] = "Inventory Per Cost Center Report";
$tableCaptions["English"]["Deposit_Report"] = "Deposit Report";
$tableCaptions["English"]["SO_for_Billing_Report"] = "SO For Billing Report";
$tableCaptions["English"]["Billing_due_dates_Report"] = "Billing Due Dates Report";
$tableCaptions["English"]["Packing_List_Report"] = "Packing List Report";
$tableCaptions["English"]["Open_Trip_Ticket_Report"] = "Open Trip Ticket Report";
$tableCaptions["English"]["Transfer_Report"] = "Transfer Report";
$tableCaptions["English"]["Production_Report_invw"] = "Production Report Invw";
$tableCaptions["English"]["Supply_per_Department__Report_invw"] = "Supply Per Department  Report Invw";
$tableCaptions["English"]["Item_Balances_Report_invw"] = "Item Balances Report Invw";
$tableCaptions["English"]["Open_Case_Report_s"] = "Open Case Report S";
$tableCaptions["English"]["Sales_Order_per_Campaign_Report_marketing"] = "Sales Order Per Campaign Report Marketing";
$tableCaptions["English"]["Sales_per_campaign_Report_marketing"] = "Sales Per Campaign Report Marketing";
$tableCaptions["English"]["Asset_per_Accountability_Report_invw"] = "Asset Per Accountability Report Invw";
$tableCaptions["English"]["Deposit_in_transit_Report"] = "Deposit In Transit Report";
$tableCaptions["English"]["Outstanding_Checks_Report"] = "Outstanding Checks Report";
$tableCaptions["English"]["Absences_Detail_Report"] = "Absences Detail Report";
$tableCaptions["English"]["Absences_Report"] = "Absences Report";
$tableCaptions["English"]["Attendance_Report"] = "Attendance Report";
$tableCaptions["English"]["DTR_Report"] = "DTR Report";
$tableCaptions["English"]["Summary_of_Tardiness_Report"] = "Summary Of Tardiness Report";
$tableCaptions["English"]["Followup_Report"] = "Followup Report";
$tableCaptions["English"]["Coming_Meeting_Report"] = "Coming Meeting Report";
$tableCaptions["English"]["Meeting_Report"] = "Meeting Report";
$tableCaptions["English"]["Next_Action_Report"] = "Next Action Report";
$tableCaptions["English"]["Calls_Report"] = "Calls Report";
$tableCaptions["English"]["sales_per_sales_rep_Report"] = "Sales Per Sales Rep Report";
$tableCaptions["English"]["Expense_per_Project_Report"] = "Expense Per Project Report";
$tableCaptions["English"]["Tardiness_Report_Summary"] = "Tardiness Report Summary";
$tableCaptions["English"]["Timekeeping__Hours_Worked__Report_Summary"] = "Timekeeping (Hours Worked) Report Summary";
$tableCaptions["English"]["Withholding_Tax_Collection_List_per_Month_Report"] = "Withholding Tax Collection List Per Month Report";
$tableCaptions["English"]["Business_Owner_Dashboard"] = "Business Owner Dashboard";
$tableCaptions["English"]["Finance_Dashboard"] = "Finance Dashboard";
$tableCaptions["English"]["Purchasing_Dashboard"] = "Purchasing Dashboard";
$tableCaptions["English"]["Production_Dashboard"] = "Production Dashboard";
$tableCaptions["English"]["Marketing_Dashboard"] = "Marketing Dashboard";
$tableCaptions["English"]["Support_Dashboard"] = "Support Dashboard";
$tableCaptions["English"]["Sales_Dashboard"] = "Sales Dashboard";
$tableCaptions["English"]["Human_Resource_Dashboard"] = "Human Resource Dashboard";
$tableCaptions["English"]["Project_Manager_Dashboard"] = "Project Manager Dashboard";
$tableCaptions["English"]["System_Admistration_Dashboard"] = "System Admistration Dashboard";
$tableCaptions["English"]["purchase_report_per_item_Chart"] = "Purchase Report Per Item Chart";
$tableCaptions["English"]["System_Audit_Report"] = "System Audit Report";
$tableCaptions["English"]["sale_cost_detail"] = "Sale Cost Detail";
$tableCaptions["English"]["currency_exchange_rate"] = "Currency Exchange Rate";
$tableCaptions["English"]["cash_receipt_cost_detail"] = "Cash Receipt Cost Detail";
$tableCaptions["English"]["production_cost_detail"] = "Production Cost Detail";
$tableCaptions["English"]["Employee"] = "Employee";
$tableCaptions["English"]["Quotation_Dashboard"] = "Quotation Dashboard";
$tableCaptions["English"]["Sales_Order_Dashboard"] = "Sales Order Dashboard";
$tableCaptions["English"]["Reimbursement_Dashboard"] = "Reimbursement Dashboard";
$tableCaptions["English"]["Transaction_Registry_Dashboard_SaleRep"] = "Transaction Registry Dashboard SaleRep";
$tableCaptions["English"]["Loan_Dashboard"] = "Loan Dashboard";
$tableCaptions["English"]["Leave_Dashboard"] = "Leave Dashboard";
$tableCaptions["English"]["Over_Time_Dashboard"] = "Over Time Dashboard";
$tableCaptions["English"]["Undertime_Dashboard"] = "Undertime Dashboard";
$tableCaptions["English"]["Fieldwork_Dashboard"] = "Fieldwork Dashboard";
$tableCaptions["English"]["Change_Time_Dashboard"] = "Change Time Dashboard";
$tableCaptions["English"]["Transaction_Registry_Dashboard_Employee"] = "Transaction Registry Dashboard Employee";
$tableCaptions["English"]["Transaction_Registry_Dashboard_Supplier"] = "Transaction Registry Dashboard Supplier";
$tableCaptions["English"]["Transaction_Registry_Dashboard_Customer"] = "Transaction Registry Dashboard Customer";
$tableCaptions["English"]["lyl_estimate_dr"] = "Lyl Estimate Dr";
$tableCaptions["English"]["lyl_estimate_dr_detail"] = "Lyl Estimate Dr Detail";
$tableCaptions["English"]["lyl_estimate_dr_detail_accessories"] = "Lyl Estimate Dr Detail Accessories";
$tableCaptions["English"]["lyl_estimate_dr_detail_aluminum"] = "Lyl Estimate Dr Detail Aluminum";
$tableCaptions["English"]["lyl_estimate_dr_detail_e_accessories"] = "Lyl Estimate Dr Detail E Accessories";
$tableCaptions["English"]["lyl_estimate_dr_detail_glass"] = "Lyl Estimate Dr Detail Glass";
$tableCaptions["English"]["sum_dr_qty"] = "Sum Dr Qty";
$tableCaptions["English"]["check_book_registry"] = "Check Book Registry";
$tableCaptions["English"]["check_book_registry_detail"] = "Check Book Registry Detail";
$tableCaptions["English"]["vat_type"] = "Vat Type";
$tableCaptions["English"]["quotation_detail"] = "Quotation Detail";
$tableCaptions["English"]["bal_purchase_order_detail"] = "Bal Purchase Order Detail";
$tableCaptions["English"]["bal_sales_detail"] = "Bal Sales Detail";
$tableCaptions["English"]["pending_items_reminders"] = "Pending Items Reminders";
$tableCaptions["English"]["petty_cash_for_liquidation"] = "Petty Cash For Liquidation";
$tableCaptions["English"]["payment_method"] = "Payment Method";
$tableCaptions["English"]["account_type"] = "Account Type";
$tableCaptions["English"]["phase"] = "Phase";
$tableCaptions["English"]["item_cost_recalculation"] = "Item Cost Recalculation";
$tableCaptions["English"]["issue_components"] = "Issue Components";
$tableCaptions["English"]["issue_components_detail"] = "Issue Components Detail";
$tableCaptions["English"]["unbuild_assemblies"] = "Unbuild Assemblies";
$tableCaptions["English"]["unbuild_assemblies_detail"] = "Unbuild Assemblies Detail";
$tableCaptions["English"]["demand_plan"] = "Demand Plan";
$tableCaptions["English"]["input_vat_allocation"] = "Input Vat Allocation";
$tableCaptions["English"]["case_type"] = "Case Type";
$tableCaptions["English"]["qc_inspection"] = "Qc Inspection";
$tableCaptions["English"]["packing_list_for_checking"] = "Packing List For Checking";
$tableCaptions["English"]["packing_list_for_approval"] = "Packing List For Approval";
$tableCaptions["English"]["packing_list_detail_for_checking"] = "Details";
$tableCaptions["English"]["packing_list_detail_for_approval"] = "Details";
$tableCaptions["English"]["disposed_inv_detail"] = "Disposed Inv Detail";
$tableCaptions["English"]["disposed_inv"] = "Disposed Inv";
$tableCaptions["English"]["disposed_inv_for_checking"] = "Disposed Inv For Checking";
$tableCaptions["English"]["disposed_inv_for_approval"] = "Disposed Inv For Approval";
$tableCaptions["English"]["disposed_inv_detail_for_checking"] = "Details";
$tableCaptions["English"]["disposed_inv_detail_for_approval"] = "Details";
$tableCaptions["English"]["For_Approval_Dashboard"] = "For Approval Dashboard";
$tableCaptions["English"]["For_Checking_Dashboard"] = "For Checking Dashboard";
$tableCaptions["English"]["Customer_For_Approval"] = "Customer For Approval";
$tableCaptions["English"]["request_for_payment_report"] = "Request For Payment Report";
$tableCaptions["English"]["credit_memo_report"] = "Credit Memo Report";
$tableCaptions["English"]["debit_memo_report"] = "Debit Memo Report";
$tableCaptions["English"]["production_request_report"] = "Production Request Report";
$tableCaptions["English"]["Supplies_Balance_report"] = "Supplies Balance Report";
$tableCaptions["English"]["approved_sales_order"] = "Approved Sales Order";
$tableCaptions["English"]["purchase_order_for_receiving"] = "Purchase Order For Receiving";
$tableCaptions["English"]["Dashboard"] = "Dashboard";
$tableCaptions["English"]["packing_list"] = "Packing List";
$tableCaptions["English"]["packing_list_detail"] = "Packing List Detail";
$tableCaptions["English"]["open_quote"] = "Open Quote";
$tableCaptions["English"]["open_estimates"] = "Open Estimates";
$tableCaptions["English"]["open_po"] = "Open Po";
$tableCaptions["English"]["open_pr"] = "Open Pr";
$tableCaptions["English"]["open_production_request"] = "Open Production Request";
$tableCaptions["English"]["open_qc"] = "Open Qc";
$tableCaptions["English"]["open_receiving"] = "Open Receiving";
$tableCaptions["English"]["open_request_for_payment"] = "Open Request For Payment";
$tableCaptions["English"]["open_so"] = "Open So";
$tableCaptions["English"]["open_so_for_invoice"] = "Open So For Invoice";
$tableCaptions["English"]["open_so_for_project_management"] = "Open So For Project Management";
$tableCaptions["English"]["open_backload"] = "Open Backload";
$tableCaptions["English"]["purchase_order_receiving_detail"] = "Purchase Order Receiving Detail";
$tableCaptions["English"]["Purchase_Order_Receiving_Dashboard_Supplier"] = "Purchase Order Receiving Dashboard Supplier";
$tableCaptions["English"]["avg_inv"] = "Avg Inv";
$tableCaptions["English"]["open_backload_Report"] = "Open Backload Report";
$tableCaptions["English"]["open_estimates_Report"] = "Open Estimates Report";
$tableCaptions["English"]["open_po_Report"] = "Open Po Report";
$tableCaptions["English"]["open_pr_Report"] = "Open Pr Report";
$tableCaptions["English"]["open_production_request_Report"] = "Open Production Request Report";
$tableCaptions["English"]["open_qc_Report"] = "Open Qc Report";
$tableCaptions["English"]["open_so_for_project_management_Report"] = "Open So For Project Management Report";
$tableCaptions["English"]["open_so_for_invoice_Report"] = "Open So For Invoice Report";
$tableCaptions["English"]["open_so_Report"] = "Open So Report";
$tableCaptions["English"]["open_receiving_Report"] = "Open Receiving Report";
$tableCaptions["English"]["monthly_consuption_for_production_Report"] = "Monthly Consuption For Production Report";
$tableCaptions["English"]["issue_components_for_approval"] = "Issue Components For Approval";
$tableCaptions["English"]["issue_components_for_checking"] = "Issue Components For Checking";
$tableCaptions["English"]["issue_components_detail_for_checking"] = "Details";
$tableCaptions["English"]["issue_components_detail_for_approval"] = "Details";
$tableCaptions["English"]["fieldwork_for_approval"] = "Fieldwork For Approval";
$tableCaptions["English"]["fieldwork_for_checking"] = "Fieldwork For Checking";
$tableCaptions["English"]["Purchases_Order_for_checking"] = "Purchases Order For Checking";
$tableCaptions["English"]["Purchases_Order_for_approval"] = "Purchases Order For Approval";
$tableCaptions["English"]["Receiving_for_checking"] = "Receiving For Checking";
$tableCaptions["English"]["Receiving_for_approval"] = "Receiving For Approval";
$tableCaptions["English"]["inventory_tranfer_Report"] = "Inventory Tranfer Report";
$tableCaptions["English"]["Purchase_vs_Production_Report"] = "Purchase Vs Production Report";
$tableCaptions["English"]["cash_sales_Report"] = "Cash Sales Report";
$tableCaptions["English"]["Center_Replenishment_for_approval"] = "Center Replenishment For Approval";
$tableCaptions["English"]["Center_Replenishment_for_checking"] = "Center Replenishment For Checking";
$tableCaptions["English"]["Purchase_vs_Production"] = "Purchase Vs Production";
$tableCaptions["English"]["Production_Summary"] = "Production Summary";
$tableCaptions["English"]["pending_production_request"] = "Pending Production Request";
$tableCaptions["English"]["unbuild_assemblies_for_checking"] = "Unbuild Assemblies For Checking";
$tableCaptions["English"]["unbuild_assemblies_for_approval"] = "Unbuild Assemblies For Approval";
$tableCaptions["English"]["unbuild_assemblies_detail_for_checking"] = "Details";
$tableCaptions["English"]["quality_control_for_approval"] = "Quality Control For Approval";
$tableCaptions["English"]["quality_control_for_checking"] = "Quality Control For Checking";
$tableCaptions["English"]["quality_control_detail_for_approval"] = "Details";
$tableCaptions["English"]["raw_cake_balance"] = "Raw Cake Balance";
$tableCaptions["English"]["bal_cashreceipt"] = "Bal Cashreceipt";
$tableCaptions["English"]["bal_cashpayment"] = "Bal Cashpayment";
$tableCaptions["English"]["opportunity"] = "Opportunity";
$tableCaptions["English"]["Current_Accounts"] = "Current Accounts";
$tableCaptions["English"]["bal_lyl_acc"] = "Bal Lyl Acc";
$tableCaptions["English"]["bal_lyl_glass"] = "Bal Lyl Glass";
$tableCaptions["English"]["bal_lyl_eacc"] = "Bal Lyl Eacc";
$tableCaptions["English"]["bal_lyl_allum"] = "Bal Lyl Allum";
$tableCaptions["English"]["opportunity_details"] = "Opportunity Details";
$tableCaptions["English"]["Collection_Report_per_Sales_Rep"] = "Collection Report Per Sales Rep";
$tableCaptions["English"]["Inventory_per_lot_no"] = "Inventory Per Lot No";
$tableCaptions["English"]["marketing_request_form_for_checking"] = "Marketing Request Form For Checking";
$tableCaptions["English"]["marketing_request_form_for_approval"] = "Details";
$tableCaptions["English"]["Accounts_Payable_Dashboard"] = "Accounts Payable Dashboard";
$tableCaptions["English"]["201"] = "201";
$tableCaptions["English"]["Cashflow_forcast"] = "Cashflow Forcast";
$tableCaptions["English"]["Business_Owner_Sales_Report"] = "Business Owner Sales Report";
$tableCaptions["English"]["Business_Owner_Purchase_Report"] = "Business Owner Purchase Report";
$tableCaptions["English"]["Business_Owner_Cash_Balance"] = "Business Owner Cash Balance";
$tableCaptions["English"]["Business_Owner_Top_Customer_Income"] = "Business Owner Top Customer Income";
$tableCaptions["English"]["AR_Billing_due_dates_Report"] = "Billing Due Dates Report";
$tableCaptions["English"]["AR_Aging_of_AR_Report"] = "Aging Of AR Report";
$tableCaptions["English"]["AR_Top_5_Customer_balances"] = "Top 5 Customer Balances";
$tableCaptions["English"]["AR_Progress_Billing_Alert"] = "Progress Billing Alert";
$tableCaptions["English"]["Account_Receivable_Dashboard"] = "Account Receivable Dashboard";
$tableCaptions["English"]["Finance_Cash_Balance"] = "Finance Cash Balance";
$tableCaptions["English"]["Finance_approved_request_for_payment"] = "Finance Approved Request For Payment";
$tableCaptions["English"]["Finance_Cash_flow_forcast"] = "Finance Cash Flow Forcast";
$tableCaptions["English"]["Finance_Approved_Employee_Loan"] = "Finance Approved Employee Loan";
$tableCaptions["English"]["Finance_Cash_Balances"] = "Finance Cash Balances";
$tableCaptions["English"]["AP_Aging_of_Payables"] = "AP Aging Of Payables";
$tableCaptions["English"]["Purchasing_Item_below_reorder"] = "Purchasing Item Below Reorder";
$tableCaptions["English"]["production_per_item"] = "Production Per Item";
$tableCaptions["English"]["AP_Top_5_Supplier_balances"] = "AP Top 5 Supplier Balances";
$tableCaptions["English"]["Warehouse_Item_balances"] = "Warehouse Item Balances";
$tableCaptions["English"]["DR_per_Item"] = "DR Per Item";
$tableCaptions["English"]["Logistic_Open_Trip_Ticket"] = "Logistic Open Trip Ticket";
$tableCaptions["English"]["Logistic_Available_Vehicles"] = "Logistic Available Vehicles";
$tableCaptions["English"]["Marketing_Open_Campaign"] = "Marketing Open Campaign";
$tableCaptions["English"]["Marketing_Sales_per_campaign"] = "Marketing Sales Per Campaign";
$tableCaptions["English"]["Support_Open_Case_Report"] = "Support Open Case Report";
$tableCaptions["English"]["Support_Service_center"] = "Support Service Center";
$tableCaptions["English"]["Sale_Meeting_Report"] = "Sale Meeting Report";
$tableCaptions["English"]["Sales_Next_Action_Report"] = "Sales Next Action Report";
$tableCaptions["English"]["HR_attendance_summary"] = "HR Attendance Summary";
$tableCaptions["English"]["HR_Birthday_Alert"] = "HR Birthday Alert";
$tableCaptions["English"]["HR_holiday"] = "HR Holiday";
$tableCaptions["English"]["Project_Expense_per_Project"] = "Project Expense Per Project";
$tableCaptions["English"]["Project_Expense_per_Project_graph"] = "Project Expense Per Project Graph";
$tableCaptions["English"]["Petty_Cash_Balance"] = "Petty Cash Balance";
$tableCaptions["English"]["Petty_Cash_Unliquidated"] = "Petty Cash Unliquidated";
$tableCaptions["English"]["Petty_Cash_Purchases_per_Item"] = "Petty Cash Purchases Per Item";
$tableCaptions["English"]["Petty_Cash_Dashboard"] = "Petty Cash Dashboard";
$tableCaptions["English"]["Accounting_Income_per_Center"] = "Accounting Income Per Center";
$tableCaptions["English"]["open_quote_Report"] = "Open Quote Report";
$tableCaptions["English"]["Open_cases_per_agent"] = "Open Cases Per Agent";
$tableCaptions["English"]["Marketing_sales_per_campaing_chart"] = "Marketing Sales Per Campaing Chart";
$tableCaptions["English"]["Logistics_Dashboard"] = "Logistics Dashboard";
$tableCaptions["English"]["Accounting_Dashboard"] = "Accounting Dashboard";
$tableCaptions["English"]["AP_open_po_receiving"] = "AP Open Po Receiving";
$tableCaptions["English"]["Production_Inventory_Balance_Report"] = "Production Inventory Balance Report";
$tableCaptions["English"]["Production_WIP"] = "Production WIP";
$tableCaptions["English"]["Warehouse_Dashboard"] = "Warehouse Dashboard";
$tableCaptions["English"]["Warehouse_Inventory_Balance_Report"] = "Warehouse Inventory Balance Report";
$tableCaptions["English"]["logistic_open_inventory_tranfer"] = "Logistic Open Inventory Tranfer";
$tableCaptions["English"]["Sales_Leads"] = "Sales Leads";
$tableCaptions["English"]["Sales_opportunity_Next_Action"] = "Sales Opportunity Next Action";
$tableCaptions["English"]["Sales_Active_opportunity"] = "Sales Active Opportunity";
$tableCaptions["English"]["intercompany_sales_order_detail"] = "Intercompany Sales Order Detail";
$tableCaptions["English"]["intercompany_sales_order"] = "Intercompany Sales Order";
$tableCaptions["English"]["production_detail"] = "Production Detail";
$tableCaptions["English"]["quality_control_detail_for_checking"] = "Quality Control Detail For Checking";
$tableCaptions["English"]["lyl_estimate_for_approval"] = "Lyl Estimate For Approval";
$tableCaptions["English"]["lyl_estimate_dr_for_approval"] = "Lyl Estimate Dr For Approval";
$tableCaptions["English"]["lyl_estimate_detail_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_accessories_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_aluminum_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_e_accessories_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_glass_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_accessories_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_aluminum_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_e_accessories_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_glass_for_approval"] = "Details";
$tableCaptions["English"]["lyl_estimate_for_checking"] = "Lyl Estimate For Checking";
$tableCaptions["English"]["lyl_estimate_detail_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_accessories_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_aluminum_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_e_accessories_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_detail_glass_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_for_checking"] = "Lyl Estimate Dr For Checking";
$tableCaptions["English"]["lyl_estimate_dr_detail_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_accessories_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_aluminum_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_e_accessories_for_checking"] = "Details";
$tableCaptions["English"]["lyl_estimate_dr_detail_glass_for_checking"] = "Details";
$tableCaptions["English"]["EWT_Certificates_summay"] = "EWT Certificates Summay";
$tableCaptions["English"]["1601e"] = "1601e";
$tableCaptions["English"]["1601eform"] = "1601eform";
$tableCaptions["English"]["1601fform"] = "1601fform";
$tableCaptions["English"]["tax_person_status"] = "Tax Person Status";
$tableCaptions["English"]["journal_entry_inv_transfer"] = "Journal Entry Inv Transfer";
$tableCaptions["English"]["Recon_withdraw"] = "Withdrawal";
$tableCaptions["English"]["lot"] = "Lot";
$tableCaptions["English"]["serial_no"] = "Serial No";
$tableCaptions["English"]["request_for_quote"] = "Request For Quote";
$tableCaptions["English"]["request_for_quoter_detail"] = "Request For Quoter Detail";
$tableCaptions["English"]["request_for_quote_for_checking"] = "Request For Quote For Checking";
$tableCaptions["English"]["request_for_quote_for_approval"] = "Request For Quote For Approval";
$tableCaptions["English"]["request_for_quoter_detail_for_checking"] = "Request For Quoter Detail For Checking";
$tableCaptions["English"]["request_for_quoter_detail_for_approval"] = "Request For Quoter Detail For Approval";
$tableCaptions["English"]["estimate_cost"] = "Estimate Cost";
$tableCaptions["English"]["airlines"] = "Airlines";
$tableCaptions["English"]["airport"] = "Airport";
$tableCaptions["English"]["inco_terms"] = "Inco Terms";
$tableCaptions["English"]["seaports"] = "Seaports";
$tableCaptions["English"]["shipment_classification"] = "Shipment Classification";
$tableCaptions["English"]["shipping_lines"] = "Shipping Lines";
$tableCaptions["English"]["bal_sales_order_detail"] = "Bal Sales Order Detail";
$tableCaptions["English"]["project_cont_seal"] = "Project Cont Seal";
$tableCaptions["English"]["project_house"] = "House Project";
$tableCaptions["English"]["billable_liquidation"] = "Billable Liquidation";
$tableCaptions["English"]["billable_pettycash"] = "Billable Pettycash";
$tableCaptions["English"]["billable_checkvoucher"] = "Billable Checkvoucher";
$tableCaptions["English"]["projects_dashboard"] = "Projects Dashboard";
$tableCaptions["English"]["employees"] = "Employees";
$tableCaptions["English"]["admin_rights"] = "Admin Rights";
$tableCaptions["English"]["admin_members"] = "Admin Members";
$tableCaptions["English"]["admin_users"] = "Add/Edit users";
$tableCaptions["English"]["company"] = "Company";
$tableCaptions["English"]["notifiy_quotation_Report"] = "Notify Quotation Report";
$tableCaptions["English"]["expenses_Report"] = "Expenses Report";
$tableCaptions["English"]["petty_cash_release"] = "petty cash release";
$tableCaptions["English"]["petty_cash_replenishment"] = "petty cash replenishment";
$tableCaptions["English"]["Employee_Advance_Release"] = "Employee Advance Release";
$tableCaptions["English"]["Employee_Advance_Replenishment"] = "Employee Advance Replenishment";
$tableCaptions["English"]["Liquidation_Release"] = "Liquidation Release";
$tableCaptions["English"]["Liquidation_Replenishment"] = "Liquidation Replenishment";
$tableCaptions["English"]["Billable_Cost_Report"] = "Billable Cost Report";
$tableCaptions["English"]["centerrep_pettycash"] = "Centerrep Pettycash";
$tableCaptions["English"]["centerrep_empadvance"] = "Centerrep Empadvance";
$tableCaptions["English"]["centerrep_liquidation"] = "Centerrep Liquidation";
$tableCaptions["English"]["replenishment_pettycash"] = "Replenishment Pettycash";
$tableCaptions["English"]["replenishment_liquidation"] = "Replenishment Liquidation";
$tableCaptions["English"]["replenishment_empadv"] = "Replenishment Empadv";
$tableCaptions["English"]["bank_statement"] = "Bank Statement";
$tableCaptions["English"]["other_charges"] = "Other Charges";
$tableCaptions["English"]["change_password"] = "Change Password";
$tableCaptions["English"]["project_liquidation_detail2"] = "Project Liquidation Detail2";
$tableCaptions["English"]["balance_advance"] = "Balance Advance";
$tableCaptions["English"]["project_replenishment_deposited"] = "Project Replenishment Deposited";
$tableCaptions["English"]["bal_center_replenishment"] = "Bal Center Replenishment";
$tableCaptions["English"]["Project_and_Pettycash_Report"] = "Project and Pettycash Report";
$tableCaptions["English"]["Project_and_EmpAdv_Report"] = "Project and EmpAdv Report";
$tableCaptions["English"]["Project_and_Liquidation_Report"] = "Project and Liquidation Report";
$tableCaptions["English"]["Project_and_Sales_Report"] = "Project and Sales Report";
$tableCaptions["English"]["Project_and_Voucher_Report"] = "Project and Voucher Report";
$tableCaptions["English"]["projects_view"] = "Projects View";
$tableCaptions["English"]["projects_lite"] = "Projects Lite";
$tableCaptions["English"]["shipping_date"] = "Shipping Date";
$tableCaptions["English"]["entry_detail_sales"] = "Entry Detail Sales";
$tableCaptions["English"]["entry_detail_pettycash"] = "Entry Detail Pettycash";
$tableCaptions["English"]["entry_detail_cash_disbursement"] = "Entry Detail Cash Disbursement";
$tableCaptions["English"]["representative"] = "Representative";
$tableCaptions["English"]["sales_sub_invoice"] = "Sales Sub Invoice";
$tableCaptions["English"]["search_cash_disbursement"] = "Search Cash Disbursement";
$tableCaptions["English"]["sales_business_partner"] = "Sales Business Partner";
$tableCaptions["English"]["canvas"] = "Canvas";
$tableCaptions["English"]["canvas_detail"] = "Canvas Detail";
$tableCaptions["English"]["request_for_payment"] = "Request For Payment";
$tableCaptions["English"]["request_for_payment_detail"] = "Request For Payment Detail";
$tableCaptions["English"]["po_netpr"] = "Po Netpr";
$tableCaptions["English"]["request_for_payment_imp"] = "Request For Payment Imp";
$tableCaptions["English"]["birsalesrelief"] = "Birsalesrelief";
$tableCaptions[""] = array();
$tableCaptions[""][""] = "";
$tableCaptions[""]["business_partner"] = "Business Partner";
$tableCaptions[""]["accessories"] = "Accessories";
$tableCaptions[""]["approver_list"] = "Approver List";
$tableCaptions[""]["company_info"] = "Company Info";
$tableCaptions[""]["seminar"] = "Seminar";
$tableCaptions[""]["sales_order_progress_billing_detail"] = "Sales Order Progress Billing Detail";
$tableCaptions[""]["marketing_request_form"] = "Marketing Request Form";
$tableCaptions[""]["email"] = "Email";
$tableCaptions[""]["calls"] = "Calls";
$tableCaptions[""]["meetings"] = "Meetings";
$tableCaptions[""]["system_user"] = "System Users";
$tableCaptions[""]["Target_customers"] = "Target Customers";
$tableCaptions[""]["Prospect_contacts"] = "Prospect Contacts";
$tableCaptions[""]["Prospect_customers"] = "Prospect Customers";
$tableCaptions[""]["ppe_list"] = "PPE Listings";
$tableCaptions[""]["estimate"] = "Estimate";
$tableCaptions[""]["reimbursement"] = "Reimbursement";
$tableCaptions[""]["projects"] = "Projects";
$tableCaptions[""]["inventory_adj"] = "Inventory Adjustment";
$tableCaptions[""]["sale_cost_detail"] = "Sale Cost Detail";
$tableCaptions[""]["currency_exchange_rate"] = "Currency Exchange Rate";
$tableCaptions[""]["cash_receipt_cost_detail"] = "Cash Receipt Cost Detail";
$tableCaptions[""]["production_cost_detail"] = "Production Cost Detail";
$tableCaptions[""]["backload"] = "Backload";
$tableCaptions[""]["purchase"] = "Purchase";
$tableCaptions[""]["debit_memo"] = "Debit Memo";
$tableCaptions[""]["sub_contract"] = "Sub Contract";
$tableCaptions[""]["cash_receipt"] = "Cash Sales and Collections";
$tableCaptions[""]["credit_memo"] = "Credit Memo";
$tableCaptions[""]["cash_disbursment"] = "Cash Purchases and Payments";
$tableCaptions[""]["dr"] = "Delivery Receipt";
$tableCaptions[""]["purchase_order"] = "Purchase Order";
$tableCaptions[""]["sales"] = "Credit Sales";
$tableCaptions[""]["sales_order"] = "Sales Order";
$tableCaptions[""]["item"] = "Items";
$tableCaptions[""]["business_partner_group"] = "Business Partner Group";
$tableCaptions[""]["center_replenishment"] = "Center Replenishment";
$tableCaptions[""]["deposit"] = "Deposit";
$tableCaptions[""]["general_journal"] = "General Journal";
$tableCaptions[""]["petty_cash"] = "Petty Cash";
$tableCaptions[""]["project_replenishment"] = "Project Replenishment";
$tableCaptions[""]["purchase_order_receiving"] = "Purchase Order Receiving";
$tableCaptions[""]["purchase_request"] = "Purchase Request";
$tableCaptions[""]["quotation"] = "Quotation";
$tableCaptions[""]["service_report"] = "Service Report";
$tableCaptions[""]["purchase_detail"] = "Purchase Detail";
$tableCaptions[""]["Employee"] = "Employee";
$tableCaptions[""]["credit_memo_detail_cgs"] = "Credit Memo Detail Cgs";
$tableCaptions[""]["inventory_transfer_cost_detail"] = "Inventory Transfer Cost Detail";
$tableCaptions[""]["Quotation_Dashboard"] = "Quotation Dashboard";
$tableCaptions[""]["Sales_Order_Dashboard"] = "Sales Order Dashboard";
$tableCaptions[""]["Reimbursement_Dashboard"] = "Reimbursement Dashboard";
$tableCaptions[""]["Transaction_Registry_Dashboard_SaleRep"] = "Transaction Registry Dashboard SaleRep";
$tableCaptions[""]["Loan_Dashboard"] = "Loan Dashboard";
$tableCaptions[""]["Leave_Dashboard"] = "Leave Dashboard";
$tableCaptions[""]["Over_Time_Dashboard"] = "Over Time Dashboard";
$tableCaptions[""]["Undertime_Dashboard"] = "Undertime Dashboard";
$tableCaptions[""]["Fieldwork_Dashboard"] = "Fieldwork Dashboard";
$tableCaptions[""]["Change_Time_Dashboard"] = "Change Time Dashboard";
$tableCaptions[""]["Transaction_Registry_Dashboard_Employee"] = "Transaction Registry Dashboard Employee";
$tableCaptions[""]["Transaction_Registry_Dashboard_Supplier"] = "Transaction Registry Dashboard Supplier";
$tableCaptions[""]["Transaction_Registry_Dashboard_Customer"] = "Transaction Registry Dashboard Customer";
$tableCaptions[""]["lyl_estimate_dr"] = "Lyl Estimate Dr";
$tableCaptions[""]["lyl_estimate_dr_detail"] = "Lyl Estimate Dr Detail";
$tableCaptions[""]["lyl_estimate_dr_detail_accessories"] = "Lyl Estimate Dr Detail Accessories";
$tableCaptions[""]["lyl_estimate_dr_detail_aluminum"] = "Lyl Estimate Dr Detail Aluminum";
$tableCaptions[""]["lyl_estimate_dr_detail_e_accessories"] = "Lyl Estimate Dr Detail E Accessories";
$tableCaptions[""]["lyl_estimate_dr_detail_glass"] = "Lyl Estimate Dr Detail Glass";
$tableCaptions[""]["sum_dr_qty"] = "Sum Dr Qty";
$tableCaptions[""]["lyl_estimate"] = "Estimate";
$tableCaptions[""]["production"] = "Production";
$tableCaptions[""]["check_book_registry"] = "Check Book Registry";
$tableCaptions[""]["check_book_registry_detail"] = "Check Book Registry Detail";
$tableCaptions[""]["chart_of_accounts"] = "Chart Of Accounts";
$tableCaptions[""]["recuring_benefits"] = "Recuring Benefits";
$tableCaptions[""]["recuring_deductions"] = "Recuring Deductions";
$tableCaptions[""]["recurring_benefits_detail"] = "Recurring Benefits Detail";
$tableCaptions[""]["Attendance_Report"] = "Attendance Report";
$tableCaptions[""]["Monthly_Pag_ibig_Report"] = "Monthly Pag-ibig Report";
$tableCaptions[""]["Monthly_Pag_ibig_Summary_Report"] = "Monthly Pag-ibig Summary Report";
$tableCaptions[""]["Monthly_Philhealth_Report"] = "Monthly Philhealth Report";
$tableCaptions[""]["Monthly_Philhealth_Summary_Report"] = "Monthly Philhealth Summary Report";
$tableCaptions[""]["Monthly_SSS_Report"] = "Monthly SSS Report";
$tableCaptions[""]["Monthly_SSS_Report_by_Department_Report"] = "Monthly SSS Report By Department Report";
$tableCaptions[""]["Monthly_Withholding_Tax_Prooflist_Report"] = "Monthly Withholding Tax Prooflist Report";
$tableCaptions[""]["Monthly_Witholding_Tax_Collection_List_by_Department_Report"] = "Monthly Witholding Tax Collection List By Department Report";
$tableCaptions[""]["Absences_Detail_Report"] = "Absences Detail Report";
$tableCaptions[""]["Absences_Report"] = "Absences Report";
$tableCaptions[""]["DTR_Report"] = "DTR Report";
$tableCaptions[""]["Summary_of_Tardiness_Report"] = "Summary Of Tardiness Report";
$tableCaptions[""]["Tardiness_Report_Summary"] = "Tardiness Report Summary";
$tableCaptions[""]["Timekeeping__Hours_Worked__Report_Summary"] = "Timekeeping (Hours Worked) Report Summary";
$tableCaptions[""]["Customer_Balance_Report"] = "Customer Balance Report";
$tableCaptions[""]["Customer_Balance_Report_detail"] = "Customer Balance Report Detail";
$tableCaptions[""]["Supplier_Balance_Report"] = "Supplier Balance Report";
$tableCaptions[""]["Supplier_Balance_Report_Details"] = "Supplier Balance Report Details";
$tableCaptions[""]["Aging_of_AP_Report"] = "Aging Of AP Report";
$tableCaptions[""]["Aging_of_AR_Report"] = "Aging Of AR Report";
$tableCaptions[""]["Collection_Report_per_Customer"] = "Collection Report Per Customer";
$tableCaptions[""]["lyl_estimate_detail"] = "Estimate Detail";
$tableCaptions[""]["lyl_estimate_detail_accessories"] = "Estimate Detail Accessories";
$tableCaptions[""]["lyl_estimate_detail_aluminum"] = "Estimate Detail Aluminum";
$tableCaptions[""]["backload_detail"] = "Backload Detail";
$tableCaptions[""]["lyl_estimate_detail_e_accessories"] = "Estimate Detail E Accessories";
$tableCaptions[""]["lyl_estimate_detail_glass"] = "Estimate Detail Glass";
$tableCaptions[""]["sales_detail"] = "Sales Detail";
$tableCaptions[""]["vehicle"] = "Vehicle";
$tableCaptions[""]["purchase_order_detail"] = "Purchase Order Detail";
$tableCaptions[""]["2301"] = "201";
$tableCaptions[""]["Project_phases"] = "Project Phases";
$tableCaptions[""]["tasks"] = "Tasks";
$tableCaptions[""]["payroll_item"] = "Payroll Item";
$tableCaptions[""]["vat_type"] = "Vat Type";
$tableCaptions[""]["quotation_detail"] = "Quotation Detail";
$tableCaptions[""]["center_replenishment_detail"] = "Center Replenishment Detail";
$tableCaptions[""]["Sales_for_approval"] = "Sales For Approval";
$tableCaptions[""]["budget"] = "Budget";
$tableCaptions[""]["Customers"] = "Customers";
$tableCaptions[""]["Suppliers"] = "Suppliers";
$tableCaptions[""]["credit_terms"] = "Credit Terms";
$tableCaptions[""]["bal_purchase_order_detail"] = "Bal Purchase Order Detail";
$tableCaptions[""]["dr_detail"] = "Delivery Receipt Detail";
$tableCaptions[""]["bal_sales_detail"] = "Bal Sales Detail";
$tableCaptions[""]["cash_disbursement_detail2"] = "Cash Purchase";
$tableCaptions[""]["purchase_request_detail"] = "Purchase Request Detail";
$tableCaptions[""]["production_request_detail"] = "Production Request Detail";
$tableCaptions[""]["production_request"] = "Production Request";
$tableCaptions[""]["Campaign_ROI_Analysis"] = "Campaign ROI Analysis";
$tableCaptions[""]["Transfer_Report"] = "Transfer Report";
$tableCaptions[""]["Sales_Order_Report"] = "Sales Order Report";
$tableCaptions[""]["Production_Report"] = "Production Report";
$tableCaptions[""]["pending_items_reminders"] = "Pending Items Reminders";
$tableCaptions[""]["petty_cash_detail"] = "Petty Cash Detail";
$tableCaptions[""]["petty_cash_for_liquidation"] = "Petty Cash For Liquidation";
$tableCaptions[""]["budget_detail"] = "Budget Detail";
$tableCaptions[""]["Cash_Receipt_for_checking"] = "Cash Receipt For Checking";
$tableCaptions[""]["payment_method"] = "Payment Method";
$tableCaptions[""]["Payroll_Company_Setup"] = "Payroll Company Setup";
$tableCaptions[""]["position"] = "Position";
$tableCaptions[""]["department"] = "Department";
$tableCaptions[""]["payroll_mode"] = "Payroll Mode";
$tableCaptions[""]["payroll_account_type"] = "Payroll Account Type";
$tableCaptions[""]["account_type"] = "Account Type";
$tableCaptions[""]["Types_of_Loan"] = "Types Of Loan";
$tableCaptions[""]["Types_of_Overtime"] = "Types Of Overtime";
$tableCaptions[""]["Types_of_leaves"] = "Types Of Leaves";
$tableCaptions[""]["Other_Incentives"] = "Other Incentives";
$tableCaptions[""]["Other_Deductions"] = "Other Deductions";
$tableCaptions[""]["bluewave_employees"] = "Bluewave Employees";
$tableCaptions[""]["phase"] = "Phase";
$tableCaptions[""]["rfp"] = "Rfp";
$tableCaptions[""]["item_cost_recalculation"] = "Item Cost Recalculation";
$tableCaptions[""]["issue_components"] = "Issue Components";
$tableCaptions[""]["issue_components_detail"] = "Issue Components Detail";
$tableCaptions[""]["unbuild_assemblies"] = "Unbuild Assemblies";
$tableCaptions[""]["unbuild_assemblies_detail"] = "Unbuild Assemblies Detail";
$tableCaptions[""]["demand_plan"] = "Demand Plan";
$tableCaptions[""]["input_vat_allocation"] = "Input Vat Allocation";
$tableCaptions[""]["issue_detail"] = "Issue Detail";
$tableCaptions[""]["sub_contract_billing_detail"] = "Sub Contract Billing Detail";
$tableCaptions[""]["return"] = "Return";
$tableCaptions[""]["return_detail"] = "Return Detail";
$tableCaptions[""]["fixed_asset_issue_detail"] = "Fixed Asset Issue Detail";
$tableCaptions[""]["bluewave_employees_detail4"] = "Bluewave Employees Detail4";
$tableCaptions[""]["fiscal_year"] = "Fiscal Year";
$tableCaptions[""]["case_solutions"] = "Case Solutions";
$tableCaptions[""]["quality_control_detail"] = "Quality Control Detail";
$tableCaptions[""]["quality_control"] = "Quality Control";
$tableCaptions[""]["Supplier_Contacts"] = "Supplier Contacts";
$tableCaptions[""]["Customer_Contacts"] = "Customer Contacts";
$tableCaptions[""]["bank"] = "Banks / Credit Card";
$tableCaptions[""]["case"] = "Case";
$tableCaptions[""]["repair_list"] = "Repair List";
$tableCaptions[""]["repairs_and_maintenance"] = "Repairs And Maintenance";
$tableCaptions[""]["cash_disbursment_detail"] = "Payments";
$tableCaptions[""]["case_type"] = "Case Type";
$tableCaptions[""]["inventory_tranfer"] = "Inventory Transfer";
$tableCaptions[""]["inventory_transfer_detail"] = "Inventory Transfer Detail";
$tableCaptions[""]["qc_inspection"] = "Qc Inspection";
$tableCaptions[""]["packing_list_for_checking"] = "Packing List For Checking";
$tableCaptions[""]["packing_list_for_approval"] = "Packing List For Approval";
$tableCaptions[""]["packing_list_detail_for_checking"] = "Packing List Detail For Checking";
$tableCaptions[""]["packing_list_detail_for_approval"] = "Packing List Detail For Approval";
$tableCaptions[""]["disposed_inv_detail"] = "Disposed Inv Detail";
$tableCaptions[""]["disposed_inv"] = "Disposed Inv";
$tableCaptions[""]["disposed_inv_for_checking"] = "Disposed Inv For Checking";
$tableCaptions[""]["disposed_inv_for_approval"] = "Disposed Inv For Approval";
$tableCaptions[""]["disposed_inv_detail_for_checking"] = "Disposed Inv Detail For Checking";
$tableCaptions[""]["disposed_inv_detail_for_approval"] = "Disposed Inv Detail For Approval";
$tableCaptions[""]["For_Approval_Dashboard"] = "For Approval Dashboard";
$tableCaptions[""]["For_Checking_Dashboard"] = "For Checking Dashboard";
$tableCaptions[""]["Customer_For_Approval"] = "Customer For Approval";
$tableCaptions[""]["request_for_payment_report"] = "Request For Payment Report";
$tableCaptions[""]["credit_memo_report"] = "Credit Memo Report";
$tableCaptions[""]["debit_memo_report"] = "Debit Memo Report";
$tableCaptions[""]["production_request_report"] = "Production Request Report";
$tableCaptions[""]["Supplies_Balance_report"] = "Supplies Balance Report";
$tableCaptions[""]["approved_sales_order"] = "Approved Sales Order";
$tableCaptions[""]["purchase_order_for_receiving"] = "Purchase Order For Receiving";
$tableCaptions[""]["Dashboard"] = "Dashboard";
$tableCaptions[""]["competitor"] = "Competitor";
$tableCaptions[""]["disposed_detail"] = "Disposed Detail";
$tableCaptions[""]["fixed_assets_return"] = "Fixed Assets Return";
$tableCaptions[""]["packing_list"] = "Packing List";
$tableCaptions[""]["packing_list_detail"] = "Packing List Detail";
$tableCaptions[""]["trip_ticket"] = "Trip Ticket";
$tableCaptions[""]["Statement_of_Account"] = "Statement Of Account";
$tableCaptions[""]["attendance"] = "Attendance";
$tableCaptions[""]["medical"] = "Medical";
$tableCaptions[""]["training"] = "Training";
$tableCaptions[""]["open_quote"] = "Open Quote";
$tableCaptions[""]["open_estimates"] = "Open Estimates";
$tableCaptions[""]["open_po"] = "Open Po";
$tableCaptions[""]["open_pr"] = "Open Pr";
$tableCaptions[""]["open_production_request"] = "Open Production Request";
$tableCaptions[""]["open_qc"] = "Open Qc";
$tableCaptions[""]["open_receiving"] = "Open Receiving";
$tableCaptions[""]["open_request_for_payment"] = "Open Request For Payment";
$tableCaptions[""]["open_so"] = "Open So";
$tableCaptions[""]["open_so_for_invoice"] = "Open So For Invoice";
$tableCaptions[""]["open_so_for_project_management"] = "Open So For Project Management";
$tableCaptions[""]["open_backload"] = "Open Backload";
$tableCaptions[""]["purchase_order_receiving_detail"] = "Purchase Order Receiving Detail";
$tableCaptions[""]["debit_memo_detail"] = "Debit Memo Detail";
$tableCaptions[""]["issue"] = "Issue";
$tableCaptions[""]["journal_entry_cash_disbursement"] = "Journal Entry Cash Disbursement";
$tableCaptions[""]["Inventory_Balance_Report"] = "Inventory Balance Report";
$tableCaptions[""]["Purchase_Order_Receiving_Dashboard_Supplier"] = "Purchase Order Receiving Dashboard Supplier";
$tableCaptions[""]["avg_inv"] = "Avg Inv";
$tableCaptions[""]["open_backload_Report"] = "Open Backload Report";
$tableCaptions[""]["open_estimates_Report"] = "Open Estimates Report";
$tableCaptions[""]["open_po_Report"] = "Open Po Report";
$tableCaptions[""]["open_pr_Report"] = "Open Pr Report";
$tableCaptions[""]["open_production_request_Report"] = "Open Production Request Report";
$tableCaptions[""]["open_qc_Report"] = "Open Qc Report";
$tableCaptions[""]["open_so_for_project_management_Report"] = "Open So For Project Management Report";
$tableCaptions[""]["open_so_for_invoice_Report"] = "Open So For Invoice Report";
$tableCaptions[""]["open_so_Report"] = "Open So Report";
$tableCaptions[""]["open_receiving_Report"] = "Open Receiving Report";
$tableCaptions[""]["monthly_consuption_for_production_Report"] = "Monthly Consuption For Production Report";
$tableCaptions[""]["issue_components_for_approval"] = "Issue Components For Approval";
$tableCaptions[""]["issue_components_for_checking"] = "Issue Components For Checking";
$tableCaptions[""]["issue_components_detail_for_checking"] = "Issue Components Detail For Checking";
$tableCaptions[""]["issue_components_detail_for_approval"] = "Issue Components Detail For Approval";
$tableCaptions[""]["fieldwork_for_approval"] = "Fieldwork For Approval";
$tableCaptions[""]["fieldwork_for_checking"] = "Fieldwork For Checking";
$tableCaptions[""]["Purchases_Order_for_checking2"] = "Purchases Order For Checking2";
$tableCaptions[""]["Purchases_Order_for_checking"] = "Purchases Order For Checking";
$tableCaptions[""]["Purchases_Order_for_approval2"] = "Purchases Order For Approval2";
$tableCaptions[""]["Purchases_Order_for_approval"] = "Purchases Order For Approval";
$tableCaptions[""]["Receiving_for_checking2"] = "Receiving For Checking2";
$tableCaptions[""]["Receiving_for_checking"] = "Receiving For Checking";
$tableCaptions[""]["Receiving_for_approval2"] = "Receiving For Approval2";
$tableCaptions[""]["Receiving_for_approval"] = "Receiving For Approval";
$tableCaptions[""]["inventory_tranfer_Report"] = "Inventory Tranfer Report";
$tableCaptions[""]["Purchase_vs_Production_Report"] = "Purchase Vs Production Report";
$tableCaptions[""]["sales_report"] = "Sales Report";
$tableCaptions[""]["Sales_Report_per_Cost_Center"] = "Sales Report Per Cost Center";
$tableCaptions[""]["Sales_Report_per_BP"] = "Sales Report Per BP";
$tableCaptions[""]["cash_sales_Report"] = "Cash Sales Report";
$tableCaptions[""]["Center_Replenishment_for_approval"] = "Center Replenishment For Approval";
$tableCaptions[""]["Center_Replenishment_for_checking"] = "Center Replenishment For Checking";
$tableCaptions[""]["Purchase_vs_Production"] = "Purchase Vs Production";
$tableCaptions[""]["Production_Summary"] = "Production Summary";
$tableCaptions[""]["pending_production_request"] = "Pending Production Request";
$tableCaptions[""]["unbuild_assemblies_for_checking"] = "Unbuild Assemblies For Checking";
$tableCaptions[""]["unbuild_assemblies_for_approval"] = "Unbuild Assemblies For Approval";
$tableCaptions[""]["unbuild_assemblies_detail_for_checking"] = "Unbuild Assemblies Detail For Checking";
$tableCaptions[""]["quality_control_for_approval"] = "Quality Control For Approval";
$tableCaptions[""]["quality_control_for_checking"] = "Quality Control For Checking";
$tableCaptions[""]["quality_control_detail_for_approval"] = "Quality Control Detail For Approval";
$tableCaptions[""]["raw_cake_balance"] = "Raw Cake Balance";
$tableCaptions[""]["bal_cashreceipt"] = "Bal Cashreceipt";
$tableCaptions[""]["bal_cashpayment"] = "Bal Cashpayment";
$tableCaptions[""]["Calls_Report"] = "Calls Report";
$tableCaptions[""]["opportunity"] = "Opportunity";
$tableCaptions[""]["Current_Accounts"] = "Current Accounts";
$tableCaptions[""]["bal_lyl_acc"] = "Bal Lyl Acc";
$tableCaptions[""]["bal_lyl_glass"] = "Bal Lyl Glass";
$tableCaptions[""]["bal_lyl_eacc"] = "Bal Lyl Eacc";
$tableCaptions[""]["bal_lyl_allum"] = "Bal Lyl Allum";
$tableCaptions[""]["opportunity_details"] = "Opportunity Details";
$tableCaptions[""]["Collection_Report_per_Sales_Rep"] = "Collection Report Per Sales Rep";
$tableCaptions[""]["Aging_of_AR_Report_detail"] = "Aging Of AR Report Detail";
$tableCaptions[""]["PDC_Registry_Report"] = "PDC Registry Report";
$tableCaptions[""]["Aging_of_AP_Report_detail"] = "Aging Of AP Report Detail";
$tableCaptions[""]["Payment_per_Supplier_Report"] = "Payment Per Supplier Report";
$tableCaptions[""]["Inventory_per_Cost_center_Report"] = "Inventory Per Cost Center Report";
$tableCaptions[""]["Inventory_Below_Reorder_Point_Report"] = "Inventory Below Reorder Point Report";
$tableCaptions[""]["Inventory_Valuation_Report"] = "Inventory Valuation Report";
$tableCaptions[""]["Inventory_per_lot_no"] = "Inventory Per Lot No";
$tableCaptions[""]["Sales_Report_per_BP_detail"] = "Sales Report Per BP Detail";
$tableCaptions[""]["service_center"] = "Service Center";
$tableCaptions[""]["disposed"] = "Disposed";
$tableCaptions[""]["sales_order_detail"] = "Sales Order Detail";
$tableCaptions[""]["Sales_Report_per_Item"] = "Sales Report Per Item";
$tableCaptions[""]["Sales_Report_per_sales_rep"] = "Sales Report Per Sales Rep";
$tableCaptions[""]["recurring_deductions_detail"] = "Recurring Deductions Detail";
$tableCaptions[""]["Sales_Report_per_Cost_Center_detail"] = "Sales Report Per Cost Center Detail";
$tableCaptions[""]["Sales_Report_per_Item_detail"] = "Sales Report Per Item Detail";
$tableCaptions[""]["Purchase_Report"] = "Purchase Report";
$tableCaptions[""]["Purchase_Report_per_BP"] = "Purchase Report Per BP";
$tableCaptions[""]["Purchase_Report_per_BP_detail"] = "Purchase Report Per BP Detail";
$tableCaptions[""]["Purchase_Report_per_Cost_Center"] = "Purchase Report Per Cost Center";
$tableCaptions[""]["Purchase_Report_per_Cost_Center_detail"] = "Purchase Report Per Cost Center Detail";
$tableCaptions[""]["Purchase_Report_per_Item"] = "Purchase Report Per Item";
$tableCaptions[""]["Purchase_Report_per_Item_detail"] = "Purchase Report Per Item Detail";
$tableCaptions[""]["Available_Vehicles"] = "Available Vehicles";
$tableCaptions[""]["Trip_Ticket_Report"] = "Trip Ticket Report";
$tableCaptions[""]["DR_Reports"] = "DR Reports";
$tableCaptions[""]["SO_for_Billing_Report"] = "SO For Billing Report";
$tableCaptions[""]["For_Billing_report"] = "For Billing Report";
$tableCaptions[""]["Billing_due_dates_Report"] = "Billing Due Dates Report";
$tableCaptions[""]["Packing_List_Report"] = "Packing List Report";
$tableCaptions[""]["Purchase_Request_Report"] = "Purchase Request Report";
$tableCaptions[""]["Leave_Ledger_Report"] = "Leave Ledger Report";
$tableCaptions[""]["Leave_Summary"] = "Leave Summary";
$tableCaptions[""]["Employee_Leave_History"] = "Employee Leave History";
$tableCaptions[""]["Employee_Register"] = "Employee Register";
$tableCaptions[""]["Overtime_Summary_Report"] = "Overtime Summary Report";
$tableCaptions[""]["sales_order_for_project_mngmt"] = "Sales Order For Project Mngmt";
$tableCaptions[""]["Sales_Order_per_Campaign_Report_marketing"] = "Sales Order Per Campaign Report Marketing";
$tableCaptions[""]["Sales_by_Account"] = "Sales By Account";
$tableCaptions[""]["Sales_by_Lead_Source"] = "Sales By Lead Source";
$tableCaptions[""]["Sales_by_Partner"] = "Sales By Partner";
$tableCaptions[""]["Sales_by_Rep"] = "Sales By Rep";
$tableCaptions[""]["Opportunity_Schedule"] = "Opportunity Schedule";
$tableCaptions[""]["marketing_request_form_for_checking"] = "Marketing Request Form For Checking";
$tableCaptions[""]["marketing_request_form_for_approval"] = "Marketing Request Form For Approval";
$tableCaptions[""]["Expense_per_Project_Report"] = "Expense Per Project Report";
$tableCaptions[""]["Accounts_Payable_Dashboard"] = "Accounts Payable Dashboard";
$tableCaptions[""]["Sales_per_campaign_Report_marketing"] = "Sales Per Campaign Report Marketing";
$tableCaptions[""]["Campaign_Revenue"] = "Campaign Revenue";
$tableCaptions[""]["Campaign_Contacts"] = "Campaign Contacts";
$tableCaptions[""]["Closed_Opportunities"] = "Closed Opportunities";
$tableCaptions[""]["Next_Action_Report"] = "Next Action Report";
$tableCaptions[""]["Totals_Open_Cases_by_Agent"] = "Totals Open Cases By Agent";
$tableCaptions[""]["201"] = "201";
$tableCaptions[""]["Cashflow_forcast"] = "Cashflow Forcast";
$tableCaptions[""]["Business_Owner_Sales_Report"] = "Business Owner Sales Report";
$tableCaptions[""]["Business_Owner_Purchase_Report"] = "Business Owner Purchase Report";
$tableCaptions[""]["Business_Owner_Cash_Balance"] = "Business Owner Cash Balance";
$tableCaptions[""]["Business_Owner_Top_Customer_Income"] = "Business Owner Top Customer Income";
$tableCaptions[""]["AR_Billing_due_dates_Report"] = "AR Billing Due Dates Report";
$tableCaptions[""]["AR_Aging_of_AR_Report"] = "AR Aging Of AR Report";
$tableCaptions[""]["AR_Top_5_Customer_balances"] = "AR Top 5 Customer Balances";
$tableCaptions[""]["AR_Progress_Billing_Alert"] = "AR Progress Billing Alert";
$tableCaptions[""]["Account_Receivable_Dashboard"] = "Account Receivable Dashboard";
$tableCaptions[""]["Finance_Cash_Balance"] = "Finance Cash Balance";
$tableCaptions[""]["Finance_approved_request_for_payment"] = "Finance Approved Request For Payment";
$tableCaptions[""]["Finance_Cash_flow_forcast"] = "Finance Cash Flow Forcast";
$tableCaptions[""]["Finance_Approved_Employee_Loan"] = "Finance Approved Employee Loan";
$tableCaptions[""]["Finance_Cash_Balances"] = "Finance Cash Balances";
$tableCaptions[""]["AP_Aging_of_Payables"] = "AP Aging Of Payables";
$tableCaptions[""]["Purchasing_Item_below_reorder"] = "Purchasing Item Below Reorder";
$tableCaptions[""]["production_per_item"] = "Production Per Item";
$tableCaptions[""]["AP_Top_5_Supplier_balances"] = "AP Top 5 Supplier Balances";
$tableCaptions[""]["Warehouse_Item_balances"] = "Warehouse Item Balances";
$tableCaptions[""]["DR_per_Item"] = "DR Per Item";
$tableCaptions[""]["Open_Trip_Ticket_Report"] = "Open Trip Ticket Report";
$tableCaptions[""]["Logistic_Open_Trip_Ticket"] = "Logistic Open Trip Ticket";
$tableCaptions[""]["Logistic_Available_Vehicles"] = "Logistic Available Vehicles";
$tableCaptions[""]["Marketing_Open_Campaign"] = "Marketing Open Campaign";
$tableCaptions[""]["Marketing_Sales_per_campaign"] = "Marketing Sales Per Campaign";
$tableCaptions[""]["Open_Case_Report_s"] = "Open Case Report S";
$tableCaptions[""]["Support_Open_Case_Report"] = "Support Open Case Report";
$tableCaptions[""]["Support_Service_center"] = "Support Service Center";
$tableCaptions[""]["Meeting_Report"] = "Meeting Report";
$tableCaptions[""]["Sale_Meeting_Report"] = "Sale Meeting Report";
$tableCaptions[""]["Sales_Next_Action_Report"] = "Sales Next Action Report";
$tableCaptions[""]["HR_attendance_summary"] = "HR Attendance Summary";
$tableCaptions[""]["HR_Birthday_Alert"] = "HR Birthday Alert";
$tableCaptions[""]["HR_holiday"] = "HR Holiday";
$tableCaptions[""]["Project_Expense_per_Project"] = "Project Expense Per Project";
$tableCaptions[""]["Project_Expense_per_Project_graph"] = "Project Expense Per Project Graph";
$tableCaptions[""]["Petty_Cash_Balance"] = "Petty Cash Balance";
$tableCaptions[""]["Petty_Cash_Unliquidated"] = "Petty Cash Unliquidated";
$tableCaptions[""]["Petty_Cash_Purchases_per_Item"] = "Petty Cash Purchases Per Item";
$tableCaptions[""]["Petty_Cash_Dashboard"] = "Petty Cash Dashboard";
$tableCaptions[""]["Accounting_Income_per_Center"] = "Accounting Income Per Center";
$tableCaptions[""]["open_quote_Report"] = "Open Quote Report";
$tableCaptions[""]["Open_cases_per_agent"] = "Open Cases Per Agent";
$tableCaptions[""]["Marketing_sales_per_campaing_chart"] = "Marketing Sales Per Campaing Chart";
$tableCaptions[""]["Logistics_Dashboard"] = "Logistics Dashboard";
$tableCaptions[""]["Accounting_Dashboard"] = "Accounting Dashboard";
$tableCaptions[""]["AP_open_po_receiving"] = "AP Open Po Receiving";
$tableCaptions[""]["Item_Balances_Report_invw"] = "Item Balances Report Invw";
$tableCaptions[""]["Production_Inventory_Balance_Report"] = "Production Inventory Balance Report";
$tableCaptions[""]["Production_WIP"] = "Production WIP";
$tableCaptions[""]["Warehouse_Dashboard"] = "Warehouse Dashboard";
$tableCaptions[""]["Warehouse_Inventory_Balance_Report"] = "Warehouse Inventory Balance Report";
$tableCaptions[""]["logistic_open_inventory_tranfer"] = "Logistic Open Inventory Tranfer";
$tableCaptions[""]["Sales_Leads"] = "Sales Leads";
$tableCaptions[""]["Sales_opportunity_Next_Action"] = "Sales Opportunity Next Action";
$tableCaptions[""]["Sales_Active_opportunity"] = "Sales Active Opportunity";
$tableCaptions[""]["intercompany_sales_order_detail"] = "Intercompany Sales Order Detail";
$tableCaptions[""]["intercompany_sales_order"] = "Intercompany Sales Order";
$tableCaptions[""]["production_detail"] = "Production Detail";
$tableCaptions[""]["quality_control_detail_for_checking"] = "Quality Control Detail For Checking";
$tableCaptions[""]["lyl_estimate_for_approval"] = "Lyl Estimate For Approval";
$tableCaptions[""]["lyl_estimate_dr_for_approval"] = "Lyl Estimate Dr For Approval";
$tableCaptions[""]["lyl_estimate_detail_for_approval"] = "Lyl Estimate Detail For Approval";
$tableCaptions[""]["lyl_estimate_detail_accessories_for_approval"] = "Lyl Estimate Detail Accessories For Approval";
$tableCaptions[""]["lyl_estimate_detail_aluminum_for_approval"] = "Lyl Estimate Detail Aluminum For Approval";
$tableCaptions[""]["lyl_estimate_detail_e_accessories_for_approval"] = "Lyl Estimate Detail E Accessories For Approval";
$tableCaptions[""]["lyl_estimate_detail_glass_for_approval"] = "Lyl Estimate Detail Glass For Approval";
$tableCaptions[""]["lyl_estimate_dr_detail_for_approval"] = "Lyl Estimate Dr Detail For Approval";
$tableCaptions[""]["lyl_estimate_dr_detail_accessories_for_approval"] = "Lyl Estimate Dr Detail Accessories For Approval";
$tableCaptions[""]["lyl_estimate_dr_detail_aluminum_for_approval"] = "Lyl Estimate Dr Detail Aluminum For Approval";
$tableCaptions[""]["lyl_estimate_dr_detail_e_accessories_for_approval"] = "Lyl Estimate Dr Detail E Accessories For Approval";
$tableCaptions[""]["lyl_estimate_dr_detail_glass_for_approval"] = "Lyl Estimate Dr Detail Glass For Approval";
$tableCaptions[""]["lyl_estimate_for_checking"] = "Lyl Estimate For Checking";
$tableCaptions[""]["lyl_estimate_detail_for_checking"] = "Lyl Estimate Detail For Checking";
$tableCaptions[""]["lyl_estimate_detail_accessories_for_checking"] = "Lyl Estimate Detail Accessories For Checking";
$tableCaptions[""]["lyl_estimate_detail_aluminum_for_checking"] = "Lyl Estimate Detail Aluminum For Checking";
$tableCaptions[""]["lyl_estimate_detail_e_accessories_for_checking"] = "Lyl Estimate Detail E Accessories For Checking";
$tableCaptions[""]["lyl_estimate_detail_glass_for_checking"] = "Lyl Estimate Detail Glass For Checking";
$tableCaptions[""]["lyl_estimate_dr_for_checking"] = "Lyl Estimate Dr For Checking";
$tableCaptions[""]["lyl_estimate_dr_detail_for_checking"] = "Lyl Estimate Dr Detail For Checking";
$tableCaptions[""]["lyl_estimate_dr_detail_accessories_for_checking"] = "Lyl Estimate Dr Detail Accessories For Checking";
$tableCaptions[""]["lyl_estimate_dr_detail_aluminum_for_checking"] = "Lyl Estimate Dr Detail Aluminum For Checking";
$tableCaptions[""]["lyl_estimate_dr_detail_e_accessories_for_checking"] = "Lyl Estimate Dr Detail E Accessories For Checking";
$tableCaptions[""]["lyl_estimate_dr_detail_glass_for_checking"] = "Lyl Estimate Dr Detail Glass For Checking";
$tableCaptions[""]["EWT_Certificates_summay"] = "EWT Certificates Summay";
$tableCaptions[""]["repairs_and_maintenance_detail"] = "Repairs And Maintenance Detail";
$tableCaptions[""]["1601e"] = "1601e";
$tableCaptions[""]["1601eform"] = "1601eform";
$tableCaptions[""]["1601fform"] = "1601fform";
$tableCaptions[""]["tax_person_status"] = "Tax Person Status";
$tableCaptions[""]["cash_receipt_detail"] = "Collections";
$tableCaptions[""]["cash_receipt_detail2"] = "Cash Sales";
$tableCaptions[""]["general_journal_detail"] = "General Journal Detail";
$tableCaptions[""]["Credit_Card_monitoring"] = "Credit Card Monitoring";
$tableCaptions[""]["Purchase_Import_Costing"] = "Purchase Import Costing";
$tableCaptions[""]["journal_entry_inv_transfer"] = "Journal Entry Inv Transfer";
$tableCaptions[""]["Recon_deposit"] = "Deposits";
$tableCaptions[""]["Recon_withdraw"] = "Recon Withdraw";
$tableCaptions[""]["deposit_detail"] = "Deposit Detail";
$tableCaptions[""]["deposit_detail_for_checking"] = "Details";
$tableCaptions[""]["deposit_detail_for_approval"] = "Details";
$tableCaptions[""]["lot"] = "Lot";
$tableCaptions[""]["serial_no"] = "Serial No";
$tableCaptions[""]["request_for_quote"] = "Request For Quote";
$tableCaptions[""]["request_for_quoter_detail"] = "Request For Quoter Detail";
$tableCaptions[""]["credit_sales_detail_for_checking"] = "Details";
$tableCaptions[""]["credit_sales_detail_for_approval"] = "Details";
$tableCaptions[""]["bank_recon"] = "Bank Reconciliation";
$tableCaptions[""]["request_for_quote_for_checking"] = "Request For Quote For Checking";
$tableCaptions[""]["request_for_quote_for_approval"] = "Request For Quote For Approval";
$tableCaptions[""]["request_for_quoter_detail_for_checking"] = "Request For Quoter Detail For Checking";
$tableCaptions[""]["request_for_quoter_detail_for_approval"] = "Request For Quoter Detail For Approval";
$tableCaptions[""]["estimate_cost"] = "Estimate Cost";
$tableCaptions[""]["sales_order_materials_detail"] = "Sales Order Materials Detail";
$tableCaptions[""]["airlines"] = "Airlines";
$tableCaptions[""]["airport"] = "Airport";
$tableCaptions[""]["inco_terms"] = "Inco Terms";
$tableCaptions[""]["seaports"] = "Seaports";
$tableCaptions[""]["shipment_classification"] = "Shipment Classification";
$tableCaptions[""]["shipping_lines"] = "Shipping Lines";
$tableCaptions[""]["bal_sales_order_detail"] = "Bal Sales Order Detail";
$tableCaptions[""]["project_cont_seal"] = "Project Cont Seal";
$tableCaptions[""]["project_house"] = "Project House";
$tableCaptions[""]["billable_liquidation"] = "Billable Liquidation";
$tableCaptions[""]["billable_pettycash"] = "Billable Pettycash";
$tableCaptions[""]["billable_checkvoucher"] = "Billable Checkvoucher";
$tableCaptions[""]["projects_dashboard"] = "Projects Dashboard";
$tableCaptions[""]["employees"] = "Employees";
$tableCaptions[""]["reimbursement_detail"] = "Employee Advance Detail";
$tableCaptions[""]["admin_rights"] = "Admin Rights";
$tableCaptions[""]["admin_members"] = "Admin Members";
$tableCaptions[""]["admin_users"] = "Admin Users";
$tableCaptions[""]["company"] = "Company";
$tableCaptions[""]["notifiy_quotation_Report"] = "notifiy quotation Report";
$tableCaptions[""]["expenses_Report"] = "Expenses Report";
$tableCaptions[""]["petty_cash_release"] = "petty cash release";
$tableCaptions[""]["petty_cash_replenishment"] = "petty cash replenishment";
$tableCaptions[""]["Employee_Advance_Release"] = "Employee Advance Release";
$tableCaptions[""]["Employee_Advance_Replenishment"] = "Employee Advance Replenishment";
$tableCaptions[""]["Liquidation_Release"] = "Liquidation Release";
$tableCaptions[""]["Liquidation_Replenishment"] = "Liquidation Replenishment";
$tableCaptions[""]["Billable_Cost_Report"] = "Billable Cost Report";
$tableCaptions[""]["centerrep_pettycash"] = "Centerrep Pettycash";
$tableCaptions[""]["centerrep_empadvance"] = "Centerrep Empadvance";
$tableCaptions[""]["centerrep_liquidation"] = "Centerrep Liquidation";
$tableCaptions[""]["replenishment_pettycash"] = "Replenishment Pettycash";
$tableCaptions[""]["replenishment_liquidation"] = "Replenishment Liquidation";
$tableCaptions[""]["replenishment_empadv"] = "Replenishment Empadv";
$tableCaptions[""]["bank_statement"] = "Bank Statement";
$tableCaptions[""]["other_charges"] = "Other Charges";
$tableCaptions[""]["change_password"] = "Change Password";
$tableCaptions[""]["Outstanding_Checks_Report"] = "Outstanding Checks Report";
$tableCaptions[""]["project_liquidation_detail2"] = "Project Liquidation Detail2";
$tableCaptions[""]["balance_advance"] = "Balance Advance";
$tableCaptions[""]["project_replenishment_deposited"] = "Project Replenishment Deposited";
$tableCaptions[""]["journal_entry_cash_receipt"] = "Journal Entry Cash Receipt";
$tableCaptions[""]["journal_entry_center_replenishment"] = "Journal Entry Center Replenishment";
$tableCaptions[""]["journal_entry_credit_memo"] = "Journal Entry Credit Memo";
$tableCaptions[""]["journal_entry_debit_memo"] = "Journal Entry Debit Memo";
$tableCaptions[""]["journal_entry_deposit"] = "Journal Entry Deposit";
$tableCaptions[""]["journal_entry_depreciation"] = "Journal Entry Depreciation";
$tableCaptions[""]["journal_entry_general_journal"] = "Journal Entry General Journal";
$tableCaptions[""]["journal_entry_inventory_adjustment"] = "Journal Entry Inventory Adjustment";
$tableCaptions[""]["journal_entry_petty_cash"] = "Journal Entry Petty Cash";
$tableCaptions[""]["journal_entry_production"] = "Journal Entry Production";
$tableCaptions[""]["journal_entry_project_replenishment"] = "Journal Entry Project Replenishment";
$tableCaptions[""]["journal_entry_purchases"] = "Journal Entry Purchases";
$tableCaptions[""]["journal_entry_replenishment"] = "Journal Entry Replenishment";
$tableCaptions[""]["journal_entry_service_revenue"] = "Journal Entry Service Revenue";
$tableCaptions[""]["journal_ppe_disposal"] = "Journal Ppe Disposal";
$tableCaptions[""]["bal_center_replenishment"] = "Bal Center Replenishment";
$tableCaptions[""]["Project_and_Pettycash_Report"] = "Project and Pettycash Report";
$tableCaptions[""]["Project_and_EmpAdv_Report"] = "Project and EmpAdv Report";
$tableCaptions[""]["Project_and_Liquidation_Report"] = "Project and Liquidation Report";
$tableCaptions[""]["Project_and_Sales_Report"] = "Project and Sales Report";
$tableCaptions[""]["Project_and_Voucher_Report"] = "Project and Voucher Report";
$tableCaptions[""]["projects_view"] = "Projects View";
$tableCaptions[""]["projects_lite"] = "Projects Lite";
$tableCaptions[""]["shipping_date"] = "Shipping Date";
$tableCaptions[""]["entry_detail_sales"] = "Entry Detail Sales";
$tableCaptions[""]["entry_detail_pettycash"] = "Entry Detail Pettycash";
$tableCaptions[""]["entry_detail_cash_disbursement"] = "Entry Detail Cash Disbursement";
$tableCaptions[""]["representative"] = "Representative";
$tableCaptions[""]["sales_sub_invoice"] = "Sales Sub Invoice";
$tableCaptions[""]["search_cash_disbursement"] = "Search Cash Disbursement";
$tableCaptions[""]["Recon_CV"] = "Check Vouchers";
$tableCaptions[""]["Recon_GV_dep"] = "General Journal Receipts";
$tableCaptions[""]["Recon_GV_CV"] = "General Journal Payments";
$tableCaptions[""]["Deposit_Report"] = "Deposit Report";
$tableCaptions[""]["Deposit_in_transit_Report"] = "Deposit In Transit Report";
$tableCaptions[""]["recon_CR"] = "Cash Receipt";
$tableCaptions[""]["sales_business_partner"] = "Sales Business Partner";
$tableCaptions[""]["canvas"] = "Canvas";
$tableCaptions[""]["canvas_detail"] = "Canvas Detail";
$tableCaptions[""]["request_for_payment"] = "Request For Payment";
$tableCaptions[""]["request_for_payment_detail"] = "Request For Payment Detail";
$tableCaptions[""]["po_netpr"] = "Po Netpr";
$tableCaptions[""]["request_for_payment_imp"] = "Request For Payment Imp";
$tableCaptions[""]["birsalesrelief"] = "Birsalesrelief";


$globalEvents = new class_GlobalEvents;
$tableEvents = array();

include(getabspath('classes/security.php'));
include( getabspath("connections/dbfunctions_legacy.php") ); 
include( getabspath("connections/ConnectionManager.php") ); 
$cman = new ConnectionManager();

$mlang_defaultlang = getDefaultLanguage();



$page_titles[".global"] = array();
if(mlang_getcurrentlang()=="English")
{
}
if(mlang_getcurrentlang()=="")
{
}

$globalSettings["showDetailedError"] = true;


// default connection link #9875
$conn = $cman->getDefault()->conn;

$logoutPerformed = false;
$scriptname = getFileNameFromURL();
	if(!isLogged() && $scriptname!="login.php" && $scriptname!="remind.php" && $scriptname!="register.php")
{
	Security::doGuestLogin();
}



$isGroupSecurity = true;

$isUseRTEBasic = true;

$isUseRTECK = false;

$isUseRTEInnova = false;

$caseInsensitiveUsername = 0;

include(getabspath('classes/projectsettings.php'));
include_once(getabspath('classes/runnerpage.php'));
include_once(getabspath("classes/controls/ViewControl.php"));

?>