<?php
function DisplayMasterTableInfo_lyl_estimate_detail($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "lyl_estimate_detail";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "lyl_estimate_detail_aluminum")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_detail","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_detail_accessories")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_detail","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_detail_e_accessories")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_detail","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_detail_glass")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_detail","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Qty_mastervalue", $viewControls->showDBValue("Qty", $data, $keylink));
	$format = $settings->getViewFormat("Qty");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Qty")))
		$class = ' rnr-field-number';
		
	$xt->assign("Qty_class", $class); // add class for field header as field value
	$xt->assign("Description_mastervalue", $viewControls->showDBValue("Description", $data, $keylink));
	$format = $settings->getViewFormat("Description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Description")))
		$class = ' rnr-field-number';
		
	$xt->assign("Description_class", $class); // add class for field header as field value
	$xt->assign("Price_mastervalue", $viewControls->showDBValue("Price", $data, $keylink));
	$format = $settings->getViewFormat("Price");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Price")))
		$class = ' rnr-field-number';
		
	$xt->assign("Price_class", $class); // add class for field header as field value
	$xt->assign("Amount_mastervalue", $viewControls->showDBValue("Amount", $data, $keylink));
	$format = $settings->getViewFormat("Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Amount_class", $class); // add class for field header as field value
	$xt->assign("picture_mastervalue", "<span class='rnr-field-file'>".$viewControls->showDBValue("picture", $data, $keylink)."</span>");
	$format = $settings->getViewFormat("picture");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("picture")))
		$class = ' rnr-field-number';
		
	$xt->assign("picture_class", $class); // add class for field header as field value
	$xt->assign("location_mastervalue", $viewControls->showDBValue("location", $data, $keylink));
	$format = $settings->getViewFormat("location");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("location")))
		$class = ' rnr-field-number';
		
	$xt->assign("location_class", $class); // add class for field header as field value
	$xt->assign("size_mastervalue", $viewControls->showDBValue("size", $data, $keylink));
	$format = $settings->getViewFormat("size");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("size")))
		$class = ' rnr-field-number';
		
	$xt->assign("size_class", $class); // add class for field header as field value
	$xt->assign("quotation_description_mastervalue", $viewControls->showDBValue("quotation_description", $data, $keylink));
	$format = $settings->getViewFormat("quotation_description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("quotation_description")))
		$class = ' rnr-field-number';
		
	$xt->assign("quotation_description_class", $class); // add class for field header as field value
	$xt->assign("markup1_mastervalue", $viewControls->showDBValue("markup1", $data, $keylink));
	$format = $settings->getViewFormat("markup1");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("markup1")))
		$class = ' rnr-field-number';
		
	$xt->assign("markup1_class", $class); // add class for field header as field value
	$xt->assign("markup2_mastervalue", $viewControls->showDBValue("markup2", $data, $keylink));
	$format = $settings->getViewFormat("markup2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("markup2")))
		$class = ' rnr-field-number';
		
	$xt->assign("markup2_class", $class); // add class for field header as field value
	$xt->assign("total_quotation_mastervalue", $viewControls->showDBValue("total_quotation", $data, $keylink));
	$format = $settings->getViewFormat("total_quotation");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_quotation")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_quotation_class", $class); // add class for field header as field value
	$xt->assign("rounded_quotation_mastervalue", $viewControls->showDBValue("rounded_quotation", $data, $keylink));
	$format = $settings->getViewFormat("rounded_quotation");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("rounded_quotation")))
		$class = ' rnr-field-number';
		
	$xt->assign("rounded_quotation_class", $class); // add class for field header as field value
	$xt->assign("alluminum_mastervalue", $viewControls->showDBValue("alluminum", $data, $keylink));
	$format = $settings->getViewFormat("alluminum");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("alluminum")))
		$class = ' rnr-field-number';
		
	$xt->assign("alluminum_class", $class); // add class for field header as field value
	$xt->assign("accssories_mastervalue", $viewControls->showDBValue("accssories", $data, $keylink));
	$format = $settings->getViewFormat("accssories");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("accssories")))
		$class = ' rnr-field-number';
		
	$xt->assign("accssories_class", $class); // add class for field header as field value
	$xt->assign("e_accessories_mastervalue", $viewControls->showDBValue("e_accessories", $data, $keylink));
	$format = $settings->getViewFormat("e_accessories");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("e_accessories")))
		$class = ' rnr-field-number';
		
	$xt->assign("e_accessories_class", $class); // add class for field header as field value
	$xt->assign("glass_mastervalue", $viewControls->showDBValue("glass", $data, $keylink));
	$format = $settings->getViewFormat("glass");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("glass")))
		$class = ' rnr-field-number';
		
	$xt->assign("glass_class", $class); // add class for field header as field value

	$layout = GetPageLayout("lyl_estimate_detail", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("lyl_estimate_detail", "masterlist"));
}

?>