<?php
function DisplayMasterTableInfo_lyl_estimate_dr_detail_for_checking($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "lyl_estimate_dr_detail_for_checking";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "lyl_estimate_dr_detail_accessories_for_checking")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_dr_detail_for_checking","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_dr_detail_aluminum_for_checking")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_dr_detail_for_checking","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_dr_detail_e_accessories_for_checking")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_dr_detail_for_checking","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "lyl_estimate_dr_detail_glass_for_checking")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("lyl_estimate_dr_detail_for_checking","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Qty_mastervalue", $viewControls->showDBValue("Qty", $data, $keylink));
	$format = $settings->getViewFormat("Qty");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Qty")))
		$class = ' rnr-field-number';
		
	$xt->assign("Qty_class", $class); // add class for field header as field value
	$xt->assign("Item_mastervalue", $viewControls->showDBValue("Item", $data, $keylink));
	$format = $settings->getViewFormat("Item");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Item")))
		$class = ' rnr-field-number';
		
	$xt->assign("Item_class", $class); // add class for field header as field value
	$xt->assign("Account_mastervalue", $viewControls->showDBValue("Account", $data, $keylink));
	$format = $settings->getViewFormat("Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Account_class", $class); // add class for field header as field value
	$xt->assign("Description_mastervalue", $viewControls->showDBValue("Description", $data, $keylink));
	$format = $settings->getViewFormat("Description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Description")))
		$class = ' rnr-field-number';
		
	$xt->assign("Description_class", $class); // add class for field header as field value
	$xt->assign("location_mastervalue", $viewControls->showDBValue("location", $data, $keylink));
	$format = $settings->getViewFormat("location");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("location")))
		$class = ' rnr-field-number';
		
	$xt->assign("location_class", $class); // add class for field header as field value
	$xt->assign("size_mastervalue", $viewControls->showDBValue("size", $data, $keylink));
	$format = $settings->getViewFormat("size");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("size")))
		$class = ' rnr-field-number';
		
	$xt->assign("size_class", $class); // add class for field header as field value
	$xt->assign("quotation_description_mastervalue", $viewControls->showDBValue("quotation_description", $data, $keylink));
	$format = $settings->getViewFormat("quotation_description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("quotation_description")))
		$class = ' rnr-field-number';
		
	$xt->assign("quotation_description_class", $class); // add class for field header as field value
	$xt->assign("estimate_detail_id_mastervalue", $viewControls->showDBValue("estimate_detail_id", $data, $keylink));
	$format = $settings->getViewFormat("estimate_detail_id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("estimate_detail_id")))
		$class = ' rnr-field-number';
		
	$xt->assign("estimate_detail_id_class", $class); // add class for field header as field value

	$layout = GetPageLayout("lyl_estimate_dr_detail_for_checking", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("lyl_estimate_dr_detail_for_checking", "masterlist"));
}

?>