<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/purchase_request_detail_for_checking_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["purchase_request_detail_for_checking_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "Purchase_Request_for_checking")
{
	$where = "";
		$formattedValue = make_db_value("TXNID",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	
	//	Qty - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Qty", $data, $keylink);
			$row["Qty_value"] = $value;
			$format = $pSet->getViewFormat("Qty");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Qty")))
				$class = ' rnr-field-number';
			$row["Qty_class"] = $class;
	//	Item - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Item", $data, $keylink);
			$row["Item_value"] = $value;
			$format = $pSet->getViewFormat("Item");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Item")))
				$class = ' rnr-field-number';
			$row["Item_class"] = $class;
	//	Account - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Account", $data, $keylink);
			$row["Account_value"] = $value;
			$format = $pSet->getViewFormat("Account");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Account")))
				$class = ' rnr-field-number';
			$row["Account_class"] = $class;
	//	Description - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Description", $data, $keylink);
			$row["Description_value"] = $value;
			$format = $pSet->getViewFormat("Description");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Description")))
				$class = ' rnr-field-number';
			$row["Description_class"] = $class;
	//	Price - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Price", $data, $keylink);
			$row["Price_value"] = $value;
			$format = $pSet->getViewFormat("Price");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Price")))
				$class = ' rnr-field-number';
			$row["Price_class"] = $class;
	//	Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Amount", $data, $keylink);
			$row["Amount_value"] = $value;
			$format = $pSet->getViewFormat("Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Amount")))
				$class = ' rnr-field-number';
			$row["Amount_class"] = $class;
	//	VAT_Type - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("VAT_Type", $data, $keylink);
			$row["VAT_Type_value"] = $value;
			$format = $pSet->getViewFormat("VAT_Type");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("VAT_Type")))
				$class = ' rnr-field-number';
			$row["VAT_Type_class"] = $class;
	//	VAT_Rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("VAT_Rate", $data, $keylink);
			$row["VAT_Rate_value"] = $value;
			$format = $pSet->getViewFormat("VAT_Rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("VAT_Rate")))
				$class = ' rnr-field-number';
			$row["VAT_Rate_class"] = $class;
	//	Subsidiary - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Subsidiary", $data, $keylink);
			$row["Subsidiary_value"] = $value;
			$format = $pSet->getViewFormat("Subsidiary");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Subsidiary")))
				$class = ' rnr-field-number';
			$row["Subsidiary_class"] = $class;
	//	Vat_Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Vat_Amount", $data, $keylink);
			$row["Vat_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Vat_Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Vat_Amount")))
				$class = ' rnr-field-number';
			$row["Vat_Amount_class"] = $class;
	//	Cost_Center - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Cost_Center", $data, $keylink);
			$row["Cost_Center_value"] = $value;
			$format = $pSet->getViewFormat("Cost_Center");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Cost_Center")))
				$class = ' rnr-field-number';
			$row["Cost_Center_class"] = $class;
	//	um - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("um", $data, $keylink);
			$row["um_value"] = $value;
			$format = $pSet->getViewFormat("um");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("um")))
				$class = ' rnr-field-number';
			$row["um_class"] = $class;
	//	supplier1 - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("supplier1", $data, $keylink);
			$row["supplier1_value"] = $value;
			$format = $pSet->getViewFormat("supplier1");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("supplier1")))
				$class = ' rnr-field-number';
			$row["supplier1_class"] = $class;
	//	price1 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("price1", $data, $keylink);
			$row["price1_value"] = $value;
			$format = $pSet->getViewFormat("price1");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("price1")))
				$class = ' rnr-field-number';
			$row["price1_class"] = $class;
	//	supplier2 - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("supplier2", $data, $keylink);
			$row["supplier2_value"] = $value;
			$format = $pSet->getViewFormat("supplier2");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("supplier2")))
				$class = ' rnr-field-number';
			$row["supplier2_class"] = $class;
	//	price2 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("price2", $data, $keylink);
			$row["price2_value"] = $value;
			$format = $pSet->getViewFormat("price2");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("price2")))
				$class = ' rnr-field-number';
			$row["price2_class"] = $class;
	//	supplier3 - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("supplier3", $data, $keylink);
			$row["supplier3_value"] = $value;
			$format = $pSet->getViewFormat("supplier3");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("supplier3")))
				$class = ' rnr-field-number';
			$row["supplier3_class"] = $class;
	//	price3 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("price3", $data, $keylink);
			$row["price3_value"] = $value;
			$format = $pSet->getViewFormat("price3");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("price3")))
				$class = ' rnr-field-number';
			$row["price3_class"] = $class;
	//	winning_supplier - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("winning_supplier", $data, $keylink);
			$row["winning_supplier_value"] = $value;
			$format = $pSet->getViewFormat("winning_supplier");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("winning_supplier")))
				$class = ' rnr-field-number';
			$row["winning_supplier_class"] = $class;
	//	approved_supplier - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("approved_supplier", $data, $keylink);
			$row["approved_supplier_value"] = $value;
			$format = $pSet->getViewFormat("approved_supplier");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("approved_supplier")))
				$class = ' rnr-field-number';
			$row["approved_supplier_class"] = $class;
	//	approved_price - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("approved_price", $data, $keylink);
			$row["approved_price_value"] = $value;
			$format = $pSet->getViewFormat("approved_price");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("approved_price")))
				$class = ' rnr-field-number';
			$row["approved_price_class"] = $class;
	//	approved_wining_amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("approved_wining_amount", $data, $keylink);
			$row["approved_wining_amount_value"] = $value;
			$format = $pSet->getViewFormat("approved_wining_amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("approved_wining_amount")))
				$class = ' rnr-field-number';
			$row["approved_wining_amount_class"] = $class;
	//	balance - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("balance", $data, $keylink);
			$row["balance_value"] = $value;
			$format = $pSet->getViewFormat("balance");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("balance")))
				$class = ' rnr-field-number';
			$row["balance_class"] = $class;
	//	purpose - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("purpose", $data, $keylink);
			$row["purpose_value"] = $value;
			$format = $pSet->getViewFormat("purpose");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("purpose")))
				$class = ' rnr-field-number';
			$row["purpose_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("purchase_request_detail_for_checking", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>