<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/request_for_quote_for_approval_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["request_for_quote_for_approval_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "request_for_quoter_detail_for_approval")
{
	$where = "";
		$formattedValue = make_db_value("TXNID",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	
	//	TXNID - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("TXNID", $data, $keylink);
			$row["TXNID_value"] = $value;
			$format = $pSet->getViewFormat("TXNID");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("TXNID")))
				$class = ' rnr-field-number';
			$row["TXNID_class"] = $class;
	//	Transadate - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Transadate", $data, $keylink);
			$row["Transadate_value"] = $value;
			$format = $pSet->getViewFormat("Transadate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Transadate")))
				$class = ' rnr-field-number';
			$row["Transadate_class"] = $class;
	//	Business_Partner - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Business_Partner", $data, $keylink);
			$row["Business_Partner_value"] = $value;
			$format = $pSet->getViewFormat("Business_Partner");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Business_Partner")))
				$class = ' rnr-field-number';
			$row["Business_Partner_class"] = $class;
	//	Terms_Discount_percent - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Terms_Discount_percent", $data, $keylink);
			$row["Terms_Discount_percent_value"] = $value;
			$format = $pSet->getViewFormat("Terms_Discount_percent");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Terms_Discount_percent")))
				$class = ' rnr-field-number';
			$row["Terms_Discount_percent_class"] = $class;
	//	Terms_Discount_days - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Terms_Discount_days", $data, $keylink);
			$row["Terms_Discount_days_value"] = $value;
			$format = $pSet->getViewFormat("Terms_Discount_days");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Terms_Discount_days")))
				$class = ' rnr-field-number';
			$row["Terms_Discount_days_class"] = $class;
	//	Terms_due_date - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Terms_due_date", $data, $keylink);
			$row["Terms_due_date_value"] = $value;
			$format = $pSet->getViewFormat("Terms_due_date");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Terms_due_date")))
				$class = ' rnr-field-number';
			$row["Terms_due_date_class"] = $class;
	//	Gross_Purchase - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Gross_Purchase", $data, $keylink);
			$row["Gross_Purchase_value"] = $value;
			$format = $pSet->getViewFormat("Gross_Purchase");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Gross_Purchase")))
				$class = ' rnr-field-number';
			$row["Gross_Purchase_class"] = $class;
	//	Discount_Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Discount_Amount", $data, $keylink);
			$row["Discount_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Discount_Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Discount_Amount")))
				$class = ' rnr-field-number';
			$row["Discount_Amount_class"] = $class;
	//	Vat_Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Vat_Amount", $data, $keylink);
			$row["Vat_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Vat_Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Vat_Amount")))
				$class = ' rnr-field-number';
			$row["Vat_Amount_class"] = $class;
	//	Net_Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Net_Amount", $data, $keylink);
			$row["Net_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Net_Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Net_Amount")))
				$class = ' rnr-field-number';
			$row["Net_Amount_class"] = $class;
	//	Remarks - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Remarks", $data, $keylink);
			$row["Remarks_value"] = $value;
			$format = $pSet->getViewFormat("Remarks");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Remarks")))
				$class = ' rnr-field-number';
			$row["Remarks_class"] = $class;
	//	Net_pay - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Net_pay", $data, $keylink);
			$row["Net_pay_value"] = $value;
			$format = $pSet->getViewFormat("Net_pay");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Net_pay")))
				$class = ' rnr-field-number';
			$row["Net_pay_class"] = $class;
	//	file - Document Download
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("file", $data, $keylink);
			$row["file_value"] = $value;
			$format = $pSet->getViewFormat("file");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("file")))
				$class = ' rnr-field-number';
			$row["file_class"] = $class;
	//	discount_type - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("discount_type", $data, $keylink);
			$row["discount_type_value"] = $value;
			$format = $pSet->getViewFormat("discount_type");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("discount_type")))
				$class = ' rnr-field-number';
			$row["discount_type_class"] = $class;
	//	discount_rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("discount_rate", $data, $keylink);
			$row["discount_rate_value"] = $value;
			$format = $pSet->getViewFormat("discount_rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("discount_rate")))
				$class = ' rnr-field-number';
			$row["discount_rate_class"] = $class;
	//	discount_code - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("discount_code", $data, $keylink);
			$row["discount_code_value"] = $value;
			$format = $pSet->getViewFormat("discount_code");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("discount_code")))
				$class = ' rnr-field-number';
			$row["discount_code_class"] = $class;
	//	approved_by - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("approved_by", $data, $keylink);
			$row["approved_by_value"] = $value;
			$format = $pSet->getViewFormat("approved_by");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("approved_by")))
				$class = ' rnr-field-number';
			$row["approved_by_class"] = $class;
	//	status - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("status", $data, $keylink);
			$row["status_value"] = $value;
			$format = $pSet->getViewFormat("status");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("status")))
				$class = ' rnr-field-number';
			$row["status_class"] = $class;
	//	checked_by - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("checked_by", $data, $keylink);
			$row["checked_by_value"] = $value;
			$format = $pSet->getViewFormat("checked_by");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("checked_by")))
				$class = ' rnr-field-number';
			$row["checked_by_class"] = $class;
	//	prepared_by - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("prepared_by", $data, $keylink);
			$row["prepared_by_value"] = $value;
			$format = $pSet->getViewFormat("prepared_by");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("prepared_by")))
				$class = ' rnr-field-number';
			$row["prepared_by_class"] = $class;
	//	status_remarks - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("status_remarks", $data, $keylink);
			$row["status_remarks_value"] = $value;
			$format = $pSet->getViewFormat("status_remarks");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("status_remarks")))
				$class = ' rnr-field-number';
			$row["status_remarks_class"] = $class;
	//	vatable_purchase - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("vatable_purchase", $data, $keylink);
			$row["vatable_purchase_value"] = $value;
			$format = $pSet->getViewFormat("vatable_purchase");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("vatable_purchase")))
				$class = ' rnr-field-number';
			$row["vatable_purchase_class"] = $class;
	//	non_vatable_purchase - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("non_vatable_purchase", $data, $keylink);
			$row["non_vatable_purchase_value"] = $value;
			$format = $pSet->getViewFormat("non_vatable_purchase");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("non_vatable_purchase")))
				$class = ' rnr-field-number';
			$row["non_vatable_purchase_class"] = $class;
	//	modified_by - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("modified_by", $data, $keylink);
			$row["modified_by_value"] = $value;
			$format = $pSet->getViewFormat("modified_by");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("modified_by")))
				$class = ' rnr-field-number';
			$row["modified_by_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("request_for_quote_for_approval", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>